// EN
var __editLanguage =
  {
    101 : "New",
    102 : "Open",
    103 : "Print",
    104 : "Cut",
    105 : "Copy",
    106 : "Paste",
    107 : "Undo",
    108 : "Redo",
    109 : "Insert Link",
    110 : "Insert Image",
    111 : "Insert Table",
    112 : "Insert Rule",
    113 : "Search",
    114 : "Help",
    115 : "Insert special characters",
    116 : "Insert Date",
    117 : "Insert Time",
    118 : "Save",

    201 : "Bold",
    202 : "Italic",
    203 : "Underline",
    204 : "Superscript",
    205 : "Subscript",
    206 : "Justify left",
    207 : "Justify center",
    208 : "Justify right",
    209 : "Justify full",
    210 : "Ordered list",
    211 : "Unordered list",
    212 : "Indent",
    213 : "Outdent",
    214 : "Remove format",
    215 : "Set text color",
    216 : "Set background color",
    217 : "Select text color",
    218 : "Select background color",

    301 : "Insert label",
    302 : "Insert button",
    303 : "Insert input",
    304 : "Insert checkbox",
    305 : "Insert radio",
    306 : "Insert combobox",
    307 : "Insert listbox",
    308 : "Insert text area",
    309 : "Insert iframe",
    310 : "Insert div",
    311 : "Absolute position",
    312 : "Insert text snippet",
    313 : "New text snippet",
    314 : "Remove active text snippet",

    401 : "Edit",
    402 : "HTML",
    403 : "Preview",
    404 : "Page break",
    405 : "Select all",
    406 : "Insert form",
    407 : "Insert Anchor",
    408 : "Paste from Word",
    409 : "Marquee",
    410 : "Insert hidden field",
    411 : "Spell checker",

    501 : " Table",
    502 : "Cancel",

    601 : "More colors...",

    701 : "Insert local image",
    702 : "Insert web image",
    703 : "Insert server image",
    704 : "Upload local image",

    801 : "Insert row before",
    802 : "Insert row after",
    803 : "Delete row",
    804 : "Insert column before",
    805 : "Insert column after",
    806 : "Delete column",
    807 : "Delete cell",
    808 : "Merge cell",
    809 : "Divide cell",
    810 : "Cell properties...",
    811 : "Table properties...",
    812 : "Page properties...",
    813 : "Image properties...",
    814 : "Set to foreground",
    815 : "Div properties...",
    816 : "Iframe properties...",
    817 : "Label properties...",

    900 : "Cancel",
    901 : "Table Properties",
    902 : "Percent",
    903 : "Absolute",
    904 : "Cell spacing:",
    905 : "Border width:",
    906 : "Cell padding:",
    907 : "Border color:",
    908 : "Width:",
    909 : "Background color:",
    911 : "Cell Properties",
    
    912 : "Horizontal:",
    913 : "Height:",
    914 : "Vertical:",
    915 : "Wrap:",
    916 : "Border color:",
    917 : "Background color:",
    918 : "Width:",
    921 : "Image Properties",
    922 : "Width:",
    923 : "Vert. alignment:",
    924 : "Height:",
    925 : "Border Width:",
    926 : "Title:",
    927 : "Border color:",
    931 : "Label Properties",
    932 : "Width:",
    933 : "Border color:",
    934 : "Height:",
    935 : "Background color:",
    941 : "Div Properties",
    942 : "Width:",
    943 : "Border color:",
    944 : "Height:",
    945 : "Back color:",
    951 : "Page Properties",
    952 : "Margin:",
    953 : "Background color:",
    961 : "Select Color",
    971 : "Sub Page Properties",
    972 : "Width:",
    973 : "Height:",
    974 : "URL:",
    981 : "Insert web image",
    982 : "Enter URL:",
    991 : "Search/Replace",
    992 : "Search:",
    993 : "Replace:",
    994 : "Search",
    995 : "Replace",
    996 : "Please enter a search string !",
    997 : "Document end reached or search string not found. Search continues at document start !",
    998 : "Please enter a replace string !",

    1001 : "Open/Save dialog",
    1002 : "Open",
    1003 : "Save",
    1004 : "Open",
    1005 : "File name:",
    1006 : "Preview:",

    1101 : "Create/edit anchor",
    1102 : "Anchor name:",
    1103 : "Anchor properties",
    1104 : "Remove anchor",

    1201 : "Form properties",
    1202 : "Anchor name:",
    1203 : "Form properties",
    1204 : "Remove form",

    1301 : "Input properties",
    1302 : "Select properties",
    1303 : "Size",
    1304 : "Color",

    2000 : "Set to background",
    2001 : "Style",

    119 : "Save as",
    3000 : "Left to right",
    3001 : "Right to left",
    3002 : "Insert Paragraph",
    3003 : "Table highlight",
    3004 : "Hor. Alignment:",
    3005 : "Upload and Insert",
    3006 : "Please select text range first !",
    3007 : "Name:",
    3008 : "Create text module",
    3009 : "Please enter a valid text module name !",
    3010 : "Upload document",
    3011 : "Upload",
    3012 : "Please select text first !",
    3013 : "Set RETURN mode",
    3014 : "Select Style Sheet",
    3015 : "Select Format",
    3016 : "Select Font",
    3017 : "Select Fontsize",
    3018 : "File",
    3019 : "Edit",
    3020 : "Insert",
    3021 : "Format",
    3022 : "Forms",
    3023 : "Link properties",
    3024 : "Remove Link",
    3025 : "Path:",
    3026 : "Type:",
    3027 : "Url:",
    3028 : "Target:",
    3029 : "Title:",
    3030 : "Select document",
    3031 : "Input Properties",
    3032 : "Select Properties",
    3033 : "Textarea Properties",

    962 : "ID:",
    963 : "Name:",
    964 : "ID/Name",
    899 : "OK",
    1007 : "Path:",
    3100 : "Make editable",
    3101 : "No color",

    3201 : "Upload",
    3202 : "File Upload",
    3203 : "Server Path:",
    3204 : "File:",

    3210 : "Name",
    3211 : "Size",
    3212 : "Type",
    3213 : "Changed",

    3300 : "Save local",
    3301 : "Set non editable",
    3302 : "Flash properties",
    3303 : "Insert Flash",
    3304 : "Insert Media",
    3305 : "Play:",
    3306 : "Loop:",
    3307 : "Menu:",
    3308 : "Quality:",
    3309 : "Parameter",
    3310 : "Convert Row(td <--> th)",
    3311 : "Please select a file !",
    3312 : "Remove Table",
    3313 : "New with template",
    3314 : "Print Preview",
    3315 : "Remove style/class",
    3316 : "Remove formatting",
    3317 : "Remove empty tags",
    3318 : "Remove Word specific",
    3319 : "Zoom",
    3320 : "Select text snippet",
    3321 : "Source:",
    3322 : "Float:",
    3323 : "Title:",
    3324 : "Action:",
    3325 : "Target:",
    3326 : "Name:",
    3327 : "Form",
    3328 : "Name",
    3329 : "Value:",
    3330 : "The selected text already includes a link !",
    3331 : "No link found !",
    3332 : "Textarea properties",
    3333 : "Alignment",
    3334 : "Span",
    3335 : "Row span:",
    3336 : "Col span:",
    3337 : "Class",
    3338 : "Class:",
    3339 : "Url",
    3340 : "Paste Text",
    3341 : "Source:",
    3342 : "Checked:",
    3343 : "Type:",
    3344 : "Text:",
    3345 : "Link",
    3346 : "Title",
    3347 : "Title:",
    3348 : "Charset",
    3349 : "Charset:",
    3350 : "Description",
    3351 : "Description:",
    3352 : "Author",
    3353 : "Author:",
    3354 : "Keywords",
    3355 : "Keywords:",
    3356 : "Text:",
    3357 : "Color:",
    3358 : "B-Color:",
    3359 : "Add",
    3360 : "Edit",
    3361 : "Delete",
    3362 : "Options",
    3363 : "Spacing",
    3364 : "Border",
    3365 : "Border:",
    3366 : "Border:",
    3367 : "Font",
    3368 : "Family:",
    3369 : "Size:",
    3370 : "Color:",
    3371 : "Type",
    3372 : "Strike through",
    3373 : "Overline",
    3374 : "Caps",
    3375 : "Border",
    3376 : "Full:",
    3377 : "Color",
    3378 : "Backcolor:",
    3379 : "Margin",
    3380 : "Padding",
    3381 : "Alignment",
    3382 : "Spacing",
    3383 : "Letters",
    3384 : "Height:",
    3385 : "Text flow",
    3386 : "Direction:",
    3387 : "Hor./Vert.:",
    3388 : "Display",
    3389 : "Display:",
    3390 : "Visibility",
    3391 : "Position",
    3392 : "Position:",
    3393 : "Overflow:",
    3394 : "Float:",
    3395 : "Update",
    3396 : "Remove span",
    3397 : "Full size",
    3398 : "Page attributes",
    3399 : "Class",
    3400 : "Style",
    3401 : "Attributes",
    3402 : "Font",
    3403 : "Background",
    3404 : "Border",
    3405 : "Margin",
    3406 : "Text",
    3407 : "Layout",
    3408 : "Backcolor",
    3409 : "Backcolor:",
    3410 : "Column span",
    3411 : "Row span",
    3412 : "Add cell",
    3413 : "Anchor:",
    3414 : "Background image",
    3415 : "Image:",
    3416 : "Repeat:",
    3417 : "Color:",
    3418 : "Remove class",
    
    4000 : "Width:",
    4001 : "Height:",
    4002 : "Left:",
    4003 : "Top:",
    4004 : "Bottom:",
    4005 : "Right:",
    4006 : "Size",
    4007 : "Misc",
    4008 : "Standard",
    4009 : "Alignment",
    4010 : "Vertical:",
    4011 : "Horizontal:",
    4012 : "Value:",
    
    5000 : ""
  }
  
function getLanguageString(language,id)
{
  return __editLanguage[id];
}
