<!--#include file="sec.asp" -->
<%
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	' MailEnable Web Client Application
	'
	' (C) MailEnable Pty. Ltd. 2002-2005
	'
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Dim sDefaultAddress
Dim msFrom
Dim oMessage
Dim MsgFormat
Dim oFeatures
Dim oMailbox
Dim gPostOffice
Dim gUserName
Dim gPassword

Dim FrmReadReceipt
Dim FrmPriority
Dim FrmMailbox
Dim FrmMailboxCharSet
Dim FrmAttachmentList
Dim MessageID
Dim bAllowNewWindows
bAllowNewWindows=CStr(Session("AllowNewWindows")) = "1"

FrmReadReceipt = False

Function GetSingleUserSetting(Account,User,ValueName,DefaultValue)
	Dim oFeatures
	Dim ValueSetting
	Set oFeatures = server.CreateObject("MEWebmail.Options")
	ValueSetting = oFeatures.GetSystemOption(2,Account & "/" & User,"MsgFormat")			
	If Len(ValueSetting) > 0 Then
		GetSingleUserSetting = ValueSetting
	Else
		'Set the setting to the prescribed setting
		If CStr(Application(ValueName)) <> "" Then
			GetSingleUserSetting = Application(ValueName)
		Else
			GetSingleUserSetting = DefaultValue
		End If
	End If
	Set oFeatures = nothing
End Function

if Request.QueryString("frm")="0" then
	MsgFormat="TEXT"
else
	MsgFormat = GetSingleUserSetting(Session("AUTH_ACCOUNT"),Session("AUTH_USERNAME"),"MsgFormat","TEXT")
end if

Function GetFieldCount(InString, FieldDelimiter)
    Dim DelimiterPos
    Dim DelimiterCount
    DelimiterPos = 0
    '
    ' We want a safety mechanism here to avoid infinite looping
    '
    Do
        DelimiterPos = InStr(DelimiterPos + 1, InString, FieldDelimiter)
        DelimiterCount = DelimiterCount + 1
    Loop While (DelimiterPos > 0) And (DelimiterCount < 50)
    GetFieldCount = DelimiterCount
End Function

Function GetListItem(ItemList, Delimiter, ItemNumber)
    'gets the specific item from a delimited list
    
    Dim sItems

    On Error Resume Next        'return empty if there is an error
    sItems = Split(ItemList, Delimiter)
    GetListItem = sItems(ItemNumber - 1)
End Function

If Len(FrmPriority) <= 0 Then 
	FrmPriority = "3"
End If

function GetDefaultSender()

	set oFeatures = server.CreateObject("MEWebmail.Options")
		
	GetDefaultSender = oFeatures.GetSystemOption(2,Session("AUTH_ACCOUNT") & "/" & Session("AUTH_USERNAME"),"DefaultAddress")

	set oFeatures = nothing

end function

Function GetAutoSignatureContent()
	Set oMailbox = Server.CreateObject("MEWebMail.Mailbox")
	oMailbox.Postoffice = Session("AUTH_ACCOUNT")
	oMailbox.Mailbox = Session("AUTH_USERNAME")
	AutoSignatureStatus = oMailbox.GetAutoSignatureStatus(Session("AUTH_ACCOUNT"),Session("AUTH_USERNAME"))
	If AutoSignatureStatus = 1 Then
		GetAutoSignatureContent = oMailbox.GetSignature(Session("AUTH_ACCOUNT"),Session("AUTH_USERNAME"))
	Else
		GetAutoSignatureContent = ""
	End If
	Set oMailbox = Nothing
End Function

Function StripAddressList(ByVal AddressList)

	For i = 1 to GetFieldCount(AddressList,chr(9))
		'
		' We have an address
		'
		'now we need to split it up into its bits.
		ItemAddress=GetListItem(AddressList,chr(9),i)
		If InStr(1,ItemAddress,"""") or (instr(1,ItemAddress,"<")>1) Then
			'We need to get the first part
			Alias = GetListItem(ItemAddress,"<",1)
			if left(Alias,1)="""" and len(Alias)>3 then
				Alias = mid(Alias,2,len(Alias)-3)
			end if
			Address = GetListItem(ItemAddress,"<",2)
			if len(Address)>1 then
				Address = Left(Address,Len(Address)-1)
			end if
		Else
			Alias = Replace(Replace(ItemAddress,"<",""),">","")
			Address = Alias
		End If
		If Len(HTMLAddress) <= 0 Then
			HTMLAddress= LTrim(Address)
		Else
			HTMLAddress = HTMLAddress & "," & LTrim(Address)
		End If
	Next
	StripAddressList = Server.HTMLEncode(HTMLAddress)
End Function


Function GetSubString(SourceString, StartString, EndString)

    Dim StartDelim
    Dim EndDelim
    
    
    StartDelim = InStr(1, SourceString, StartString, vbTextCompare)
    EndDelim = InStr(StartDelim + Len(StartString), SourceString, EndString)
    
    If StartDelim > 0 And EndDelim > 0 Then
        GetSubString = Mid(SourceString, StartDelim + Len(StartString), (EndDelim - (StartDelim + Len(StartString))))
    Else
        GetSubString = ""
    End If
    
    Exit Function
End Function

Function SetSelectedListItem(Value1,Value2)
	If UCase(CStr(Value1)) = UCASE(CStr(Value2)) Then
		SetSelectedListItem = " SELECTED "	
	End If
End Function

Function SetCheckedItem(Value1,Value2)
	If UCase(CStr(Value1)) = UCASE(CStr(Value2)) Then
		SetCheckedItem = " CHECKED "	
	End If
End Function

' We need to save the message because it was passed to us
Function FormatAddressListAsHTML(AddressList)
	Dim FormattedAddressList
	
	FormattedAddressList = Replace(AddressList,chr(9),",")
	FormattedAddressList = Replace(FormattedAddressList,"<","&lt;")
	FormatAddressListAsHTML = Replace(FormattedAddressList,">","&gt;")
End Function 

gPostOffice = Session ("POSTOFFICE")
gUserName = Session ("AUTH_USERNAME")
gPassword = Session ("AUTH_PASSWORD")
FrmMailbox = Session ("AUTH_USERNAME")
MessageID = Request("ID")	

Set oMailbox = Server.CreateObject("MEWebMail.Mailbox")
oMailbox.Postoffice = Session("AUTH_ACCOUNT")
oMailbox.Mailbox = Session("AUTH_USERNAME")
FrmMailboxCharSet=oMailbox.GetCharSet
Set oMailbox = nothing

Function GetReplyPrefix(MsgFormat,From,ToRecipients,CCRecipients,Received)
	Dim ReplyPrefix 
	If  (MsgFormat="HTML") Then
		ReplyPrefix = "<BR>" & "<b>----- Original Message -----</b>" & "<BR>" & Chr(13) & Chr(10) & _
						"<b>From:</b> " & FormatAddressListAsHTML(From) & "<BR>"  & Chr(13) & Chr(10) & _
						"<b>To:</b> " & FormatAddressListAsHTML(ToRecipients) & "<BR>" & Chr(13) & Chr(10)
						If Len(CCRecipients) > 0 Then 
						  	ReplyPrefix = ReplyPrefix & "<b>Cc:</b> " & FormatAddressListAsHTML(CCRecipients) & "<BR>"  & Chr(13) & Chr(10)
						End If
		ReplyPrefix = ReplyPrefix & "<b>Sent:</b> " & Received & "<BR>"  & Chr(13) & Chr(10) & _
						"<b>Subject:</b> " & Subject & "<BR>" & "<BR>"  & Chr(13) & Chr(10)
	Else
		ReplyPrefix = Chr(13) & Chr(10) & "----- Original Message -----" & Chr(13) & Chr(10) & _
						"From: " & From & Chr(13) & Chr(10) & _
						"To: " & replace(ToRecipients,chr(9),",") & Chr(13) & Chr(10) 
						If Len(CCRecipients)>0 Then 
						  	ReplyPrefix = ReplyPrefix & "Cc: " & replace(CCRecipients,chr(9),",") & Chr(13) & Chr(10)
						End If
		ReplyPrefix = ReplyPrefix & "Sent: " & Received & Chr(13) & Chr(10) & _
						"Subject: " & Subject & Chr(13) & Chr(10) & Chr(13) & Chr(10)	
	End If
	GetReplyPrefix = ReplyPrefix
End Function

Function GetWeekDay(InDate)
	GetWeekDay = WeekDayName(weekday(InDate),true)
End Function

Function GetMonth(InDate)
	GetMonth = MonthName(Month(InDate),true)
End Function

Function FormatMailTime(CurrentDateTime)
	 FormatMailTime=GetWeekDay(CurrentDateTime) & ", " & Day(CurrentDateTime) & " " & GetMonth(CurrentDateTime) & " " & Year(CurrentDateTime) & " " & Hour(CurrentDateTime) & ":" & Minute(CurrentDateTime) & ":" & Second(CurrentDateTime) & " " & "+00:00"
End Function

Public Function GetSessionKey()
	Dim oSession
	Set oSession = Server.CreateObject("MEWebMail.Session")
	GetSessionKey = oSession.GetSessionKey(gPostOffice, gUserName)
	Set oSession = Nothing
End Function

Select Case Request("Mode")
Case "Reply"
	'
	' We need to read the message into our own variables and get ready
	'
	Set oMessage = Server.CreateObject("MEWebMail.MailMessage")
	oMessage.MarkAsRead = True
	oMessage.PostOffice = gPostoffice
	oMessage.Username = gUserName
	oMessage.Password = gPassword
	oMessage.MessageID = MessageID
	If Request("Folder") = "" Then
		RelativeFolderPath="\Drafts"
	Else
		RelativeFolderPath=Request("Folder")
	End If
	oMessage.RelativeFolderPath = RelativeFolderPath
	oMessage.MarkAsRead = True
	oMessage.FlagStatus = 1
	oMessage.ComposeMode =(MsgFormat = "TEXT")
	oMessage.HTMLFormattingEnabled =(MsgFormat="HTML")
	If oMessage.GetMessage Then
		Importance = oMessage.Importance
		FlagStatus = oMessage.FlagStatus
		Attachments = oMessage.Attachment
		From = oMessage.FromRecipients
		ReplyTo = oMessage.ReplyTo
		If (MsgFormat = "HTML") Then
			ToRecipients = StripAddressList(oMessage.ToRecipients)
			CCRecipients = StripAddressList(oMessage.CCRecipients)
		Else
			' Just in case the index file stores the address as HTML Encoded
			ToRecipients = Replace(StripAddressList(oMessage.ToRecipients),"&amp;lt;","<") 		
			ToRecipients = Replace(ToRecipients,"&amp;gt;",">") 		
			CCRecipients = Replace(StripAddressList(oMessage.CCRecipients),"&amp;lt;","<") 		
			CCRecipients = Replace(CCRecipients,"&amp;gt;",">") 		
		End If	
		Subject = oMessage.Subject
		Received = oMessage.MessageDate
		Body = oMessage.Body
		Recipient = oMessage.Recipient
		MessageID = oMessage.GetUniqueMessageID
		sDefaultAddress = GetDefaultSender()
		if (MsgFormat = "HTML") Then
			FrmMsgBody = "<BR>" & "<BR>" & replace(GetAutoSignatureContent,chr(13) & chr(10),"<BR>") & GetReplyPrefix(MsgFormat, From,ToRecipients,CCRecipients,Received) & Body
			FrmMsgBody = Replace(FrmMsgBody,"&lt;","&amp;lt;") 
			FrmMsgBody = Replace(FrmMsgBody,"&gt;","&amp;gt;") 
		else
			FrmMsgBody = chr(13) & chr(10) & chr(13) & chr(10) & GetAutoSignatureContent & GetReplyPrefix(MsgFormat, From,ToRecipients,CCRecipients,Received) & Body	
		End If
		If UCase(Left(Subject,3)) = "RE:" Then
			FrmMsgSubject = Subject
		Else
			FrmMsgSubject = "Re: " & Subject
		End If
		FrmMsgTo = ReplyTo
		WindowTitle = "Reply-" & Subject
		set oMessage = nothing
	Else
		set oMessage = nothing
		Response.Write "Message has been deleted and no longer exists<BR>"
		Response.Write "Please click <a href='read.html'>here</a> to close this window."
		Response.End
	End If
Case "ReplyAll"
	RelativeFolderPath="\Inbox"
	MessageID = Request("ID")
	Set oMessage = Server.CreateObject("MEWebMail.MailMessage")
	oMessage.MarkAsRead = True
	oMessage.PostOffice = gPostoffice
	oMessage.Username = gUserName
	oMessage.Password = gPassword
	oMessage.MessageID = MessageID
	If Request("Folder") = "" Then
		RelativeFolderPath="\Drafts"
	Else
		RelativeFolderPath=Request("Folder")
	End If
	oMessage.RelativeFolderPath = RelativeFolderPath
	oMessage.MarkAsRead = True
	oMessage.FlagStatus = 1
	oMessage.ComposeMode =(MsgFormat = "TEXT")
	oMessage.HTMLFormattingEnabled =(MsgFormat="HTML")
	If oMessage.GetMessage Then
		Importance = oMessage.Importance
		FlagStatus = oMessage.FlagStatus
		Attachments = oMessage.Attachment
		From = oMessage.FromRecipients
		If (MsgFormat = "HTML") Then
			ToRecipients = StripAddressList(oMessage.ToRecipients)
			CCRecipients = StripAddressList(oMessage.CCRecipientsEmail)
		Else
			' Just in case the index file stores the address as HTML Encoded
			ToRecipients = Replace(StripAddressList(oMessage.ToRecipients),"&amp;lt;","<") 		
			ToRecipients = Replace(ToRecipients,"&amp;gt;",">") 		
			CCRecipients = Replace(StripAddressList(oMessage.CCRecipientsEmail),"&amp;lt;","<") 		
			CCRecipients = Replace(CCRecipients,"&amp;gt;",">") 		
		End If	
		Subject = oMessage.Subject
		Received = oMessage.MessageDate
		Body = oMessage.Body
		ReplyTo = oMessage.ReplyTo
		Recipient = oMessage.Recipient
		FrmMsgSubject = "Re: " & Subject
		FrmMsgTo = oMessage.FromRecipientsEmail
		sDefaultAddress = GetDefaultSender()
		if len(oMessage.ReplyToEmail)>0 then
			FrmMsgTo = FrmMsgTo & "," & oMessage.ReplyToEmail 
		end if
		FrmMsgCC = CCRecipients
		WindowTitle = "Reply-" & Subject
		if (MsgFormat = "HTML") Then
			FrmMsgBody = "<BR>" & "<BR>" & replace(GetAutoSignatureContent,chr(13) & chr(10),"<BR>") & GetReplyPrefix(MsgFormat,From,ToRecipients,CCRecipients,Received) & Body
			FrmMsgBody = Replace(FrmMsgBody,"&lt;","&amp;lt;") 
			FrmMsgBody = Replace(FrmMsgBody,"&gt;","&amp;gt;") 
		else
			FrmMsgBody = chr(13) & chr(10) & chr(13) & chr(10) & GetAutoSignatureContent & GetReplyPrefix(MsgFormat,From,ToRecipients,CCRecipients,Received) & Body
		End If
		
		set oMessage = nothing
	Else
		set oMessage = nothing
		Response.Write "Message has been delete and no longer exists<BR>"
		Response.Write "Please click <a href='read.htm'>here</a> to close this window."
		Response.End
	End If
Case "Forward"
	'
	' Forwarding is a special case, we need to copy the message to the Drafts folder first
	'
	If Request("Folder") = "" Then
		RelativeFolderPath="\Inbox"
	Else
		RelativeFolderPath=Request("Folder")
	End If
	MessageID = Request("ID")
	Set oMessage = Server.CreateObject("MEWebMail.MailMessage")
	oMessage.PostOffice = gPostoffice
	oMessage.Username = gUserName 
	oMessage.MarkAsRead = True
	oMessage.PostOffice = gPostoffice
	oMessage.Username = gUserName
	oMessage.Password = gPassword
	oMessage.MessageID = MessageID
	oMessage.RelativeFolderPath = RelativeFolderPath
	oMessage.MarkAsRead = True
	oMessage.FlagStatus = 1
	oMessage.ComposeMode =(MsgFormat = "TEXT")
	oMessage.HTMLFormattingEnabled =(MsgFormat="HTML")
	If oMessage.GetMessage Then
		
		Dim SourceFileName
		Dim TargetFileName
		SourceFileName = oMessage.GetMailRoot() & "\MAILROOT\" & gUserName & RelativeFolderPath & "\" & MessageID
		MessageID=oMessage.GetUniqueMessageID
		TargetFileName = oMessage.GetMailRoot() & "\MAILROOT\" & gUserName & "\Drafts\" & MessageID
		oMessage.CopyForwardFile SourceFileName,TargetFileName 
			
		Importance = oMessage.Importance
		FlagStatus = oMessage.FlagStatus
		Attachments = oMessage.Attachment
		If oMessage.FromRecipientsEmail <> "" Then
			From = oMessage.FromRecipients & " [" & oMessage.FromRecipientsEmail & "]"
		Else
			From = oMessage.FromRecipients		
		End If
		If (MsgFormat = "HTML") Then
			ToRecipients = StripAddressList(oMessage.ToRecipients)
			CCRecipients = StripAddressList(oMessage.CCRecipients)
		Else
			' Just in case the index file stores the address as HTML Encoded
			ToRecipients = Replace(StripAddressList(oMessage.ToRecipients),"&amp;lt;","<") 		
			ToRecipients = Replace(ToRecipients,"&amp;gt;",">") 		
			CCRecipients = Replace(StripAddressList(oMessage.CCRecipients),"&amp;lt;","<") 		
			CCRecipients = Replace(CCRecipients,"&amp;gt;",">") 		
		End If	
		Subject = oMessage.Subject
		Received = oMessage.MessageDate
		Body = oMessage.Body
		Recipient = oMessage.Recipient
		sDefaultAddress = GetDefaultSender()
		FrmMsgTo = Server.HTMLEncode(StripAddressList(From))
		FrmMsgSubject = "Fwd: " & Subject 
		FrmMsgTo = ""
		WindowTitle = "Forward-" & Subject
		if (MsgFormat = "HTML") Then
			FrmMsgBody = "<BR>" & "<BR>" & replace(GetAutoSignatureContent,chr(13) & chr(10),"<BR>") & GetReplyPrefix(MsgFormat,From,ToRecipients,CCRecipients,Received) & Body		
			FrmMsgBody = Replace(FrmMsgBody,"&lt;","&amp;lt;") 
			FrmMsgBody = Replace(FrmMsgBody,"&gt;","&amp;gt;") 
		else
			FrmMsgBody = chr(13) & chr(10) & chr(13) & chr(10) & GetAutoSignatureContent & GetReplyPrefix(MsgFormat,From,ToRecipients,CCRecipients,Received) & Body
		End If
			
		FrmAttachmentList=""		
		Set XXX = oMessage.GetAttachments()
		If Not XXX.EOF Then
			While Not XXX.EOF
				FrmAttachmentList = FrmAttachmentList & "<OPTION VALUE=""" & server.urlencode(XXX.Fields("ContentDepositionFileName")) & """>" & XXX.Fields("ContentDepositionFileName") & " (" & Round(XXX.Fields("ContentSize")/1024) & " KB" & ")</>"
    			XXX.MoveNext
			Wend			
		End If	
		Set oMessage = Nothing
	Else
		Set oMessage = Nothing
		Response.Write "Message has been deleted and no longer exists.<BR>"
		Response.Write "Please click <a href='read.htm'>here</a> to close this window."
		Response.End
	End If
Case "Compose"
	'
	' We need to try to save the message and then load it again.
	'
	' But we need to know whether we need to save attachments,
	MessageID = Request("ID")
	If Request("Folder") = "" Then
		RelativeFolderPath="\Drafts"
	Else
		RelativeFolderPath=Request("Folder")
	End If
	Set oMessage = Server.CreateObject("MEWebMail.MailMessage")
	oMessage.MarkAsRead = True
	oMessage.PostOffice = gPostoffice
	oMessage.Username = gUserName
	oMessage.Password = gPassword
	oMessage.MessageID = MessageID
	oMessage.RelativeFolderPath = RelativeFolderPath 
	oMessage.FlagStatus = 1
	oMessage.ComposeMode =(MsgFormat = "TEXT")
	oMessage.HTMLFormattingEnabled =(MsgFormat="HTML")
	If oMessage.GetMessage Then
		Importance = oMessage.Importance
		FlagStatus = oMessage.FlagStatus
		Attachments = oMessage.Attachment
		'ToRecipients = oMessage.Recipient
		From = oMessage.FromRecipients
		FrmMsgSubject = oMessage.Subject
		Received = oMessage.Received
		FrmMsgBody = oMessage.Body
		if (MsgFormat = "HTML") Then
			FrmMsgBody = Replace(FrmMsgBody,"&lt;","&amp;lt;") 
			FrmMsgBody = Replace(FrmMsgBody,"&gt;","&amp;gt;") 
		End If
		
		'Headers = oMessage.Headers
		Recipient = oMessage.Recipient
		FrmMsgTo = StripAddressList(oMessage.ToRecipients)
		FrmMsgCC = StripAddressList(oMessage.CCRecipients)
		FrmMsgBCC = StripAddressList(oMessage.BCCRecipients)
		sDefaultAddress = GetDefaultSender()
		WindowTitle = "Compose-" & FrmMsgSubject		
		Set XXX = oMessage.GetAttachments()
		FrmAttachmentList=""		
		If Not XXX.EOF Then
			While Not XXX.EOF
				FrmAttachmentList = FrmAttachmentList & "<OPTION VALUE=""" & server.urlencode(XXX.Fields("ContentDepositionFileName")) & """>" & XXX.Fields("ContentDepositionFileName") & " (" & Round(XXX.Fields("ContentSize")/1024) & " KB" & ")</>"
    			XXX.MoveNext
			Wend			
		End If
		'
		' Get message options
		'
		FrmPriority = oMessage.GetHeaderField("X-Priority")
		FrmReadReceipt = Len(oMessage.GetHeaderField("Disposition-Notification-To")) > 0		
		set oMessage = nothing
	Else
		set oMessage = nothing
		Response.Write "Message has been deleted and no longer exists.<BR>"
		Response.Write "Please click <a href='read.htm'>here</a> to close this window."
		Response.End
	End If

Case "Save"
	'
	' We need to try to save the message and then load it again.
	'
	' But we need to know whether we need to save attachments,
	MessageID = Request("ID")
	If Request("Folder") = "" Then
		RelativeFolderPath="\Drafts"
	Else
		RelativeFolderPath=Request("Folder")
	End If

	Set oMessage = Server.CreateObject("MEWebMail.MailMessage")
	oMessage.PostOffice = gPostoffice
	oMessage.Username = gUserName
	oMessage.Password = gPassword
	oMessage.MessageID = MessageID
	oMessage.RelativeFolderPath = RelativeFolderPath
	'oMessage.MarkAsRead = True
	oMessage.FromRecipients =Request("MsgFrom") 
	oMessage.CCRecipients = Request("MsgCc")
	oMessage.ToRecipients = Request("MsgTo")
	oMessage.BCCRecipients = Request("MsgBCC")
	oMessage.Subject = Request("MsgSubject")
	oMessage.Received = FormatMailTime(Now)
	oMessage.FlagStatus = 0
	If Request("MsgFormat")="TEXT" Then
		'oMessage.ContentType = "text/plain"		
		oMessage.Body = Request.Form("MsgBody")					
		oMessage.HTMLFormattingEnabled = False
	Else
		oMessage.HTMLFormattingEnabled = True
		'oMessage.ContentType = "multipart/alternative"
		If InStr(1,Left(Request.Form("MsgBody"),200),"<BODY>") Then
			oMessage.Body = GetSubString(Request.Form("MsgBody"),"<BODY>","</BODY>")		
		Else
			oMessage.Body = Request.Form("MsgBody")					
		End If		
	End if

	oMessage.Compose_SaveMessageDetails

	Dim Priority
	If Len(Request("PRIORITY")) > 0 Then
		oMessage.AddHeader "X-Priority",Request("PRIORITY")
		Select Case Request("PRIORITY")
			Case "1": oMessage.AddHeader "X-MSMail-Priority","High" 
			Case "2": oMessage.AddHeader "X-MSMail-Priority","Normal"
			Case "3": oMessage.AddHeader "X-MSMail-Priority","Medium"
		End Select
	End If
	If UCase(Request("READ-RECEIPT")) = "ON" Then
	oMessage.AddHeader "Disposition-Notification-To","<" & oMessage.FromRecipients & ">"
	Else
	 oMessage.RemoveHeader "Disposition-Notification-To"
	End If
	'
	' Now load the message again
	'		
	oMessage.MarkAsRead = True
	oMessage.PostOffice = gPostoffice
	oMessage.Username = gUserName
	oMessage.Password = gPassword
	oMessage.MessageID = MessageID
	oMessage.RelativeFolderPath = RelativeFolderPath 
	oMessage.FlagStatus = 1
	oMessage.ComposeMode =(MsgFormat = "TEXT")
	oMessage.HTMLFormattingEnabled =(MsgFormat="HTML")
	If oMessage.GetMessage Then
		Importance = oMessage.Importance
		FlagStatus = oMessage.FlagStatus
		Attachments = oMessage.Attachment
		'ToRecipients = oMessage.Recipient
		From = oMessage.FromRecipients
		FrmMsgSubject = oMessage.Subject
		Received = oMessage.Received
		FrmMsgBody = oMessage.Body
		if (MsgFormat = "HTML") Then
			FrmMsgBody = Replace(FrmMsgBody,"&lt;","&amp;lt;") 
			FrmMsgBody = Replace(FrmMsgBody,"&gt;","&amp;gt;") 
		End If
		
		'Headers = oMessage.Headers
		Recipient = oMessage.Recipient
		FrmMsgTo = StripAddressList(oMessage.ToRecipients)
		FrmMsgCC = StripAddressList(oMessage.CCRecipients)
		FrmMsgBCC = StripAddressList(oMessage.BCCRecipients)
		WindowTitle = "Compose-" & FrmMsgSubject		
		sDefaultAddress = GetDefaultSender()
		Set XXX = oMessage.GetAttachments()
		FrmAttachmentList=""		
		If Not XXX.EOF Then
			While Not XXX.EOF
				FrmAttachmentList = FrmAttachmentList & "<OPTION VALUE=""" & server.urlencode(XXX.Fields("ContentDepositionFileName")) & """>" & XXX.Fields("ContentDepositionFileName") & " (" & Round(XXX.Fields("ContentSize")/1024) & " KB" & ")</>"
    			XXX.MoveNext
			Wend			
		End If
		'
		' Get message options
		'
		FrmPriority = oMessage.GetHeaderField("X-Priority")
		FrmReadReceipt = Len(oMessage.GetHeaderField("Disposition-Notification-To")) > 0		
		set oMessage = nothing
	Else
		set oMessage = nothing
		Response.Write "Message has been deleted and no longer exists.<BR>"
		Response.Write "Please click <a href='read.asp?Mode=Close'>here</a> to close this window."
		Response.End
	End If

Case Else
	If Request("Folder") = "" Then
		RelativeFolderPath="\Drafts"
	Else
		RelativeFolderPath=Request("Folder")
	End If
	'oMessage.RelativeFolderPath = RelativeFolderPath
	MessageID = Request("ID")
	FrmMsgFrom = Request("MsgFrom") 
	FrmMsgTo = Request("MsgTo")
	FrmMsgCC = Request("MsgCC")
	FrmMsgBCC = Request("MsgBCC")
	FrmMsgSubject = Request("MsgSubject")
	
	if MsgFormat = "HTML" Then
		FrmMsgBody = "<BR><BR>" & replace(GetAutoSignatureContent,chr(13) & chr(10),"<BR>") & Request("MsgBody")
	else
		FrmMsgBody = chr(13) & chr(10) & chr(13) & chr(10) & GetAutoSignatureContent & Request("MsgBody")
	End If
	sDefaultAddress = GetDefaultSender()
	WindowTitle = "Compose-New Message"
	If MessageID = "" Then
		Set oMessage = Server.CreateObject("MEWebMail.MailMessage")
		MessageID = oMessage.GetUniqueMessageID
		Set oMessage = Nothing
	End If
End Select

RelativeFolderPath="\Drafts"

%>
<HTML>
<HEAD>
<META name="ROBOTS" content="NOINDEX,NOFOLLOW">
<LINK REL="stylesheet" TYPE="text/css" HREF="<% =session("skin") %>me.css">
<% If Len(FrmMailboxCharSet)>0 Then %>
<meta http-equiv="Content-Type" content="text/html; charset=<% =FrmMailboxCharSet %>">
<% End If %>
<title><%=WindowTitle%></title>
<%If MsgFormat="HTML" Then%>
<script language="javascript" src="editor/key/pinEditKey.js"></script>
<link rel="stylesheet" href="editor/design/style/pinEdit.css" type="text/css">
<link rel="stylesheet" href="editor/menu/design/style/pinMenu.css" type="text/css">
<script language="javascript" src="editor/config/config.js"></script>
<%Else%>
<link rel="stylesheet" href="/mewebmail/base/enterprise/skins/enterprise/me.css" type="text/css">
<%End If%>
<script LANGUAGE="javascript">
function SubmitToPageTarget(PageURL,Target)
{
	<%If bAllowNewWindows Then%>
		document.FrmMain.target = Target;
		document.FrmMain.action = PageURL;
		document.FrmMain.submit();
		window.close();
	<%Else%>
		document.FrmMain.target ='_self';	
		document.FrmMain.action = PageURL;
		document.FrmMain.submit();
	<%End If%>
}

</SCRIPT>
</HEAD>
<%If (MsgFormat="HTML") Then%>

<SCRIPT LANGUAGE="javascript">

var editor         = null;
var editorLoaded   = false;

function SubmitPage()
{
	document.getElementById("MsgBody").value = editor.editGetHtml();
	document.FrmMain.submit();
}

function SubmitToPage(PageURL)
{
	document.FrmMain.action = PageURL;
	document.getElementById("MsgBody").value = editor.editGetHtml();
	document.FrmMain.submit();
}

function window_onresize() 
{
	if (browser.ie)
	{
		if ((document.body.offsetHeight - (document.all.HeaderSection.offsetHeight))>0)
		{
			document.all.editor.style.height=document.documentElement.offsetHeight - document.all.HeaderSection.offsetHeight-6;
		}
	}
	else
	{
		if ((window.innerHeight - document.getElementById('HeaderSection').offsetHeight)>0)
		{
			document.getElementById('editor').style.height=window.innerHeight - document.getElementById('HeaderSection').offsetHeight + 3;
		}
	}
	return false;
}

function editOnEditorLoaded(objEditor,id)
{
  	var data = document.getElementById("MsgBody").value;

	editor = objEditor;
	editorLoaded = true;
	editor.editWrite(data);
}

</SCRIPT>
<!-- core -->
<script language="javascript" src="editor/include/st.js"></script>
<script language="javascript" src="editor/include/gl.js"></script>
<script language="javascript" src="editor/include/ev.js"></script>
<script language="javascript" src="editor/include/pe.js"></script>
<script language="javascript" src="editor/include/ta.js"></script>
<script language="javascript" src="editor/include/rl.js"></script>
<script language="javascript" src="editor/include/li.js"></script>
<script language="javascript" src="editor/include/ap.js"></script>

<!-- optional -->
<script language="javascript" src="editor/include/pinToolbar.js"></script>
<script language="javascript" src="editor/menu/pinMenu.js"></script>
<script language="javascript" src="editor/include/di.js"></script>
<script language="javascript" src="editor/include/tba.js"></script>
<script language="javascript" src="editor/include/co.js"></script>
<script language="javascript" src="editor/include/ch.js"></script>
<script language="javascript" src="editor/include/in.js"></script>
<script language="javascript" src="editor/include/xh.js"></script>
<script language="javascript" src="editor/include/tm.js"></script>
<script language="javascript" src="editor/include/mz.js"></script>
<script language="javascript" src="editor/include/hb.js"></script>

<BODY id=Body scroll=NO onLoad="window_onresize();" onresize="window_onresize()" marginheight="0" style="overflow:hidden;" link="#000000" topmargin="0" leftmargin="0" rightmargin="0" marginwidth="0" >
	
<%Else%>

<SCRIPT LANGUAGE="javascript">

function SubmitPage()
{
	document.FrmMain.submit();
}

function ResizeBody()
{
    document.all.MsgBody.style.width="100%";
    if ((document.body.clientHeight - document.all.MsgBody.offsetTop)>0)
	    document.all.MsgBody.style.height= (document.body.clientHeight - document.all.MsgBody.offsetTop) + "px";
}

 window.onresize=function(e){
	ResizeBody();
  }

function SubmitToPage(PageURL)
{
	document.FrmMain.action = PageURL;
	document.FrmMain.submit();
}
	
</SCRIPT>
<BODY id=Body scroll=NO onLoad="ResizeBody();" marginheight="0" link="#000000" topmargin="0" leftmargin="0" rightmargin="0" marginwidth="0" >
<%End If%>	
<FORM NAME=FrmMain METHOD="POST" ACTION="Resolve.asp?ID=<%=MessageID%>&MsgFormat=<%=MsgFormat%>&FormAction=Send&ComposeMode=General&Folder=<%=Server.URLEncode(RelativeFolderPath)%>">
<TABLE NOWRAP ID=HeaderSection WIDTH=100% NAME=HeaderSection border="0" cellspacing="0" cellpadding="0">
<TR>
<TD NOWRAP>
	<TABLE ID=ToolBarSection NAME=ToolBarSection border="0" cellspacing="0" cellpadding="0" NOWRAP>
		<tbody NOWRAP>
			<tr><td NOWRAP><IMG height=28 src="<% =session("skin") %>bar_left.gif" width=12 border=0></td>
			<td NOWRAP valign="center" background="<% =session("skin") %>bar_bg.gif">
			<A class=ME_Toolbar href="#" onclick="SubmitPage()">
			<IMG height=16 alt="Send Message" src="<% =session("skin") %>send.gif" width=16 border=0 name=send align=absmiddle>&nbsp;Send</a>
			</td>
			<td NOWRAP valign="center" background="<% =session("skin") %>bar_bg.gif">
			<IMG height=28 src="<% =session("skin") %>bar_spacer.gif" width=12 border=0></td>
			<td NOWRAP valign="center" background="<% =session("skin") %>bar_bg.gif">
			<A class=ME_Toolbar href="#" onclick="SubmitToPageTarget('list.asp','messages');">
			<IMG height=16 alt=Cancel src="<% =session("skin") %>cancel.gif" width=16 border=0 name=cancel align=absmiddle>&nbsp;Cancel</a></td>
			<td NOWRAP valign="center" background="<% =session("skin") %>bar_bg.gif">
			<IMG height=28 src="<% =session("skin") %>bar_spacer.gif" width=12 border=0></td>
			<td NOWRAP valign="center" background="<% =session("skin") %>bar_bg.gif">
			<A class=ME_Toolbar href="#" onclick="SubmitToPage('compose.asp?Mode=Save&ID=<%=MessageID%>&MsgFormat=<%=MsgFormat%>&FormAction=Send&ComposeMode=General&Folder=<%=Server.URLEncode(RelativeFolderPath)%>');">
			<IMG name=attachments onclick="SubmitToPage('compose.asp?Mode=Save&ID=<%=MessageID%>&MsgFormat=<%=MsgFormat%>&FormAction=Send&ComposeMode=General&Folder=<%=Server.URLEncode(RelativeFolderPath)%>');" height=16 alt=Attachments src="<% =session("skin") %>save.gif" width=16 border=0 align=absmiddle>&nbsp;Save as Draft</a></td>
			<td NOWRAP valign="center" background="<% =session("skin") %>bar_bg.gif">
			<IMG height=28 src="<% =session("skin") %>bar_spacer.gif" width=12 border=0></td>
			<td NOWRAP valign="center" background="<% =session("skin") %>bar_bg.gif">
			<A class=ME_Toolbar href="#" onclick="SubmitToPage('ListAttachments.asp?Mode=Compose&ID=<%=MessageID%>&MsgFormat=<%=MsgFormat%>&FormAction=Send&ComposeMode=General&Folder=<%=Server.URLEncode(RelativeFolderPath)%>');">
			<IMG  name=attachments onclick="SubmitToPage('ListAttachments.asp?Mode=Compose&ID=<%=MessageID%>&MsgFormat=<%=MsgFormat%>&FormAction=Send&ComposeMode=General&Folder=<%=Server.URLEncode(RelativeFolderPath)%>');" height=16 alt=Attachments src="<% =session("skin") %>attachments.gif" width=16 border=0 align=absmiddle>&nbsp;Attachments</a></td>
			<td NOWRAP valign="center" background="<% =session("skin") %>bar_bg.gif">
			<IMG height=28 src="<% =session("skin") %>bar_spacer.gif" width=12 border=0></td>
			<td NOWRAP valign="middle" background="<% =session("skin") %>bar_bg.gif">Message Priority: 
			<SELECT NAME="PRIORITY" align=absmiddle>
				<OPTION VALUE=1 <%=SetSelectedListItem(FrmPriority,1)%>>High</OPTION>
				<OPTION VALUE=3 <%=SetSelectedListItem(FrmPriority,3)%>>Normal</OPTION>
				<OPTION VALUE=5 <%=SetSelectedListItem(FrmPriority,5)%>>Low</OPTION>
			</SELECT></td>
			<td NOWRAP valign="center" background="<% =session("skin") %>bar_bg.gif"><IMG height=28 src="<% =session("skin") %>bar_spacer.gif" width=12 border=0></td>            
			<td NOWRAP valign="center" background="<% =session("skin") %>bar_bg.gif"><input type=checkbox name=READ-RECEIPT <%=SetCheckedItem(FrmReadReceipt,True)%> align=absmiddle>Notify me when message read</td>
			<td NOWRAP valign="middle" background="<% =session("skin") %>bar_bg.gif"><IMG height=28 src="<% =session("skin") %>bar_right.gif" width=12 border=0></td>
		   </tr>     
		</tbody>
	</table>

	<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" class=ME_MessageHeader>
	<TR>
		<TD WIDTH=10>&nbsp;</TD>
		<TD>
		<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" class=ME_MessageHeader>
		<%
			On Error goto 0
			Set oAddressMap = Server.CreateObject("MEWebMail.AddressMap")
			oAddressMap.Account = Session("POSTOFFICE")
			oAddressMap.DestinationAddress = "[SF:" & Session("POSTOFFICE") & "/" & FrmMailbox & "]"
			oAddressMap.SourceAddress = ""
			oAddressMap.Scope = ""
			msFromCount = 0
			If oAddressMap.FindFirstAddressMap = 1 Then    
				do
					If InStr(1,oAddressMap.SourceAddress,"[SMTP:") and not instr(1,oAddressMap.SourceAddress,"*") Then

						msSingleFrom = "<input type=hidden name=MsgFrom value=""" & Mid(oAddressMap.SourceAddress,7,Len(oAddressMap.SourceAddress)-7) & """>"

						if sDefaultAddress = Mid(oAddressMap.SourceAddress,7,Len(oAddressMap.SourceAddress)-7) then
							msFrom = msFrom & "<OPTION NAME=""" & Mid(oAddressMap.SourceAddress,7,Len(oAddressMap.SourceAddress)-7) & """ SELECTED>" & Mid(oAddressMap.SourceAddress,7,Len(oAddressMap.SourceAddress)-7) & "</OPTION>" 
						else
							msFrom = msFrom & "<OPTION NAME=""" & Mid(oAddressMap.SourceAddress,7,Len(oAddressMap.SourceAddress)-7) & """>" & Mid(oAddressMap.SourceAddress,7,Len(oAddressMap.SourceAddress)-7) & "</OPTION>" 
						end if

						msFromCount = msFromCount + 1

					End If
					oAddressMap.Account = Session("POSTOFFICE")
					oAddressMap.DestinationAddress = "[SF:" & Session("POSTOFFICE") & "/" & FrmMailbox & "]"
					oAddressMap.SourceAddress = ""
					oAddressMap.Scope = ""
				loop while (oAddressMap.FindNextAddressMap = 1)
			Else
				Response.Write "<OPTION>No address maps - Contact administrator</OPTION>" 	
			End If
			if msFromCount>1 then
				Response.Write "<TR><TD COLSPAN=2>From:</td><td><SELECT NAME='MsgFrom' class=ME_Input style='width:90%'>"
				Response.Write msFrom
				Response.Write "</SELECT></td></tr>"
			else
				Response.Write msSingleFrom
			end if
			Set oAddressMap = Nothing
		%>
		<tr><td width=25><a href='#' onclick="ShowAddressBook('MsgTo')"><img src="<% =session("skin") %>compose.gif" border=0></a></td><td width=50><a href='#' onclick="ShowAddressBook('MsgTo')">To..:</a></td><td><input id=MsgTo NAME="MsgTo" class="ME_Input" type=text VALUE="<%=FrmMsgTo%>" type='text' size="38" style="width:90%" value=""></TD></tr>
		<tr><td width=25><a href='#' onclick="ShowAddressBook('MsgTo')"><img src="<% =session("skin") %>compose.gif" border=0></a></td><td width=50><a href='#' onclick="ShowAddressBook('MsgCc')">Cc..:</a></td><td><input id=MsgCc NAME="MsgCc" class="ME_Input" type=text VALUE="<%=FrmMsgCc%>" type='text' size="38" style="width:90%" value=""></TD></tr>
		<tr><td width=25><a href='#' onclick="ShowAddressBook('MsgTo')"><img src="<% =session("skin") %>compose.gif" border=0></a></td><td width=50><a href='#' onclick="ShowAddressBook('MsgBcc')">Bcc..:</a></td><td><input id=MsgBcc NAME="MsgBcc" class="ME_Input" type=text VALUE="<%=FrmMsgBcc%>" type='text' size="38" style="width:90%" value=""></TD></tr>
		<tr><td width=75 colspan=2>Subject:</td><td COLSPAN=2><input NAME="MsgSubject" type=text class="ME_Input" VALUE="<%=FrmMsgSubject%>" type='text' size="38" style="width:90%" value=""></td></tr>
		<%If Len(FrmAttachmentList) > 0 Then%>
		<tr><td width=75 colspan=2>Attachments:</td><td COLSPAN=2><SELECT NAME="MsgAttchments" class="ME_Input" style="width:90%" value=""><%=FrmAttachmentList%></SELECT></td></tr>
		<%Else%>
		<tr><td width=75 colspan=2><a href='#' onclick="SubmitToPage('ListAttachments.asp?Mode=Compose&MsgFormat=<%=MsgFormat%>&ID=<%=MessageID%>&FormAction=Send&ComposeMode=General&Folder=<%=Server.URLEncode(RelativeFolderPath)%>');">Attachments..:</a></td><td><SELECT NAME="MsgAttchments" DISABLED class="ME_Input" style="width:90%"><OPTION>(No Attachments)</></SELECT></TD></tr>
		<%End If%>
		</table>
		</TD>
		</TR>
	</TABLE>
	</TD></TR>
</TABLE>

<%If (MsgFormat="HTML") Then%>
<table width="100%" height="100%" border=0 cellspacing="0" cellpadding="0"><tr><td height="100%" VALIGN=TOP>
<iframe name=editor id=editor src="editor/pinEdit.html" height="100%" width="100%" frameborder="0" style="width:100%;height=550px" ></iframe></td></tr></table>
<TEXTAREA style="visibility:hidden" id="MsgBody" name="MsgBody"><%=FrmMsgBody%></TEXTAREA>
<%Else%>
	<TEXTAREA wrap="virtual" name="MsgBody" class=ME_Input style="WIDTH: 100%; HEIGHT: 100%;" cols=60 rows=21><%=FrmMsgBody%></TEXTAREA>
<%End If%>
<INPUT NAME=ME_POSTOFFICE TYPE=HIDDEN VALUE="<%=gPostOffice%>">
<INPUT NAME=ME_MAILBOX TYPE=HIDDEN VALUE="<%=gUserName%>">
<INPUT NAME=ME_SESSION TYPE=HIDDEN VALUE="<%=GetSessionKey()%>">			

</FORM>
<script type="text/javascript">
<!--
function ShowAddressBook(Target)
{
 	Features = new String("left="+(window.screen.availWidth/2 - 435/2)+",top="+(window.screen.availHeight/2 - 300/2) + ",height=300,width=435,status=0,center=yes,location=0,directories=0,toolbar=no,menubar=0,scrollbars=1,resizable=1");
	window.open('AddressBook.asp?Target='+Target,'MailEnableAddressBook',Features);
	return false;
}
//-->
</script>
</BODY>
</HTML>


