<%
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	' MailEnable Web Client Application
	'
	' (C) MailEnable Pty. Ltd. 2002-2005
	'
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim oOptions
	Dim MessagesPerPage
	Dim MessageListSize
	Dim AllowNewWindows
	Dim MsgFormat
	Dim SiteSkinName, SiteDefaultPostoffice

	Function GetFieldCount(InString, FieldDelimiter)
	    Dim DelimiterPos
	    Dim DelimiterCount
	    DelimiterPos = 0

	    Do
	        DelimiterPos = InStr(DelimiterPos + 1, InString, FieldDelimiter)
	        DelimiterCount = DelimiterCount + 1
	    Loop While (DelimiterPos > 0) And (DelimiterCount < 100)
	    GetFieldCount = DelimiterCount
	End Function

	Function GetListItem(ItemList, Delimiter, ItemNumber)
	    'gets the specific item from a delimited list
	    
	    Dim sItems

	    On Error Resume Next        'return empty if there is an error
	    sItems = Split(ItemList, Delimiter)
	    GetListItem = sItems(ItemNumber - 1)
	    if err.number<>0 then GetListItem=""
	End Function
	

	Sub ReportApplicationError(ApplicationName, ModuleName, ErrorNumber, ErrorDescription)
		Response.Write "<HTML><head><META name=""ROBOTS"" content=""NOINDEX,NOFOLLOW"">"
		Response.Write "<META HTTP-EQUIV=""content-type"" CONTENT=""text/html;charset=iso-8859-1"">"
		Response.Write "<title>System Error</title>"
		Response.Write "</head>"
		Response.Write "<BODY BGCOLOR=""#DFDFDF"">"
		Response.Write "<H1>" & ApplicationName & " - System Error</H1><BR>"  
		Response.Write "<BR>This service is currently experiencing difficulties.<BR><BR>Our apologies for any inconvenience.<BR><BR>"  
		Response.Write "<BR>The following error needs to be rectified:<BR><BR>"  
		Response.Write  ApplicationName & " - " & ModuleName & " Error (" & ErrNumber & ") " & ErrorDescription & ".<BR>"  
		Response.Write "To resolve this problem please refer to the <a href=""http://www.mailenable.com/kb/results.asp?SearchType=Term&search_string=" & ErrorNumber &""">MailEnable Knowledge Base</a>."
		Response.Write "</BODY></HTML>"
		Response.End
	End Sub

	If Not Application("Initialised") = True Then
		On Error Resume Next
		Set oOptions = Server.CreateObject("MEWebmail.Options")
		If Err <> 0 Then
			ReportApplicationError "MailEnable WebMail","MTS/COM+ MEWebMail.Options",Err,Err.Description
		End If

		MessagesPerPage = oOptions.GetOptionValue("MessagesPerPage","","")
		If MessagesPerPage = 0 then
			MessagesPerPage = 15
		End If


		UseDeletedItemsFolder = oOptions.GetOptionValue("UseDeletedItemsFolder","","")
		If UseDeletedItemsFolder = 0 then
			UseDeletedItemsFolder = 1
		End If
		
		ClearDeletedOnLogOff = oOptions.GetOptionValue("ClearDeletedOnLogOff","","")
		If ClearDeletedOnLogOff = 0 then
			ClearDeletedOnLogOff = 1
		End If
				
		MessageListSize = oOptions.GetOptionValue("MessageListSize","","")
		If MessageListSize = 0 Then
			MessageListSize = 270
		End If
		SessionTimeout = oOptions.GetOptionValue("SessionTimeout","","")
		If SessionTimeout = 0 Then
			SessionTimeout = 40
		End If
		ScriptTimeout = oOptions.GetOptionValue("ScriptTimeout","","")
		If ScriptTimeout = 0 Then
			ScriptTimeout = 1800
		End If
		
		MsgFormat = oOptions.GetOptionString("MsgFormat","","")
		If CStr(MsgFormat) = "" Then
			MsgFormat = "HTML"
		End If
		
		
		MessageListSize = oOptions.GetOptionValue("MessageListSize","","")
		If MessageListSize = 0 Then
			MessageListSize = 270
		End If
		
		AllowNewWindows = oOptions.GetOptionValue("AllowNewWindows","","")
		If AllowNewWindows = 0 or Len(CStr(AllowNewWindows)) <= 0 Then
			AllowNewWindows = 1
		End If
		
		NotificationStatus = oOptions.GetOptionValue("NotificationStatus","","")
		Frequency = oOptions.GetOptionValue("PollFrequency","","")
		
		

		Set oOptions = Nothing
		Application.Lock
		' Set the records per page variable
		Application("MEWebPath") = "/MEWebMail"
		Application("MessagePollFrequency") = Frequency
		Application("MessagesPerPage") = MessagesPerPage
		Application("MessageListSize") = MessageListSize
		Application("SessionTimeout") = SessionTimeout
		Application("ScriptTimeout") = ScriptTimeout
		Application("NotificationStatus") = NotificationStatus
		Application("AllowNewWindows") = AllowNewWindows
		Application("MsgFormat") = MsgFormat
		Application("Initialised")=True
		Application.Unlock		
	End If

	Function GetVirtualDirectoryName(BaseName, DefaultValue)
	     '
	     ' This function returns the virtual directory name from the IIS Request Path
	     ' It returns the virtual directory name inclusive of the left hand slash
	     '
	     Dim vDirNameName
	     Dim DelimPos
	     Dim sURL
	     On Error Resume Next            ' just in case there is an error parsing the URL, we want to make sure that its set to the default value
	 	sURL = Replace(Request.ServerVariables("URL"), "\", "/")
	     If sURL = "" Then
	         GetVirtualDirectoryName = DefaultValue
	         Exit Function
	     End If
	        
	     Dim PathPos
	     If (InStr(sURL, "https://") = 1) Then
	         PathPos = 8
	     Else
	         If (InStr(sURL, "http://") = 1) Then
	             PathPos = 7
	         Else
	             PathPos = 0
	         End If
	     End If
	        
	     DefaultValue = ""
	     DelimPos = InStr(1, sURL, "/base/" & BaseName, 1)
	     If DelimPos > 1 Then
	         Dim EndPos
	         EndPos = DelimPos - 1
	         While EndPos >= 1
	             If EndPos <= PathPos Then
	                 ' There is no Vdir
	                 GetVirtualDirectoryName = ""
	                 Exit Function
	             Else
	                 If Mid(sURL, EndPos, 1) = "/" Then
	                     vDirNameName = Mid(sURL, EndPos, DelimPos - EndPos)
	                     GetVirtualDirectoryName = vDirNameName
	                     Exit Function
	                        
	                 End If

	             End If
	             EndPos = EndPos - 1
	         Wend
	         vDirNameName = DefaultValue
	         GetVirtualDirectoryName = vDirNameName
	         Exit Function
	     End If
	     vDirNameName = DefaultValue
	     GetVirtualDirectoryName = vDirNameName
	     Exit Function

	End Function

	
	'
	' We will load the application root path into a session root path so we can override it if necessary
	'
	Session("MEWebPath") = GetVirtualDirectoryName("enterprise",Application("MEWebPath"))	

	
	function ServiceEnabled(Postoffice, MailBox)
		Dim oFeatures 
		On Error Resume Next
		ServiceEnabled = True
		set oFeatures = server.CreateObject("MEWebmail.Features")
		If Err <> 0 Then
			ReportApplicationError "MailEnable WebMail","MTS/COM+ MEWebMail.Features",Err,Err.Description
		End If
		ServiceEnabled = (oFeatures.GetServiceStatus(Postoffice,Mailbox) = 1)
		set oFeatures = nothing
	end function
	
	Sub SetMailboxSessionValues(Postoffice, MailBox, ValueList)
		'
		' This function accepts a list of values and should load them into session variables
		'
		Dim FieldCount
		Dim FieldIndex
		Dim oFeatures
		Dim FieldName
		On Error Resume Next
		Set oOptions = server.CreateObject("MEWebmail.Options")
		If Err <> 0 Then
			ReportApplicationError "MailEnable WebMail","MTS/COM+ MEWebMail.Options",Err,Err.Description
		End If		
		FieldCount = GetFieldCount(ValueList,",")
		For FieldIndex = 1 To FieldCount
			FieldName = GetListItem(ValueList,",",FieldIndex)			
			Session(Replace(FieldName,"WebMail-","")) = oOptions.GetSystemOption(2,Postoffice & "/" & MailBox,FieldName)
			If Session(Replace(FieldName,"WebMail-","")) = "" Then
				Session(Replace(FieldName,"WebMail-","")) = Application(Replace(FieldName,"WebMail-",""))
			End If
		Next
		Set oFeatures = nothing
	End Sub
	
	Function GetSiteName()
		GetSiteName = Request.ServerVariables("HTTP_HOST")
	End Function

	Dim oFeatures 
	On Error Resume Next
	set oFeatures = server.CreateObject("MEWebmail.Features")
	If Err <> 0 Then
		ReportApplicationError "MailEnable WebMail","MTS/COM+ MEWebMail.Features",Err,Err.Description
	End If
	SiteSkinName = oFeatures.GetSiteSkinName(GetSiteName(),"enterprise")
	SiteDefaultPostoffice = oFeatures.GetSitePostoffice(GetSiteName())
	set oFeatures = nothing
	
	'	
	' Set the current skin
	'
	If Len(SiteSkinName) <=0 Then
	'	if len(request.Cookies("skin"))>0 then
	'		session("skin") = Session("MEWebPath") & "/base/enterprise/skins/" & request.Cookies("skin") & "/"
	'	else
			session("skin") = Session("MEWebPath") & "/base/enterprise/skins/enterprise/" 
	'	end if
	Else
		session("skin") = Session("MEWebPath") & "/base/enterprise/skins/" & SiteSkinName & "/"	
	End If	
	
	If ( ((request("REQUEST_METHOD") = "POST") and (Request("CONTENT_LENGTH") > 0)) or (UCASE(Request("Method")) = "AUTO") ) Then
		On Error Resume Next
		Set oLogin = Server.CreateObject("MEWebMail.Login")
		If Err <> 0 Then
			ReportApplicationError "MailEnable WebMail","MTS/COM+ MEWebMail.Login",Err,Err.Description
		End If
		if instr(1,Request("UserID"),"@") then
			oLogin.UserName = Request("UserID")
		else
			if len(SiteDefaultPostoffice)>0 then
				oLogin.UserName = Request("UserID") & "@" & SiteDefaultPostoffice
			else
				oLogin.UserName = Request("UserID")
			end if
		end if
		oLogin.Password = Request("Password")
		oLogin.Account = ""
		oLogin.Rights  = ""
		oLogin.Status = -1
		AuthenticationResult=oLogin.GetLogin 
		DelimPos = InStr(1,oLogin.UserName,"@")
		LoginStatus = oLogin.Status
		
		If (AuthenticationResult = 1) And (Len(Request("Password")) > 0) And (Len(Request("UserID")) > 0) Then
			If LoginStatus = 1 Then
				If DelimPos > 0 Then
					Session ("AUTH_USERNAME") = Left(oLogin.UserName,InStr(1,oLogin.UserName,"@")-1)
					Session ("AUTH_PASSWORD") = oLogin.Password
					Session ("AUTH_RIGHTS") = oLogin.Rights
					Account = oLogin.Account
				End If
				Set oLogin=Nothing
	
				Session ("AUTH_ACCOUNT") = Account
				Session ("POSTOFFICE") = Account
				Session ("VALID") = True
				If ServiceEnabled(Session ("POSTOFFICE"),Session("AUTH_USERNAME")) then
					' Create the Folders - if it fails it fails, we dont care!
					Call SetMailboxSessionValues(Session ("POSTOFFICE"),Session("AUTH_USERNAME"),"WebMail-MessagesPerPage,WebMail-ClearDeletedOnLogOff,WebMail-UseDeletedItemsFolder,WebMail-AllowNewWindows")
					On Error Resume Next
					Set oPOPFolders = Server.CreateObject("MEWebMail.MailFolders")
					oPOPFolders.InitialiseFolders Session("POSTOFFICE"), Session("AUTH_USERNAME"), Session("AUTH_PASSWORD")
					Set oPOPFolders = Nothing
					' Set our skin and redirect to the main form app
					If Len(SiteSkinName) <=0 Then
						session("skin") = Session("MEWebPath") & "/base/enterprise/skins/" & Request("skin") & "/"
						Response.Cookies("skin") = Request("skin")
						Response.Cookies("skin").Expires = #March 20, 2020#
					End If
					session("offset")=Request.Form("offset")
					
					'
					' If we got a language specified, we really need to go there
					'
					If Len(Request("LanguageID")) > 0 Then
						Response.Redirect (Session("MEWebPath") & "/base/enterprise/lang/" & Request("LanguageID") & "/default.asp" )		
					Else
						Response.Redirect ("default.asp")		
					End If
				Else
					Response.Redirect ("Failure.asp")			
				End If
			Else
				Response.Redirect ("Failure.asp")		
			End If			
		Else		
			Set oLogin=Nothing
			Response.Redirect ("Failure.asp")		
		End If
	End If

	function DisplaySkins(ByVal SiteName)
	
		Dim oFeatures 
		Dim oFolder
		Dim sSkins
		Dim lCount
				
		set oFeatures = server.CreateObject("MEWebmail.Features")
		
		sSkins = oFeatures.AvailableSkins(SiteName,server.MapPath(Session("MEWebPath") & "/base/enterprise/skins"))
		
		if len(sSkins)>0 then
			aSkins = split(sSkins,chr(9))
			
			Response.Write "<tr><td valign=top class=ME_StandardText><b>Skin:</b></td><td><select  style=""width:160px"" class=ME_Input name=skin>"
			
			for lCount = 0 to ubound(aSkins)
				if Request.Cookies("skin") = aSkins(lCount) then
					Response.Write "<option selected value='" & aSkins(lCount) & "'>" & aSkins(lCount)
				else
					Response.Write "<option value='" & aSkins(lCount) & "'>" & aSkins(lCount)
				end if
			next
			
			Response.Write "</select></td></tr>"
		end if
			
		set oFeatures = nothing
		
	end function
	
	function DisplayLanguages(ByVal SiteName)
		Dim oFeatures 
		Dim oFolder
		Dim sLanguages
		Dim lCount
		'We had better be perpared for using older versions that do not have this feature
		'On Error Resume Next
		set oFeatures = server.CreateObject("MEWebmail.Features")
		sLanguages = oFeatures.AvailableLanguages(SiteName,server.MapPath(Session("MEWebPath") & "/base/enterprise/lang"))
		if len(sLanguages)>0 then
			Response.Write "<tr><td valign=top class=ME_StandardText><b>Language:</b></td><td><select SIZE=3 style=""width:160px"" class=ME_Input name=LanguageID>"
			Response.Write sLanguages
			Response.Write "</select></td></tr>"
		end if			
		set oFeatures = nothing	
	end function
	
	
%><HTML>
<head>
<link href="<% =session("skin") %>me.css" rel="STYLESHEET" type="text/css">
<META HTTP-EQUIV="content-type" CONTENT="text/html;charset=UTF-8">
<title>MailEnable Web Mail</title>
</head>
<BODY BGCOLOR="#DFDFDF">
<CENTER>
<TABLE WIDTH=70% height=100% BORDER=0>
<TR valign=middle>
	<TD align=center valign=middle>
		<TABLE WIDTH=400 height=350 bgcolor=white CELLSPACING=0 CELLPADDING=10 border=1>
		<TR>
		<TD>
			<TABLE BORDER=0>
			<TR>
				<TD><IMG SRC="<%=session("skin")%>login-window_logo.gif"></TD>
			</TR>
			<TR valign=middle>
			<TD VALIGN="middle" WIDTH=100% class=ME_StandardText>
				<CENTER>
				<BR>Please enter your Username and password to logon.<BR><BR>
				<TABLE width=250 border=0 CELLSPACING=2 CELLPADDING=0>
				<TR>
				<TD width=250 align="center" valign="top">
				<form method=post name=subform id=subform action="login.asp">
				<table BORDER=0>
					<tr><td valign=top class=ME_StandardText><b>Username:</b></td>
						<td><input style="width:160px" class=ME_Input type=text name=UserID VALUE=<%=Session("AUTH_USERNAME")%>></td>
					</tr>
					<tr><td valign=top class=ME_StandardText><b>Password:</b></td>
						<td><input style="width:160px" type=password name=Password class=ME_Input></td>
					</tr>

					<% 
						If Len(SiteSkinName) <=0 Then
							DisplaySkins(GetSiteName())
						End If

						DisplayLanguages(GetSiteName())
					%>
					<tr>
						<td colspan=2 align=center>
						<input class=ME_LoginButton type=submit value="Log In" width="70" height="17" name=btnLogin>
						<script type="text/javascript">
						<!--							
							var now = new Date()
							var offset = now.getTimezoneOffset();
							document.write('<input type=hidden name=offset value="' + offset + '">');							
						//-->
						</script>
						
						</td></tr>
					</table>
					</form>
					</TD>
					</TR>
					</TABLE>
				</CENTER>
			</TD>
			</TR>
			<TR><TD  valign=top class=ME_StandardTextSmall>
			&copy; MailEnable Pty. Ltd., 2001-2005. All rights reserved.<BR>This computer program is protected by copyright law and international treaties. Unauthorized reproduction or distribution of this program, or any portion of it, may result in severe civil and criminal penalties.
			</TD>
			</TR>
			</TABLE>
		</TD>
		</TR>
		</TABLE>
	</TD>
</TR>
</TABLE>
</CENTER>
<script type="text/javascript">
<!--						
	document.subform.UserID.focus();
//-->
</script>


</BODY>
</HTML>

