//------------------------------------------------------------------------------------------------------
// configuration file for pinEdit menu creation
//------------------------------------------------------------------------------------------------------

var objMenuBar = null;

function CreateMenu(userCode)
{
  var imageUrl = "design/image/" + design + "/";
  
  if(userCode == "") {
    objMenuBar = new MenuBar();
    // we have to close open toolbar popups
    objMenuBar.eventOnPopup = "onMenuPopup";

    // the menu design names differ
    if(design == "")
      objMenuBar.design = "Office2000";
    if(design == "Office")
      objMenuBar.design = "OfficeXP";
    if(design == "Office2003")
      objMenuBar.design = "Office2003";
    if(design == "Office2003S") 
      objMenuBar.design = "Office2003S";

    //-----------------------------------------------------------------------------------------------------------
    // create file menu
    //-----------------------------------------------------------------------------------------------------------
    objMenuBarItem = new MenuBarItem(getLanguageString(language,3018));

    objMenu = new Menu("onMenuItemClick");
    objMenu.add(new MenuItem(getLanguageString(language,101) ,imageUrl + "neu.gif","","NEW"));
    objMenu.add(new MenuItem(getLanguageString(language,102) + "...",imageUrl + "open.gif","","OPEN"));
    objMenu.add(new MenuItem(getLanguageString(language,118) ,imageUrl + "save.gif","","SAVE"));
    objMenu.add(new MenuItem(getLanguageString(language,119) + "...",imageUrl + "saveas.gif","","SAVEAS"));
    objMenu.add(new MenuSeparator());
    objMenu.add(new MenuItem(getLanguageString(language,403) + "...",imageUrl + "preview.gif","","PREVIEW"));
    if(!browser.ns)
      objMenu.add(new MenuItem(getLanguageString(language,103) + "...",imageUrl + "print.gif","","PRINT"));

    objMenuBarItem.setMenu(objMenu);
    objMenuBar.add(objMenuBarItem);

    //-----------------------------------------------------------------------------------------------------------
    // create edit menu
    //-----------------------------------------------------------------------------------------------------------
    objMenuBarItem = new MenuBarItem(getLanguageString(language,3019));

    objMenu = new Menu("onMenuItemClick");
    objMenu.add(new MenuItem(getLanguageString(language,107) ,imageUrl + "undo.gif","","UNDO"));
    objMenu.add(new MenuItem(getLanguageString(language,108),imageUrl + "redo.gif","","REDO"));
    objMenu.add(new MenuSeparator());
    objMenu.add(new MenuItem(getLanguageString(language,104) ,imageUrl + "cut.gif","","CUT"));
    objMenu.add(new MenuItem(getLanguageString(language,105) ,imageUrl + "copy.gif","","COPY"));
    objMenu.add(new MenuItem(getLanguageString(language,106) ,imageUrl + "paste.gif","","PASTE"));
    objMenu.add(new MenuItem(getLanguageString(language,408) ,imageUrl + "pasteword.gif","","PASTEWORD"));
    objMenu.add(new MenuSeparator());
    objMenu.add(new MenuItem(getLanguageString(language,405) ,imageUrl + "selectall.gif","","SELECTALL"));
    objMenu.add(new MenuItem(getLanguageString(language,113) ,imageUrl + "search.gif","","SEARCH"));
    
    objMenuBarItem.setMenu(objMenu);
    objMenuBar.add(objMenuBarItem);

    //-----------------------------------------------------------------------------------------------------------
    // create insert menu
    //-----------------------------------------------------------------------------------------------------------
    objMenuBarItem = new MenuBarItem(getLanguageString(language,3020));

    objMenu = new Menu("onMenuItemClick");
    objMenu.add(new MenuItem(getLanguageString(language,116) ,imageUrl + "date.gif","","DATE"));
    objMenu.add(new MenuItem(getLanguageString(language,117),imageUrl + "time.gif","","TIME"));
    objMenu.add(new MenuSeparator());
    objMenu.add(new MenuItem(getLanguageString(language,109),imageUrl + "link.gif","","LINK"));
    objMenu.add(new MenuItem(getLanguageString(language,407),imageUrl + "anchor.gif","","ANCHOR"));
    objMenu.add(new MenuItem(getLanguageString(language,110),imageUrl + "image.gif","","IMAGE"));
    objMenu.add(new MenuItem(getLanguageString(language,112),imageUrl + "rule.gif","","RULE"));
    if(!browser.ns) {
      objMenu.add(new MenuItem(getLanguageString(language,409),imageUrl + "marquee.gif","","MARQUEE"));
    }
      objMenu.add(new MenuSeparator());
    if(!browser.ns) {
      objMenu.add(new MenuItem(getLanguageString(language,404),imageUrl + "pagebreak.gif","","PAGEBREAK"));
    }
    objMenu.add(new MenuItem(getLanguageString(language,3002),imageUrl + "paragraph.gif","","PARAGRAPH"));
    objMenu.add(new MenuItem(getLanguageString(language,3000),imageUrl + "ltr.gif","","LTR"));
    objMenu.add(new MenuItem(getLanguageString(language,3001),imageUrl + "rtl.gif","","RTL"));

    objMenuBarItem.setMenu(objMenu);
    objMenuBar.add(objMenuBarItem);

    //-----------------------------------------------------------------------------------------------------------
    // create format menu
    //-----------------------------------------------------------------------------------------------------------
    objMenuBarItem = new MenuBarItem(getLanguageString(language,3021));

    objMenu = new Menu("onMenuItemClick");
    objMenu.add(new MenuItem(getLanguageString(language,201) ,imageUrl + "bold.gif","","BOLD"));
    objMenu.add(new MenuItem(getLanguageString(language,202),imageUrl + "italic.gif","","ITALIC"));
    objMenu.add(new MenuItem(getLanguageString(language,203),imageUrl + "underline.gif","","UNDERLINE"));
    objMenu.add(new MenuItem(getLanguageString(language,204),imageUrl + "superscript.gif","","SUPERSCRIPT"));
    objMenu.add(new MenuItem(getLanguageString(language,205),imageUrl + "subscript.gif","","SUBSCRIPT"));
    objMenu.add(new MenuSeparator());
    objMenu.add(new MenuItem(getLanguageString(language,206),imageUrl + "left.gif","","JUSTIFYLEFT"));
    objMenu.add(new MenuItem(getLanguageString(language,207),imageUrl + "center.gif","","JUSTIFYCENTER"));
    objMenu.add(new MenuItem(getLanguageString(language,208),imageUrl + "right.gif","","JUSTIFYRIGHT"));
    objMenu.add(new MenuItem(getLanguageString(language,209),imageUrl + "block.gif","","JUSTIFYFULL"));
    objMenu.add(new MenuSeparator());
    objMenu.add(new MenuItem(getLanguageString(language,210),imageUrl + "orderedlist.gif","","INSERTORDEREDLIST"));
    objMenu.add(new MenuItem(getLanguageString(language,211),imageUrl + "unorderedlist.gif","","INSERTUNORDEREDLIST"));
    objMenu.add(new MenuSeparator());
    objMenu.add(new MenuItem(getLanguageString(language,212),imageUrl + "indent.gif","","INDENT"));
    objMenu.add(new MenuItem(getLanguageString(language,213),imageUrl + "outdent.gif","","OUTDENT"));

    objMenuBarItem.setMenu(objMenu);
    objMenuBar.add(objMenuBarItem);

    //-----------------------------------------------------------------------------------------------------------
    // create forms menu
    //-----------------------------------------------------------------------------------------------------------
    objMenuBarItem = new MenuBarItem(getLanguageString(language,3022));

    objMenu = new Menu("onMenuItemClick");
    objMenu.width = 200;
    objMenu.add(new MenuItem(getLanguageString(language,406),imageUrl + "form.gif","","FORM"));
    if(browser.ie) {
      objMenu.add(new MenuItem(getLanguageString(language,301),imageUrl + "label.gif","","LABEL"));
    }
    objMenu.add(new MenuItem(getLanguageString(language,302),imageUrl + "button.gif","","BUTTON"));
    objMenu.add(new MenuItem(getLanguageString(language,303),imageUrl + "input.gif","","INPUT"));
    objMenu.add(new MenuItem(getLanguageString(language,304),imageUrl + "checkbox.gif","","CHECK"));
    objMenu.add(new MenuItem(getLanguageString(language,305),imageUrl + "radio.gif","","OPTION"));
    objMenu.add(new MenuItem(getLanguageString(language,306),imageUrl + "combobox.gif","","COMBO"));
    objMenu.add(new MenuItem(getLanguageString(language,307),imageUrl + "listbox.gif","","LISTBOX"));
    objMenu.add(new MenuItem(getLanguageString(language,308),imageUrl + "textarea.gif","","AREA"));
    objMenu.add(new MenuItem(getLanguageString(language,410),imageUrl + "hidden.gif","","HIDDEN"));
    objMenu.add(new MenuSeparator());
    objMenu.add(new MenuItem(getLanguageString(language,310),imageUrl + "div.gif","","DIV"));
    if(browser.ie) {
      objMenu.add(new MenuItem(getLanguageString(language,309),imageUrl + "iframe.gif","","IFRAME"));
    }
    objMenu.add(new MenuSeparator());
    objMenu.add(new MenuItem(getLanguageString(language,311),imageUrl + "position.gif","","POSITION"));

    objMenuBarItem.setMenu(objMenu);
    objMenuBar.add(objMenuBarItem);

    //-----------------------------------------------------------------------------------------------------------
    // create help menu
    //-----------------------------------------------------------------------------------------------------------
    objMenuBarItem = new MenuBarItem("?");

    objMenu = new Menu("onMenuItemClick");
    objMenu.add(new MenuItem(getLanguageString(language,114),imageUrl + "help.gif","","HELP"));

    objMenuBarItem.setMenu(objMenu);
    objMenuBar.add(objMenuBarItem);
  }

  //---------------------------------------------------------------------------------------------------
  // sample for a custmized menu
  //---------------------------------------------------------------------------------------------------
  if(userCode == "USER") {
    objMenuBar = new MenuBar();
    objMenuBar.design = "Office2003";

    objMenuBarItem = new MenuBarItem('MenuBar1');
    objMenu = new Menu("onMyMenuItemClick");
    objMenu.add(new MenuItem("MyItem 1" ,imageUrl + "neu.gif","","ITEM1"));
    objMenu.add(new MenuItem("MyItem 2" ,imageUrl + "print.gif","","ITEM2"));
    objMenuBarItem.setMenu(objMenu);
    objMenuBar.add(objMenuBarItem);

    objMenuBarItem = new MenuBarItem('MenuBar2');
    objMenu = new Menu("onMyMenuItemClick");
    objMenu.add(new MenuItem("MyItem 3" ,imageUrl + "neu.gif","","ITEM3"));
    objMenu.add(new MenuItem("MyItem 4" ,imageUrl + "print.gif","","ITEM4"));
    objMenuBarItem.setMenu(objMenu);
    objMenuBar.add(objMenuBarItem);
  }

  // show menu
  objMenuBar.show(0,0,500,22);

}

function onMenuItemClick(key)
{
  if(key == "NEW")
    editNew();
  if(key == "OPEN")
    editOpen(1);
  if(key == "SAVE")
    saveCommon();
  if(key == "SAVEAS")
    editSaveDialog();
  if(key == "PREVIEW")
    editPreview();
  if(key == "PRINT")
    editPrint();
  if(key == "UNDO")
    editUndo();
  if(key == "REDO")
    editRedo();
  if(key == "CUT")
    editCut();
  if(key == "COPY")
    editCopy();
  if(key == "PASTE")
    editPaste();
  if(key == "PASTEWORD")
    editPasteWord();
  if(key == "SELECTALL")
    editSelectAll();
  if(key == "SEARCH")
    editSearch();
  if(key == "DATE")
    editInsertDate();
  if(key == "TIME")
    editInsertTime();
  if(key == "LINK")
    editLink();
  if(key == "ANCHOR")
    editInsertObject('ANCHOR');
  if(key == "IMAGE")
    editOpen(3);
  if(key == "RULE")
    editInsertObject('RULE');
  if(key == "MARQUEE")
    editInsertObject('MARQUEE');
  if(key == "PAGEBREAK")
    editInsertObject('PAGEBREAK');
  if(key == "PARAGRAPH")
    editParagraph();
  if(key == "LTR")
    editSetDirection('ltr');
  if(key == "RTL")
    editSetDirection('rtl');

  if(key == "BOLD")
    editBold();
  if(key == "ITALIC")
    editItalic();
  if(key == "UNDERLINE")
    editUnderline();
  if(key == "SUPERSCRIPT")
    editSuperscript();
  if(key == "SUBSCRIPT")
    editSubscript();
  if(key == "JUSTIFYLEFT")
    editJustifyLeft();
  if(key == "JUSTIFYCENTER")
    editJustifyCenter();
  if(key == "JUSTIFYRIGHT")
    editJustifyRight();
  if(key == "JUSTIFYFULL")
    editJustifyFull();
  if(key == "INSERTORDEREDLIST")
    editOrderedList();
  if(key == "INSERTUNORDEREDLIST")
    editUnorderedList();
  if(key == "INDENT")
    editIndent();
  if(key == "OUTDENT")
    editOutdent();

  if(key == "FORM")
    editInsertObject('FORM');
  if(key == "LABEL")
    editInsertObject('LABEL');
  if(key == "BUTTON")
    editInsertObject('BUTTON');
  if(key == "INPUT")
    editInsertObject('INPUT');
  if(key == "CHECK")
    editInsertObject('CHECK');
  if(key == "OPTION")
    editInsertObject('OPTION');
  if(key == "COMBO")
    editInsertObject('COMBO');
  if(key == "LISTBOX")
    editInsertObject('LISTBOX');
  if(key == "AREA")
    editInsertObject('AREA');
  if(key == "HIDDEN")
    editInsertObject('HIDDEN');
  if(key == "DIV")
    editInsertObject('DIV');
  if(key == "IFRAME")
    editInsertObject('IFRAME');
  if(key == "POSITION")
    editAbsolute();

  if(key == "HELP")
    onHelp();
}

function onMenuPopup()
{
	// if there are open popups they will be closed
	toolbarsTop.reset();
}

function onMyMenuItemClick(key)
{
  alert("Menu clicked: " + key);
}