<%
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	' MailEnable Web Client Application
	'
	' (C) MailEnable Pty. Ltd. 2002-2005
	'
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim UnResolvedRecipients,i
Dim gPostOffice
Dim gUserName
Dim RelativeFolderPath
Dim MessageID
Dim bResolve
Dim bRecipientsAvailable
Dim MsgFormat

gPostOffice = Session("POSTOFFICE")
gUserName = Session("AUTH_USERNAME")
gPassword = Session("AUTH_PASSWORD")
RelativeFolderPath=Request("Folder")
MessageID = Request("ID")
MsgFormat = Request("MsgFormat")

Sub CloseDialog()
	Response.Write "<html><HEAD><META HTTP-EQUIV=""Content-Type"" CONTENT=""text/html; charset=windows-1252""></HEAD><body onload='self.close();'></body></html>"
	Response.End
End Sub

Function GetFieldCount(InString, FieldDelimiter)
    Dim DelimiterPos
    Dim DelimiterCount
    
    DelimiterPos = 0

    Do
        DelimiterPos = InStr(DelimiterPos + 1, InString, FieldDelimiter)
        DelimiterCount = DelimiterCount + 1
    Loop While (DelimiterPos > 0) And (DelimiterCount < 50)
    GetFieldCount = DelimiterCount
End Function

Function GetListItem(ItemList, Delimiter, ItemNumber)
    'gets the specific item from a delimited list
    
    Dim sItems

    On Error Resume Next        'return empty if there is an error
    sItems = Split(ItemList, Delimiter)
    GetListItem = sItems(ItemNumber - 1)
End Function


Function GetSubString(SourceString, StartString, EndString)

    Dim StartDelim
    Dim EndDelim
    
    StartDelim = InStr(1, SourceString, StartString, vbTextCompare)
    EndDelim = InStr(StartDelim + Len(StartString), SourceString, EndString)
    
    If StartDelim > 0 And EndDelim > 0 Then
        GetSubString = Mid(SourceString, StartDelim + Len(StartString), (EndDelim - (StartDelim + Len(StartString))))
    Else
        GetSubString = ""
    End If
    
    Exit Function
End Function

Sub SaveMessageChanges()
	Dim Priority
	
	Select Case Request("ComposeMode")
	Case "General"
		Set oMessage = Server.CreateObject("MEWebMail.MailMessage")
		oMessage.PostOffice = gPostoffice
		oMessage.Username = gUserName
		oMessage.Password = gPassword
		oMessage.MessageID = MessageID
		oMessage.RelativeFolderPath = RelativeFolderPath
		'
		' We need to set the content type since it can now be in html
		'
		oMessage.FromRecipients = Request.Form("MsgFrom")
		oMessage.CCRecipients = Request.Form("MsgCc")
		oMessage.ToRecipients = Request.Form("MsgTo")
		oMessage.BCCRecipients = Request.Form("MsgBCC")
		If Request("MsgFormat")="TEXT" Then
			oMessage.Body = Request.Form("MsgBody")					
			oMessage.HTMLFormattingEnabled = False
		Else
			oMessage.HTMLFormattingEnabled = True
			'oMessage.ContentType = "multipart/alternative"
			If InStr(1,Left(Request.Form("MsgBody"),200),"<BODY>") Then
				oMessage.Body = GetSubString(Request.Form("MsgBody"),"<BODY>","</BODY>")		
			Else
				oMessage.Body = Request.Form("MsgBody")					
			End If		
		End if
		oMessage.Subject = Request.Form("MsgSubject")
		oMessage.FlagStatus = 0
		oMessage.TimezoneOffset = session("offset")
		oMessage.Compose_SaveMessageDetails
		If Len(Request.Form("PRIORITY")) > 0 Then
			oMessage.AddHeader "X-Priority",Request.Form("PRIORITY")
			Select Case Request.Form("PRIORITY")
				Case "1": oMessage.AddHeader "X-MSMail-Priority","High" 
				Case "2": oMessage.AddHeader "X-MSMail-Priority","Normal"
				Case "3": oMessage.AddHeader "X-MSMail-Priority","Medium"
			End Select
		End If
		If UCase(Request.Form("READ-RECEIPT")) = "ON" Then
			oMessage.AddHeader "Disposition-Notification-To","<" & oMessage.FromRecipients & ">"
		Else
			oMessage.RemoveHeader "Disposition-Notification-To"
		End If		
		Set oMessage = Nothing
	End Select
End Sub	

Public Function GetSessionKey()
	Dim oSession
	Set oSession = Server.CreateObject("MEWebMail.Session")
	GetSessionKey = oSession.GetSessionKey(gPostOffice, gUserName)
	Set oSession = Nothing
End Function

Public Function IsValidSession(sSession)
	Dim oSession
	Set oSession = Server.CreateObject("MEWebMail.Session")
	IsValidSession = oSession.ValidSession(sSession, gPostOffice, gUserName)	
	Set oSession = Nothing
End Function

If session("valid")<> True then
	' It is possible that the message may have timed out while the user is composing the message
	' In this case we have the users postoffice and mailbox saved in 
	' Request.Form("ME_MAILBOX") and Request.Form("ME_POSTOFFICE")
	
	If ((Len(Request.Form("ME_MAILBOX")) > 0) And (Len(Request.Form("ME_POSTOFFICE")))) Then
		gPostOffice = Request.Form("ME_POSTOFFICE")
		gUserName = Request.Form("ME_MAILBOX")
		RelativeFolderPath="/Drafts"
		If IsValidSession(Request.Form("ME_SESSION")) Then
			If Request("ID") <> "" Then
				MessageID = Request("ID")
			Else
				MessageID = "TIMEOUTSAVE.MAI"
			End If
			Call SaveMessageChanges()
		End If	
	End If
	Response.Redirect Session("MEWebPath") & "/base/enterprise/lang/en/timeout.asp"		
end if		
	
	Call SaveMessageChanges()

	Select Case Request("FormAction")
		Case "Send"
			If UCase(Session("AUTH_USERNAME")) <> "MEDEMO" Then
				' We check to make sure that all entries are filled
				' We need pass all of the Parameters to SendMessage 


				Set oMessage = Server.CreateObject("MEWebMail.MailMessage")
				oMessage.PostOffice = gPostoffice
				oMessage.Username = gUserName
				oMessage.Password = gPassword
				oMessage.MessageID = MessageID
				oMessage.RelativeFolderPath = RelativeFolderPath
				oMessage.ComposeMode=True
				If Request("MsgFormat") = "TEXT" Then				
					oMessage.HTMLFormattingEnabled = False
					oMessage.ComposeMode = True
				Else 
					oMessage.HTMLFormattingEnabled = True
					oMessage.ComposeMode = False
				End If
				If Not oMessage.GetMessage() Then
					'Response.Write "Error: 1223 - Unable to access message draft for PO=" & gPostoffice & " MBX= " & gUserName & " MSG= " & MessageID & " FLD = " & RelativeFolderPath
					'Response.End
				End If
				FrmMsgBody = oMessage.Body
				FrmMsgFrom = oMessage.FormatRecipientHeader(oMessage.FromRecipients) 
				FrmMsgTo = oMessage.FormatRecipientHeader(oMessage.ToRecipients)
				FrmMsgCC = oMessage.FormatRecipientHeader(oMessage.CCRecipients)
				FrmMsgBCC = oMessage.FormatRecipientHeader(oMessage.BCCRecipients)
				FrmMsgSubject = oMessage.Subject
				bResolve = CLng(oMessage.ResolveRecipients()) = Clng(True)
				'
				' TODO: If we allow auto resolution against the contacts list, then we need to lookup the
				' supplied name and return into compose mode
				' UnResolvedRecipients = oMessage.UnResolvedRecipients

				bRecipientsAvailable = (Len(CStr(FrmMsgTo & FrmMsgCC & FrmMsgBCC)) > 0)
				If (bResolve And bRecipientsAvailable) Then
					'
					' We need to update the message headers here because 
					'
					set oFeatures = server.CreateObject("MEWebmail.Options")
					If oFeatures.GetOptionValue("CanEditDisplayName",Session("AUTH_ACCOUNT"),Session("AUTH_USERNAME")) = 1 Then
						oMessage.FromRecipientsAlias = oFeatures.GetSystemOption(2,Session("AUTH_ACCOUNT") & "/" & Session("AUTH_USERNAME"),"DisplayName")
					End If
					set oFeatures = nothing
					oMessage.PostOffice = gPostoffice
					oMessage.Username = gUserName
					oMessage.Password = gPassword
					oMessage.MessageID = MessageID
					oMessage.RelativeFolderPath = RelativeFolderPath
					oMessage.FromRecipients =FrmMsgFrom
					oMessage.CCRecipients = FrmMsgCC
					oMessage.ToRecipients = FrmMsgTo
					oMessage.BCCRecipients = FrmMsgBCC
					oMessage.Body = FrmMsgBody
					
					oMessage.Subject = FrmMsgSubject
					oMessage.FlagStatus = 0
					oMessage.ClientIP = Request.ServerVariables("REMOTE_ADDR")
					If MsgFormat="HTML" Then
						oMessage.HTMLFormattingEnabled = True
						oMessage.ContentType = "multipart/alternative"
					Else
						oMessage.HTMLFormattingEnabled = False					
					End If

					oMessage.TimezoneOffset = session("offset")					
					oMessage.Compose_SaveMessageDetails					
					'
					' We need to take the message from the current directory and move it into the Spooling Queue
					'
					Result = oMessage.SendMessage()
					
					Set oMessage = Nothing
					If CStr(Session("AllowNewWindows")) = "1" Then		
						Call CloseDialog()
					Else	
						Response.Redirect "list.asp"
					End If
					Response.End
				Else
					UnResolvedRecipients = oMessage.UnResolvedRecipients
					Set oMessage = Nothing
				End If
			Else
				Response.Write "<HTML><HEAD><TITLE>Demonstration Account</TITLE></HEAD><BODY><CENTER><BR><H1>Demonstration</H1>You are not able to send messages from this account because it is provided for demonstation only</CENTER></BODY></HTML>"
				Response.End
			End If
		Case Else
			'nothing			
	End Select

	RelativeFolderPath="/Drafts"
%>
<HTML>
<HEAD>
<LINK REL="stylesheet" TYPE="text/css" HREF="<% =session("skin") %>me.css">
<META name="ROBOTS" content="NOINDEX,NOFOLLOW">
<META HTTP-EQUIV="content-type" CONTENT="text/html;charset=iso-8859-1">
<SCRIPT LANGUAGE="Javascript">
	document.title = "Address Resolution Error";
</SCRIPT>
</HEAD>
<BODY leftMargin=10 topMargin=10>
<H2>Address Resolution Problem</H2>
<BR>
<% If Len(UnResolvedRecipients) > 0 Then%>
	There was a problem resolving some (or all) of the recipients of this mail message. <BR>
	The following Recipients could not be resolved because of ambiguity:<BR>
	<BR>
	<TABLE WIDTH="100%" BORDER=0>
		<TR class=ME_MessagesListHeader><TD>Address:</TD><TD>Reason:</TD></TR>
	<% For i = 1 to GetFieldCount(UnResolvedRecipients,";")%>
		<TR class="ME_List<%=i Mod 2%>"><TD><%=GetListItem(UnResolvedRecipients,";",i)%></TD><TD>Address Format is Invalid.</TD></TR>
	<%Next%>
	</TABLE>
	<BR>
	<BR>
	<B>NOTE: </B>Recipient Addresses must be delimited by semicolons or commas and must be formatted as valid SMTP (Internet) addresses.<BR>
	<B>Examples:</B>
	<BLOCKQUOTE>
		<SPAN>DaveKellar@example.com</SPAN><BR> 
	<U>Or</U><BR>
		<SPAN>PeterJiogan@example.com;AndrewLiete@example.com</SPAN><BR>
	</BLOCKQUOTE>
<%Else%>
	The message you attempted to send did not have any valid recipients. <BR>
	You must specify at least one recipient to a mail message.
<%End If%>
<BR>
Please click on the 'Continue' button to modify the recipients of the message.<BR>
<BR>
<FORM METHOD="POST" ACTION="Compose.asp?ID=<%=MessageID%>&Mode=Compose&Folder=">
<BR>
<HR>
<TABLE WIDTH=100%>
	<TR><TD ALIGN="RIGHT"><INPUT NAME="FormCommand" class=ME_Button TYPE="SUBMIT" VALUE="Continue.."></TD></TR>
</TABLE>
</BODY>
</HTML>



