<!--#include file="sec.asp" -->
<%
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	' MailEnable Web Client Application
	'
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Const ChildWindowDefaultWidth=0
	Const ChildWindowDefaultHeight=0
	
	Dim sRep
	Dim MessagesPerPage
	Dim UseDeletedItemsFolder

	MessagesPerPage = Session("MessagesPerPage")

	If Len(MessagesPerPage) = 0 Then
		MessagesPerPage = Application("MessagesPerPage")
	End If

	UseDeletedItemsFolder = Session("UseDeletedItemsFolder")

	If Len(UseDeletedItemsFolder) = 0 Then
		UseDeletedItemsFolder = Application("UseDeletedItemsFolder")
		If Len(UseDeletedItemsFolder) = 0 Then
			UseDeletedItemsFolder=1
		End If
	End If
	
	Function LeadingZeros(InVal)
		LeadingZeros = InVal
		if Len(CStr(InVal)) < 2 Then
			LeadingZeros = "0" & InVal
		End if
	End Function

	Function GetFieldCount(InString, FieldDelimiter)
	    Dim DelimiterPos
	    Dim DelimiterCount
	    DelimiterPos = 0
	    '
	    ' We want a safety mechanism here to avoid infinite looping
	    '
	    Do
	        DelimiterPos = InStr(DelimiterPos + 1, InString, FieldDelimiter)
	        DelimiterCount = DelimiterCount + 1
	    Loop While (DelimiterPos > 0) And (DelimiterCount < 100)
	    GetFieldCount = DelimiterCount
	End Function

	Function ConvertDate(vDateValue)
		ConvertDate = CDate(vDateValue)
	End Function	

	Function ConvertVDate(vDateValue)
		'
		' This function converts a date from ADO to a time that we can deal with in VBScript
		' Parameters:
		'	In: Variant Date Value from ADO
		'	Out: Date Variant Value
		'Dim dpDateValue
		Dim sTmpDateValue
		On Error Resume Next		
		If InStr(1,CStr(vDateValue),",") Then
			sTmpDateValue = Replace(CStr(vDateValue),",",".",1,1)
			dpDateValue = CDbl(sTmpDateValue)
			' If the conversion failed
			If Err <> 0 Then
				dpDateValue = CDbl(vDateValue)			
			End If
		Else
			dpDateValue = CDbl(vDateValue)
		End If
		' Now convert the double to a DateTime Variant
		ConvertVDate = CDate(dpDateValue)
	End Function	
	
		
	Function GetFolderDisplayName(ByVal PhysicalName)
	'
	' This function is used to render the names of directories/folders in the folder list
	'
	Select Case UCASE(PhysicalName)
		Case "INBOX": GetFolderDisplayName = "Inbox"
		Case "DELETED ITEMS": GetFolderDisplayName = "Deleted Items"
		Case "SENT ITEMS": GetFolderDisplayName = "Sent Items"
		Case "DRAFTS": GetFolderDisplayName = "Drafts"
		Case "CONTACTS": GetFolderDisplayName = "Contacts"
		Case "CALENDAR": GetFolderDisplayName ="Calendar"
		Case Else:
			GetFolderDisplayName = 	PhysicalName
	End Select	
	End Function
	
	Function GetListItem(ItemList, Delimiter, ItemNumber)
	    'gets the specific item from a delimited list
	    
	    Dim sItems

	    On Error Resume Next        'return empty if there is an error
	    sItems = Split(ItemList, Delimiter)
	    GetListItem = sItems(ItemNumber - 1)
	    if err.number<>0 then 
			err.Clear
			GetListItem=""
		end if
	End Function
	
	function StripHTML(sIn)
		StripHTML = replace(replace(sIn,"<","&lt;"),">","&gt;")
	end function
	
	Function ShowFieldHeader(ByVal Width, ByVal MessageID, ByVal FieldLabel, ByVal SortField, ByVal SortOrder, ByVal FieldTag)
			ShowFieldHeader = "<TH STYLE='cursor:hand' width=" & Width & " align='left'><a href='#' class=ME_ColHeader title='Sort by " & FieldLabel & "' onclick=""SubmitAction('list.asp?ID=" & Server.URLEncode(MessageID) & "&SortField=" & FieldTag & "&SortOrder=" & ToggleSortOrder(SortOrder) & "&Page=' + DeleteForm.Page.options[DeleteForm.Page.selectedIndex].value);return false;"">" & FieldLabel & "</a>" & ShowSortDetails(FieldTag,SortField,SortOrder) & "</TH>"
	End Function

	Function ShowAttHeader(ByVal Width, ByVal MessageID, ByVal FieldLabel, ByVal SortField, ByVal SortOrder, ByVal FieldTag)
			ShowAttHeader = "<TH STYLE='cursor:hand' width=" & Width & " align='left'><a href='#' class=ME_ColHeader title='Sort by attachment' onclick=""SubmitAction('list.asp?ID=" & Server.URLEncode(MessageID) & "&SortField=" & FieldTag & "&SortOrder=" & ToggleSortOrder(SortOrder) & "&Page=' + DeleteForm.Page.options[DeleteForm.Page.selectedIndex].value);return false;"">" & FieldLabel & "</a>" & ShowSortDetails(FieldTag,SortField,SortOrder) & "</TH>"
	End Function

	Function ShowField(ByVal Width, ByVal MessageID, ByVal RelativeFolderPath, ByVal FieldName)
		if len(FieldName)=0 then FieldName="&nbsp;"
		ShowField="<TD width=" & Width & " NOWRAP>" & FieldName & "</TD>"
	End Function

	Function ShowFromField(ByVal Width, ByVal MessageID, ByVal RelativeFolderPath, ByVal FieldName)
		if len(FieldName)=0 then FieldName="&nbsp;"
		If CStr(Session("AllowNewWindows")) = "1" Then
			ShowFromField="<TD width=" & Width & " NOWRAP><A class=ME_Nolink TARGET=_new HREF=""preview.asp?ID=" & MessageID & "&Folder=" & Server.URLEncode(RelativeFolderPath) & """>" & FieldName & "</A></TD>"
		Else
			ShowFromField="<TD width=" & Width & " NOWRAP><A class=ME_Nolink HREF=""preview.asp?ID=" & MessageID & "&Folder=" & Server.URLEncode(RelativeFolderPath) & """>" & FieldName & "</A></TD>"
		End If
	End Function

	Function ShowAttachmentField(byVal Width, byVal Attachments)
			If Attachments Then
				ShowAttachmentField = "<TD width=" & Width & " align='left'><img src=""" & session("skin") & "paperclip.gif""></TD>"
			Else
				ShowAttachmentField = "<TD width=" & Width & ">&nbsp;</TD>"
			End If	
	End Function

	Function ShowStatusField(ByVal Width, byVal MessageID, ByVal RelativeFolderPath, byVal FlagStatus)
		Dim ReturnValue
		ReturnValue = "<TD width=" & Width & " align='left'>"
		If (FlagStatus = "1") Or (InStr(1,FlagStatus,"/SEEN") > 0) Then
			ReturnValue = ReturnValue & "<IMG SRC=""" & session("skin") & "openedletter.gif"" BORDER=0>"
		Else
			ReturnValue = ReturnValue & "<IMG SRC=""" & session("skin") & "letter.gif"" BORDER=0>"
		End If
		ShowStatusField = ReturnValue & "</TD>"
	End Function	

	Function ShowSelectField(ByVal Width, byVal MessageID)
			ShowSelectField="<TD width=" & MessageReadWidth & " align='left'>&nbsp;<INPUT NAME='MsgAction' TYPE='CHECKBOX' VALUE=""" & MessageID & """ onclick=""event.cancelBubble=true;""></TD>"
	End Function

	Function ShowOpenField(ByVal Width, byVal MessageID, ByVal RelativeFolderPath)
		If CStr(Session("AllowNewWindows")) = "1" Then			
			ShowOpenField="<TD width=" & MessageReadWidth & " align='left'><A TARGET=_new href='preview.asp?ID=" & MessageID & "&Folder=" & Server.URLEncode(RelativeFolderPath) & "' class=ME_Nolink><IMG SRC=""" & session("skin") & "icon_readlaunch.gif"" BORDER=0 ALT='Open message in new window'></A></TD>"
		Else
			ShowOpenField="<TD width=" & MessageReadWidth & " align='left'><A href='preview.asp?ID=" & MessageID & "&Folder=" & Server.URLEncode(RelativeFolderPath) & "' class=ME_Nolink><IMG SRC=""" & session("skin") & "icon_readlaunch.gif"" BORDER=0 ALT='Open message in new window'></A></TD>"		
		End If
	End Function
	
	Function ShowComposeOpenField(ByVal Width, byVal MessageID, ByVal RelativeFolderPath)
		ShowComposeOpenField="<TD width=" & MessageReadWidth & " align='left'><A href='#' class=ME_Nolink onClick=""OpenNewWindow('compose.asp?ID=" & MessageID & "&Mode=Compose&Folder=" & Server.URLEncode(RelativeFolderPath) & "',-1,-1);return false""><IMG SRC=""" & session("skin") & "icon_readlaunch.gif"" BORDER=0></A></TD>"		
	End Function
	
	Response.CacheControl = "no-cache"
	Response.AddHeader "Pragma", "no-cache" 
	Response.Expires=True
	Response.ExpiresAbsolute = now 

Dim gPostoffice
Dim gUserName
Dim gPassword
Const MessageReadWidth=30
Const MessageAttachmentWidth=30
Const MessageFromWidth=180
Const MessageSubjectWidth="*"
Const MessageReceivedWidth=80
Const MessageSizeWidth=50

gPostOffice = Session ("POSTOFFICE")
gUserName = Session ("AUTH_USERNAME")
gPassword = Session ("AUTH_PASSWORD")		

Set oMailbox = Server.CreateObject("MEWebMail.Mailbox")
oMailbox.Postoffice = Session("AUTH_ACCOUNT")
oMailbox.Mailbox = Session("AUTH_USERNAME")
FrmMailboxCharSet=oMailbox.GetCharSet
set oMailbox = nothing

Function FormatAddressListToHTML(AddressList, MessageID, RelativeFolderPath)
	For i = 1 to GetFieldCount(AddressList,";")
		'
		' We have an address
		'
		'now we need to split it up into its bits.
		ItemAddress=GetListItem(AddressList,";",i)
		If InStr(1,ItemAddress,"""") or (instr(1,ItemAddress,"<")>1) Then
			'We need to get the first part
			Alias = GetListItem(ItemAddress,"<",1)
			if left(Alias,1)="""" and right(trim(alias),1)="""" then
				Alias = mid(Alias,2,len(Alias)-3)
			end if
			Address = GetListItem(ItemAddress,"<",2)
			if len(Address)>0 then Address = Left(Address,Len(Address)-1)
		Else
			Alias = Replace(Replace(ItemAddress,"<",""),">","")
			Address = Alias
		End If
				
		if len(Alias)=0 then
			Alias="&nbsp;"
		end if
				
		If Len(HTMLAddress)=0 Then
			If CStr(Session("AllowNewWindows")) = "1" Then
				'HTMLAddress="<A TARGET=_new HREF=""preview.asp?ID=" & MessageID & "&Folder=" & Server.URLEncode(RelativeFolderPath) & """ TITLE=""" & Address & """>" & Alias & "</A>"
				HTMLAddress="<A HREF=""#"" TITLE=""" & Address & """>" & Alias & "</A>"		
			Else
				'HTMLAddress="<A HREF=""preview.asp?ID=" & MessageID & "&Folder=" & Server.URLEncode(RelativeFolderPath) & """ TITLE=""" & Address & """>" & Alias & "</A>"		
				HTMLAddress="<A HREF=""#"" TITLE=""" & Address & """>" & Alias & "</A>"		
			End If
		Else
			HTMLAddress = HTMLAddress & " TITLE=""" & Address & """>" & Alias & "</A>"
		End If

	Next

	FormatAddressListToHTML = HTMLAddress
	
End Function

Sub ListTargetFolders(CurrentFolder)
	gPostOffice = Session("POSTOFFICE")
	gUserName = Session("AUTH_USERNAME")
	gPassword = Session("AUTH_PASSWORD")
    Dim Result
    Dim RS
    Dim oPOPFolders
    Dim FolderCount
    Set oPOPFolders = Server.CreateObject("MEWebMail.MailFolders")
    Set RS = oPOPFolders.GetFolders(gPostOffice, gUsername, gPassword, "\")
    If Not RS.EOF Then
	    While Not RS.EOF
			Select Case UCASE(RS("FolderParentRelativePath") & RS("FolderName"))				
			Case "\CONTACTS":
			Case "\CALENDAR":
			Case UCase(RelativeFolderPath):
			Case Else:
				FolderCount = FolderCount+1
				%><OPTION VALUE="<%=RS("FolderParentRelativePath") & RS("FolderName")%>"><%=GetFolderDisplayName(RS("FolderName"))%><%
			End Select
	        RS.MoveNext
	    Wend
		If FolderCount <= 0 Then
			%><OPTION Name="No Folders">No Folders</><%
		End If
    End If
    set oPOPFolders = nothing
End Sub
	
Function ShowSortDetails(FieldName,SortField,SortOrder)
	If FieldName = SortField Then
		If SortOrder = "ASC" Then
			ShowSortDetails = "<img src='" & session("skin") & "arrowup.gif'>"
		Else
			ShowSortDetails = "<img src='" & session("skin") & "arrowdown.gif'>"
		End If		
	End If
End Function

Function ToggleSortOrder(CurrentOrder)
	If CurrentOrder = "ASC" Then
		ToggleSortOrder="DESC"
	Else
		ToggleSortOrder="ASC"
	End If
End Function

Function SelectListItem(CurrentItem, ListItem)
	If CStr(CurrentItem) = CStr(ListItem) Then
		SelectListItem = "SELECTED"
	End If
End Function

function ValidPathName(Path)
    Dim nCount 
    For nCount = 1 To Len(Path)
        If InStr(1, "<>:?""*|", Mid(Path, nCount, 1)) > 0 Then
			Response.end
            ValidPathName = False
            Exit Function
        End If
    Next
	ValidPathName = True
end function

    Dim Result
    Dim RS
    Dim oMessage
	Dim Cmd
	Dim TargetFolderPath
	
	If Len(CStr(Request("ID")))=0 or not ValidPathName(request("ID")) Then
		RelativeFolderPath = "\Inbox"
	Else
		RelativeFolderPath = Request("ID")
	End If

	Cmd = Request("Cmd")
	TargetFolderPath = Request("TargetFolder")
	
	If Cmd = "Delete" Then
			
		If RelativeFolderPath <> "\Deleted Items" And UseDeletedItemsFolder = 1 Then
			Cmd = "Move"
			TargetFolderPath = "\Deleted Items"
		Else
			' We need to delete all the messages that were submitted to us.
			'
			'Everything posted will be delimited with a comma
			Dim DeleteItemList
			Dim NumDeleteItems
			Dim DeleteItemIndex
			Dim MessageID

			Set oMessage = server.CreateObject("MEWebMail.MailMessage")

			DeleteItemList= Request("MsgAction")
			NumDeleteItems = GetFieldCount(DeleteItemList,",")
			On Error Resume Next
			For DeleteItemIndex = 1 to NumDeleteItems
				MessageID = LTrim(GetListItem(DeleteItemList,",",DeleteItemIndex))
				if len(MessageID)>0 then
					oMessage.PostOffice = gPostOffice
					oMessage.Username = gUsername
					oMessage.RelativeFolderPath = RelativeFolderPath
					oMessage.MessageID=MessageID
					Result = oMessage.DeleteMessage()
				end if
			Next
			Set oMessage = Nothing
		end if
	End If

	if Cmd = "PurgeFolder" then

		On Error Resume Next
		Set oMessage = server.CreateObject("MEWebMail.MailMessage")
		oMessage.PostOffice = gPostOffice
		oMessage.Username = gUsername
		oMessage.RelativeFolderPath = RelativeFolderPath
		Result = oMessage.DeleteMessages()
		Set oMessage = Nothing
	end if

	If Cmd = "Move" Then

		Dim MoveItemList
		Dim NumMoveItems
		Dim MoveItemIndex
		Dim MoveMessageID

		Set oMessage = server.CreateObject("MEWebMail.MailMessage")
		MoveItemList= Request("MsgAction")
		NumMoveItems = GetFieldCount(MoveItemList,",")
		On Error Resume Next
		For MoveItemIndex = 1 to NumMoveItems
			MoveMessageID = LTrim(GetListItem(MoveItemList,",",MoveItemIndex))
			oMessage.PostOffice = gPostOffice
			oMessage.Username = gUsername
			oMessage.RelativeFolderPath = RelativeFolderPath
			oMessage.MessageID=MoveMessageID
			Result = oMessage.MoveMessage(TargetFolderPath)
		Next
		Set oMessage = Nothing
	End If


    Set oMessages = Server.CreateObject("MEWebMail.MailMessages")
    oMessages.PostOffice = gPostOffice
    oMessages.UserName = gUserName
    oMessages.RelativeFolderPath = RelativeFolderPath
    oMessages.Password = gPassword
    SortField = Request("SortField")
    SortOrder = Request("SortOrder")
    If Len(SortField) <= 0 Then
		SortField = "RECEIVED"
		SortOrder = "DESC"
		oMessages.SortOrder = "- RECEIVED"
	Else
		Select Case (SortOrder)
			Case "ASC"
				oMessages.SortOrder = "+ " & SortField
			Case "DESC"
				oMessages.SortOrder = "- " & SortField
			Case Else
				oMessages.SortOrder = "+ " & SortField
		End Select
	End If

    if Len(Request("Page")) <= 0 then
		PageNumber=1    
    else
		if not isnumeric(Request("Page")) then
			PageNumber=1
		else	
			PageNumber = Request.querystring("Page")
		end if
	end if
    If Len(PageNumber) > 0 Then
		If CLng(PageNumber) >= 1 Then
			oMessages.TopRecord = (PageNumber-1) * MessagesPerPage
		End If
	Else
		oMessages.TopRecord=0
	End If	

	On Error Resume Next
	oMessages.RecordsPerPage = MessagesPerPage
	oMessages.TimezoneOffset = session("offset")	
    Set RS = oMessages.ListMessages()
    If Err Then
		Response.Write "Error: Could not list messages in folder. Error (" & err.Description & "). Error Code=" & err.number
		Response.End
	End If
    If oMessages.RecordsPerPage > 0 Then
		if (oMessages.NumRecords mod oMessages.RecordsPerPage)>0 then
			NumPages = Int(oMessages.NumRecords / oMessages.RecordsPerPage) + 1
		else
			NumPages = Int(oMessages.NumRecords / oMessages.RecordsPerPage)
		end if
	Else
		NumPages = 1
	End If
	
	Set oMessages = nothing
%>
<HTML>
<head>
<META name="ROBOTS" content="NOINDEX,NOFOLLOW">
<LINK REL="stylesheet" TYPE="text/css" HREF="<% =session("skin") %>me.css">
<% if len(FrmMailboxCharSet)>0 then %>
<meta http-equiv="Content-Type" content="text/html; charset=<% =FrmMailboxCharSet %>">
<% end if %>
</HEAD> 
<BODY marginheight="0" topmargin="0" leftmargin="0" rightmargin="0" marginwidth="0">
<SCRIPT language="javascript">
<!--
function OpenNewWindow(URL,width,height) {
	if ((width<0) | (height<0))
	{
		width=<%=ChildWindowDefaultWidth%>;
		height=<%=ChildWindowDefaultHeight%>;
	}
	
	height=0.8 * window.screen.availHeight;
	width=0.6 * window.screen.availWidth;
	
 	Features = new String("left="+(window.screen.availWidth/2 - width/2)+",top="+(window.screen.availHeight/2 - height/2) + ",height="+height+",width="+width+", status=1,location=0,directories=0,toolbar=no,menubar=0,scrollbars=1,resizable=1");

	<%
	
	select case session("PreviewFormat")
	case "RIGHT", "BOTTOM"
		Response.Write "window.open(URL,'PreviewPane',Features)"
	case else
		If CStr(Session("AllowNewWindows")) = "1" Then		
			Response.Write "window.open(URL,'_blank',Features)"
		Else	
			Response.Write "window.open(URL,'messages',Features)"
		End If
	end select
	%>
}
function SubmitAction(URL) {
	document.FrmSort.action=URL;
	document.FrmSort.submit();
}
function SubmitDeleteFormAction(URL) {
	document.DeleteForm.action=URL;
	document.DeleteForm.submit();
}
function SelectAll() {
	for (var x=0;x<document.DeleteForm.elements.length;x++)
		document.DeleteForm.elements[x].checked = document.DeleteForm.selectallcheckbox.checked;
}
function PurgeAll(URL) {
if (confirm('Are you sure to wish to permanently delete all messages in this folder?')) 
{
	document.DeleteForm.action=URL;
	document.DeleteForm.submit();
}
}
// -->
</SCRIPT>
<FORM NAME=DeleteForm METHOD=POST ACTION="list.asp?Cmd=Delete&ID=<%=Request("ID")%>">
	<TABLE CELLPADDING=0 CELLSPACING=0 BORDER="0" width=100%>
	<TR>
		<TD COLSPAN=5 CLASS=ME_Header VALIGN="MIDDLE" background="<% =session("skin") %>bar_bg.gif">
			<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0 WIDTH="100%">
			<TR><td NOWRAP><table width=100% CELLPADDING=0 CELLSPACING=0 border=0 CLASS=ME_Header><tr>
				<TD NOWRAP VALIGN=TOP ALIGN=LEFT><IMG height=28 src="<% =session("skin") %>bar_left.gif" width=12 border=0></TD>
				<TD NOWRAP CLASS=ME_Toolbar background="<% =session("skin") %>bar_bg.gif">Current Folder: <%=server.htmlencode(RelativeFolderPath)%></TD>
   				<TD NOWRAP valign="top"><IMG height=28 src="<% =session("skin") %>bar_spacer.gif" width=12 border=0></TD>
				<TD NOWRAP background="<% =session("skin") %>bar_bg.gif" CLASS=ME_Toolbar>
					<A href="#" onclick="document.forms['DeleteForm'].submit()" class=ME_Toolbar>
					<IMG alt="Delete Selected" src="<% =session("skin") %>delete.gif" width=16 height=16 border=0 name=import align=absmiddle>&nbsp;Delete Selected</a>							
				</TD>
   				<TD NOWRAP valign="top"><IMG height=28 src="<% =session("skin") %>bar_spacer.gif" width=12 border=0></TD>
				
				<% select case UCase(RelativeFolderPath)
				case "\SENT ITEMS", "\DRAFTS", "\DELETED ITEMS"
				Response.write "<TD NOWRAP CLASS=ME_Toolbar ALIGN='RIGHT'><A href='#' onclick=""PurgeAll('list.asp?ID=" & Server.URLEncode(Request("ID")) & "&Cmd=PurgeFolder');return false;"" class=ME_Toolbar><IMG alt=""Delete Selected"" src=""" & session("skin") & "delete.gif"" width=16 height=16 border=0 align=absmiddle>&nbsp;Delete All...</a></TD>"
				Response.Write "<TD NOWRAP valign=top><IMG height=28 src=""" & session("skin") & "bar_spacer.gif"" width=12 border=0></TD>"

				end select
				%>

				<% if session("PreviewFormat")="RIGHT" then
				%></td></tr></table></td>
					</TR>
			<TR><td NOWRAP><table width=100% CELLPADDING=0 CELLSPACING=0 border=0 background="<% =session("skin") %>bar_bg.gif"><tr>
				<TD NOWRAP VALIGN=TOP ALIGN=LEFT><IMG height=28 src="<% =session("skin") %>bar_left.gif" width=12 border=0></TD>
				<%
					end if
				%>
				<TD NOWRAP CLASS=ME_Toolbar ALIGN="RIGHT" width=100% background="<% =session("skin") %>bar_bg.gif">&nbsp;</TD>
				
				<TD NOWRAP CLASS=ME_Toolbar ALIGN="RIGHT" background="<% =session("skin") %>bar_bg.gif">Move Items to Folder:&nbsp;</TD>
				<TD NOWRAP CLASS=ME_DropDownList ALIGN="LEFT" background="<% =session("skin") %>bar_bg.gif"><SPAN ALIGN="left">
					<SELECT  NAME="TargetFolder" CLASS=ME_Button>
						<%ListTargetFolders(RelativeFolderPath)%>
					</SELECT> 
					<INPUT NAME="FCCMD" class=ME_Button TYPE="SUBMIT" VALUE="Go" onclick="SubmitDeleteFormAction('list.asp?Cmd=Move&ID=<%=Server.URLEncode(Request("ID"))%>&SortField=<%=SortField%>&SortOrder=<%=SortOrder%>&Page=' + DeleteForm.Page.options[DeleteForm.Page.selectedIndex].value);return false;"></SPAN>
				</TD>
   				<TD NOWRAP >&nbsp;&nbsp;<IMG height=28 src="<% =session("skin") %>bar_spacer.gif" width=12 border=0></TD>
				
				<TD NOWRAP CLASS=ME_DropDownList ALIGN="right" background="<% =session("skin") %>bar_bg.gif">
					<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0>
					<TR>
					<TD NOWRAP ><input class=ME_Button type=button value="|<" onclick="SubmitAction('list.asp?ID=<%=Server.URLEncode(Request("ID"))%>&SortField=<%=SortField%>&SortOrder=<%=SortOrder%>&Page=1');return false;"></TD>
					<%If PageNumber > 1 Then%>		
					<TD NOWRAP ><input class=ME_Button type=button value="&lt;" onclick="SubmitAction('list.asp?ID=<%=Server.URLEncode(Request("ID"))%>&SortField=<%=SortField%>&SortOrder=<%=SortOrder%>&Page=<%=PageNumber-1%>');return false;"></TD>
					<%Else%>
					<TD NOWRAP ><input DISABLED class=ME_Button type=button value="&lt;" id=button2 name=button2></TD>
					<%End If%>
					<TD NOWRAP >
					<SELECT class=ME_Button onChange="SubmitAction('list.asp?ID=<%=Server.URLEncode(Request("ID"))%>&SortField=<%=SortField%>&SortOrder=<%=SortOrder%>&Page=' + DeleteForm.Page.options[DeleteForm.Page.selectedIndex].value);return false;" NAME="Page">
						<%For PageNum = 1 to NumPages%>
						<OPTION <%=SelectListItem(PageNumber,PageNum)%> VALUE="<%=PageNum%>"><%=PageNum%>
						<%Next%>
					</SELECT></TD>
					<%If (CLng(PageNumber) < CLng(NumPages)) Then%>
					<TD NOWRAP ><input  class=ME_Button type=button value="&gt;" onclick="SubmitAction('list.asp?ID=<%=Server.URLEncode(Request("ID"))%>&SortField=<%=SortField%>&SortOrder=<%=SortOrder%>&Page=<%=PageNumber+1%>');return false;"></TD>
					<%Else%>					
					<TD NOWRAP ><input DISABLED class=ME_Button type=button value="&gt;" id=button1 name=button1></TD>
					<%End If%>
					<TD NOWRAP ><input  class=ME_Button type=button value="&gt;|" onclick="SubmitAction('list.asp?ID=<%=Server.URLEncode(Request("ID"))%>&SortField=<%=SortField%>&SortOrder=<%=SortOrder%>&Page=<%=NumPages%>');return false;"></TD>
					</td></tr></table></td>
					</TR>
					</TABLE>
				</TD>
			</TR>
			</TABLE>
		</TD></TR>
	</TABLE>
<TABLE CELLPADDING=1 CELLSPACING=0 BORDER=0 LEFTMARGIN=0 TOPMARGIN=0 width=100%>
<TR class=ME_MessagesListHeader>
	<TH STYLE="cursor:hand" width=<%=MessageReadWidth%> align="left">&nbsp;<input type=checkbox name=selectallcheckbox onClick='SelectAll();' title='Select/Deselect All Messages'></TH>
	<TH width=<%=MessageReadWidth%> align="left">&nbsp;</TH>
	<%
	Select Case UCase(RelativeFolderPath)
	Case "\SENT ITEMS"
		Response.Write ShowAttHeader(MessageAttachmentWidth,Request("ID"),"<img src=""" & session("skin") & "paperclip.gif"" border=0>",SortField,SortOrder,"ATTACHMENTS")
		Response.Write ShowFieldHeader(MessageFromWidth,Request("ID"),"To",SortField,SortOrder,"TO")
		Response.Write ShowFieldHeader(MessageSubjectWidth,Request("ID"),"Subject",SortField,SortOrder,"SUBJECT")
		Response.Write ShowFieldHeader(MessageReceivedWidth,Request("ID"),"Date",SortField,SortOrder,"RECEIVED")
		Response.Write ShowFieldHeader(MessageSizeWidth,Request("ID"),"Size",SortField,SortOrder,"SIZE")	
	Case Else
		Response.Write ShowAttHeader(MessageAttachmentWidth,Request("ID"),"<img src=""" & session("skin") & "paperclip.gif"" border=0>",SortField,SortOrder,"ATTACHMENTS")
		Response.Write ShowFieldHeader(MessageFromWidth,Request("ID"),"From",SortField,SortOrder,"FROM")
		Response.Write ShowFieldHeader(MessageSubjectWidth,Request("ID"),"Subject",SortField,SortOrder,"SUBJECT")
		Response.Write ShowFieldHeader(MessageReceivedWidth,Request("ID"),"Date",SortField,SortOrder,"RECEIVED")
		Response.Write ShowFieldHeader(MessageSizeWidth,Request("ID"),"Size",SortField,SortOrder,"SIZE")
	End Select
	%>
</TR>
<%
	FolderEmpty = True
	Dim Target
	On Error Resume Next
	FolderEmpty = RS.EOF
     If (Not FolderEmpty) Then
	MessageNo=0
	'RS.Sort = "Recieved"
	If CStr(Session("AllowNewWindows")) = "1" Then
		Target="_new"
	Else
		Target="PreviewPane"
	End If
	
	Select Case UCase(RelativeFolderPath)
		Case "\SENT ITEMS"
			While (Not RS.EOF)
				MessageNo=MessageNo+1
					%><TR class="ME_List<%=MessageNo MOD 2%>" onmouseover="this.className='ME_RowSelect'" onmouseout="this.className='ME_List<%=MessageNo MOD 2%>'" STYLE="cursor:hand" onclick="OpenNewWindow('preview.asp?ID=<%=RS.Fields("MessageID")%>&Folder=<%=Server.URLEncode(RelativeFolderPath)%>',-1,-1)"><%				
					Response.Write ShowSelectField(MessageReadWidth,RS.Fields("MessageID"))
					'Response.Write ShowOpenField(MessageReadWidth,RS.Fields("MessageID"),RelativeFolderPath)	
					Response.Write ShowStatusField(MessageReadWidth,RS.Fields("MessageID"),RelativeFolderPath,RS.Fields("Flag Status"))	
					Response.Write ShowAttachmentField(MessageAttachmentWidth,RS.Fields("Attachments"))
					Response.Write ShowField(MessageFromWidth,RS.Fields("MessageID"),RelativeFolderPath,FormatAddressListToHTML(RS.Fields("To"),RS.Fields("MessageID"),RelativeFolderPath))
					Response.Write ShowField(MessageSubjectWidth,RS.Fields("MessageID"),RelativeFolderPath,StripHTML(rs.Fields("Subject")))
					sRep = ConvertDate(RS.Fields("Received"))
					sDateString = hour(sRep) & ":" & LeadingZeros(minute(sRep)) & " " & monthname(month(CDate(sRep)),true) & " " & day(sRep)
					Response.Write ShowField(MessageReceivedWidth,RS.Fields("MessageID"),RelativeFolderPath,sDateString)
					Response.Write ShowField(MessageSizeWidth,RS.Fields("MessageID"),RelativeFolderPath,Round(RS.Fields("Size")/1024) & " KB")
					Response.Write "</TR>"
					RS.MoveNext
				Wend	
		Case "\DRAFTS"
			While (Not RS.EOF)
				MessageNo=MessageNo+1
					%><TR class="ME_List<%=MessageNo MOD 2%>" onmouseover="this.className='ME_RowSelect'" onmouseout="this.className='ME_List<%=MessageNo MOD 2%>'" STYLE="cursor:hand" onclick="OpenNewWindow('compose.asp?Mode=Compose&ID=<%=RS.Fields("MessageID")%>&Folder=<%=Server.URLEncode(RelativeFolderPath)%>',-1,-1)"><%
					Response.Write ShowSelectField(MessageReadWidth,RS.Fields("MessageID"))
					'Response.Write ShowComposeOpenField(MessageReadWidth,RS.Fields("MessageID"),RelativeFolderPath)	
					Response.Write ShowStatusField(MessageReadWidth,RS.Fields("MessageID"),RelativeFolderPath,RS.Fields("Flag Status"))	
					Response.Write ShowAttachmentField(MessageAttachmentWidth,RS.Fields("Attachments"))
					Response.Write ShowField(MessageFromWidth,RS.Fields("MessageID"),RelativeFolderPath,FormatAddressListToHTML(RS.Fields("From"),RS.Fields("MessageID"),RelativeFolderPath))
					Response.Write ShowField(MessageSubjectWidth,RS.Fields("MessageID"),RelativeFolderPath,StripHTML(rs.Fields("Subject")))
					sRep = ConvertDate(RS.Fields("Received"))
					sDateString = hour(sRep) & ":" & LeadingZeros(minute(sRep)) & " " & monthname(month(CDate(sRep)),true) & " " & day(sRep)
					Response.Write ShowField(MessageReceivedWidth,RS.Fields("MessageID"),RelativeFolderPath,sDateString)
					Response.Write ShowField(MessageSizeWidth,RS.Fields("MessageID"),RelativeFolderPath,Round(RS.Fields("Size")/1024) & " KB")
					Response.Write "</TR>"
					RS.MoveNext
				Wend		
		Case Else
			While (Not RS.EOF)
				MessageNo=MessageNo+1
				If RS.Fields("Flag Status") <> "1" Then
					ListClassName = "ME_BoldList" & CStr(MessageNo MOD 2)		
					RollOverClass = "ME_RowSelectBold"		
				Else
					ListClassName = "ME_List" & CStr(MessageNo MOD 2)
					RollOverClass = "ME_RowSelect"
				End If
					%><TR class="<%=ListClassName%>" onmouseover="this.className='<% =RollOverClass %>'" onmouseout="this.className='<%=ListClassName%>'" STYLE="cursor:hand" onclick="OpenNewWindow('preview.asp?ID=<%=RS.Fields("MessageID")%>&Folder=<%=Server.URLEncode(RelativeFolderPath)%>',-1,-1)"><%				
					Response.Write ShowSelectField(MessageReadWidth,RS.Fields("MessageID"))
					'Response.Write ShowPriority(MessageReadWidth,RS.Fields("MessageID"),RelativeFolderPath,RS.Fields("Flag Status"))	
					Response.Write ShowStatusField(MessageReadWidth,RS.Fields("MessageID"),RelativeFolderPath,RS.Fields("Flag Status"))	
					Response.Write ShowAttachmentField(MessageAttachmentWidth,RS.Fields("Attachments"))
					Response.Write ShowFromField(MessageFromWidth,RS.Fields("MessageID"),RelativeFolderPath,FormatAddressListToHTML(RS.Fields("From"),RS.Fields("MessageID"),RelativeFolderPath))
					Response.Write ShowField(MessageSubjectWidth,RS.Fields("MessageID"),RelativeFolderPath,StripHTML(rs.Fields("Subject")))
					sRep = ConvertDate(RS.Fields("Received"))
					sDateString = hour(sRep) & ":" & LeadingZeros(minute(sRep)) & " " & monthname(month(CDate(sRep)),true) & " " & day(sRep)
					Response.Write ShowField(MessageReceivedWidth,RS.Fields("MessageID"),RelativeFolderPath,sDateString)
					Response.Write ShowField(MessageSizeWidth,RS.Fields("MessageID"),RelativeFolderPath,Round(RS.Fields("Size")/1024) & " KB")
					Response.Write "</TR>"
					RS.MoveNext
				Wend	
	End Select	
Else
   %><TR CELLPADDING=2 CELLSPACING=2><TD COLSPAN=7 ALIGN="MIDDLE" CLASS=ME_StandardText><BR>No Messages</TD></TR><%
End If
%>
</TABLE>
</FORM>
<FORM name=FrmSort METHOD=POST ACTION="list.asp?ID=<%=Server.URLEncode(Request("ID"))%>&SortField=SUBJECT&SortOrder=ASC&Page=<% =PageNumber %>">
<input type=hidden name=ns value=0>
</FORM>
</BODY>
</HTML>

