<!--#include file="sec.asp" -->
<%
	Dim FolderCount
	
	Function GetFieldCount(InString, FieldDelimiter)
	    Dim DelimiterPos
	    Dim DelimiterCount
	    DelimiterPos = 0
	    '
	    ' We want a safety mechanism here to avoid infinite looping
	    '
	    Do
	        DelimiterPos = InStr(DelimiterPos + 1, InString, FieldDelimiter)
	        DelimiterCount = DelimiterCount + 1
	    Loop While (DelimiterPos > 0) And (DelimiterCount < 50)
	    GetFieldCount = DelimiterCount
	End Function

	Function GetFolderDisplayName(ByVal PhysicalName)
		'
		' This function is used to render the names of directories/folders in the folder list
		'
		Select Case UCASE(PhysicalName)
			Case "INBOX": GetFolderDisplayName = "Inbox"
			Case "DELETED ITEMS": GetFolderDisplayName = "Deleted Items"
			Case "SENT ITEMS": GetFolderDisplayName = "Sent Items"
			Case "DRAFTS": GetFolderDisplayName = "Drafts"
			Case "CONTACTS": GetFolderDisplayName = "Contacts"
			Case "CALENDAR": GetFolderDisplayName ="Calendar"
			Case Else:
				GetFolderDisplayName = 	PhysicalName
		End Select	
	End Function
		
	Function Indent(IndentLevel)
		IndentString = ""
		For IndentLoop = 1 To IndentLevel
			IndentString = IndentString & "&nbsp;&nbsp;&nbsp;"			
		Next
		Indent = IndentString
	End Function
	
	Sub ListFolders()
		gPostOffice = Session ("POSTOFFICE")
		gUserName = Session ("AUTH_USERNAME")
		gPassword = Session ("AUTH_PASSWORD")
	    Dim Result
	    Dim RS
	    Dim oPOPFolders
	    Set oPOPFolders = Server.CreateObject("MEWebMail.MailFolders")
	    Set RS = oPOPFolders.GetFolders(gPostOffice, gUsername, gPassword, "\")
	    If Not RS.EOF Then 
		    While Not RS.EOF
				Select Case UCASE(RS("FolderParentRelativePath") & RS("FolderName"))				
				Case "\CONTACTS"
				Case "\INBOX"
				Case "\SENT ITEMS"
				Case "\DELETED ITEMS"
				Case "\DRAFTS"
				Case "\CALENDAR"
				Case Else
					FolderCount = FolderCount+1
					IndentationLevel = GetFieldCount(RS("FolderParentRelativePath"),"\") - 2
					If FolderCount=1 Then
					%>
					<OPTION SELECTED ID="<%=RS("FolderParentRelativePath") & RS("FolderName")%>" VALUE="<%=RS("FolderParentRelativePath") & RS("FolderName")%>"><%=Indent(IndentationLevel)%> <%= GetFolderDisplayName(RS("FolderName"))%></>
					<%
					Else
					%>
					<OPTION ID="<%=RS("FolderParentRelativePath") & RS("FolderName")%>" VALUE="<%=RS("FolderParentRelativePath") & RS("FolderName")%>"><%=Indent(IndentationLevel)%> <%= GetFolderDisplayName(RS("FolderName"))%></>
					<%
					End If
				End Select
		        RS.MoveNext
		    Wend
			If FolderCount <= 0 Then
				%><OPTION ID="No Folders">No Folders</><%
			End If
	    End If
	    set RS = nothing
	    set oPOPFolders = nothing
	End Sub
%>
<html>
<head>
<title>MailEnable - Manage Folders</title>
<META name="ROBOTS" content="NOINDEX,NOFOLLOW">
<META HTTP-EQUIV="content-type" CONTENT="text/html;charset=iso-8859-1">
<LINK REL="stylesheet" TYPE="text/css" HREF="<% =session("skin") %>me.css">
</head>
<%If Request("Action") = "Notify" Then%>
<SCRIPT LANGUAGE="JAVASCRIPT">
<!--
function window_onload() 
{	 
	window.open('folders.asp?Data<%=Now()%>','left','',true);
	return false;		
}
//-->
</SCRIPT>

<BODY class=ME_MessageHeader marginheight="0" topmargin="0" leftmargin="0" rightmargin="0" marginwidth="0" LANGUAGE=JavaScript onload="window_onload()">

<%Else%>

<BODY class=ME_MessageHeader marginheight="0" topmargin="0" leftmargin="0" rightmargin="0" marginwidth="0">
<%End If%>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" class=ME_MessageHeader>
<TD WIDTH=10>&nbsp;</TD>
<TD>
	<BR>
	The following list contains all the folders available for this mailbox.
	<BR>
	<BR>

	<FORM NAME=MyForm METHOD=POST ACTION="ManageFolder.asp">
		<CENTER>
		<BR>
		<BR>
		<TABLE CELLPADDING=0 CELLSPACING=0 WIDTH="280" border="0">
		<TR><TD WIDTH="10"><IMG SRC="<% =session("skin") %>men_cap_left.gif" WIDTH=10 HEIGHT=25></TD><TD WIDTH="260" CLASS=ME_Menucap BACKGROUND="<% =session("skin") %>men_cap_bg.gif"><CENTER>Personal Folders</CENTER></TD><TD WIDTH="10"><IMG SRC="<% =session("skin") %>men_cap_right.gif" WIDTH=10 HEIGHT=25></TD></TR>
		<TR><TD COLSPAN=3>
		<TABLE CELLPADDING=2 CELLSPACING=0 BORDER="0" WIDTH="100%" class=ME_FolderPanel>
			<TR><TD>
				<CENTER>
				<SELECT NAME=CURRENTFOLDER width="200" style="width:200" SIZE=15>
					<%Call ListFolders%>		
				</SELECT>
				</CENTER>
			</TD></TR>
			<TR><TD ALIGN=MIDDLE>
			
				<TABLE CELLPADDING="4" BORDER="0" CELLSPACING="0"><TR>
					<TD><INPUT class=ME_Button NAME=FolderAction TYPE="SUBMIT" VALUE="  Add  "></TD>
					<%If FolderCount < 1 Then%>					
					<TD><INPUT class=ME_Button NAME=FolderAction TYPE="SUBMIT" DISABLED VALUE=" Edit "></TD>
					<TD><INPUT class=ME_Button NAME=FolderAction TYPE="SUBMIT" DISABLED VALUE="Delete"></TD>
					<%Else%>
					<TD><INPUT class=ME_Button NAME=FolderAction TYPE="SUBMIT" VALUE=" Edit "></TD>
					<TD><INPUT class=ME_Button NAME=FolderAction TYPE="SUBMIT" VALUE="Delete"></TD>					
					<%End If%>
				</TR></TABLE>
			
				</TD></TR>
		</TABLE>
		
		</TD></TR>
		</TABLE><BR>	

		</center>
		</FORM>
	</TD>
	</TR>
	</TABLE>
</body>
</html>
