<%
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	' MailEnable Web Client Application
	'
	' (C) MailEnable Pty. Ltd. 2002-2007
	'
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	Const gBadChars = "<>"""
	
	Dim sDefaultAddress
	Dim ChangeResult
	Dim FormActionText
	Dim oMailbox
	Dim oFeatures
	Dim StatusMessage	
	Dim FrmMailboxTimeZone
	Dim FrmAutoSignatureStatus
	Dim FrmSignature
	Dim MsgFormat
	Dim CanEditDisplayName
	Dim DisplayName
	Dim FormAction
	Dim MessagesPerPage
	Dim UseDeletedItemsFolder
	Dim ClearDeletedOnLogOff
	Dim AllowNewWindows	
	Dim NotfifyChanges
	
	NotfifyChanges=False
	
	Function SetCheckBoxValue(CurrentValue,ItemValue)
		If (CStr(ItemValue) = CStr(CurrentValue)) Then
			SetCheckBoxValue = "CHECKED"
		End If
	End Function

	Function GetSingleUserSetting(Account,User,ValueName,DefaultValue)
		Dim oFeatures
		Dim ValueSetting
		Set oFeatures = server.CreateObject("MEWebmail.Options")
		ValueSetting = oFeatures.GetSystemOption(2,Account & "/" & User,"MsgFormat")			
		If Len(ValueSetting) > 0 Then
			GetSingleUserSetting = ValueSetting
		Else
			'Set the setting to the prescribed setting\
			If CStr(Application(ValueName)) <> "" Then
				GetSingleUserSetting = Application(ValueName)
			Else
				GetSingleUserSetting = DefaultValue
			End If
		End If
		Set oFeatures = nothing
	End Function

	Function GetCheckBoxValue(ItemValue)
		If (CStr(ItemValue) = "on") Then
			GetCheckBoxValue = 1
		Else
			GetCheckBoxValue = 0	
		End If	
	End Function


	Function ValidMailDisplayName(ByVal AliasName)
		If Len(AliasName) > 200 Then
			ValidMailDisplayName = False
			Exit Function
		Else
			' Loop and check chars
			Dim AliasIndex
			For AliasIndex = 1 to Len(AliasName)
				If Instr(1,gBadChars,mid(aliasname,AliasIndex,1)) > 0 Then		
					ValidMailDisplayName = False
					Exit Function				
				End If
			Next
		End If
		ValidMailDisplayName = True
	End Function


Function IsValidSession(sSession)
	Dim oSession
	Set oSession = Server.CreateObject("MEWebMail.Session")
	IsValidSession = oSession.ValidSession(sSession, PostOffice, UserName)	
	Set oSession = Nothing
End Function


Function GetSessionKey()
	Dim oSession
	Set oSession = Server.CreateObject("MEWebMail.Session")
	GetSessionKey = oSession.GetSessionKey(PostOffice, UserName)
	Set oSession = Nothing
End Function

%>
<!--#include file="sec.asp" -->
<html>
<head>
<TITLE>MailEnable - Settings</TITLE> 
<link rel="stylesheet" href="<% =session("skin") %>me.css" type="text/css">
</head>
<BODY marginheight="0" topmargin="0" leftmargin="0" rightmargin="0" marginwidth="0" class=ME_MessageHeader  onload="window_onload()">
<script language="javascript" src="forms/mai/editor/include/browser.js"></script>
<SCRIPT LANGUAGE="Javascript">
<!--
function SubmitToPage(PageURL)
{
	document.FrmMain.action = PageURL;
	document.FrmMain.submit();
}

function CompatibleBrowser()
{
	if (!browser.browser)
		document.writeln('<font color=red>&nbsp;Your browser does not support HTML composing.</font>');
}

// -->
</SCRIPT>
<!--#include file="TabBarMailOptions.asp" -->
<%

	Function SetListValue(CurrentListValue,ListValue)
		If (CStr(ListValue) = CStr(CurrentListValue)) Then
			SetListValue = "SELECTED"
		End If
	End Function
	
	FormActionText="Update"
	Select Case Request("FormAction")
	Case "Edit"
		if not IsValidSession(request("ME_SESSION")) then
			Response.Write "<html><body>Invalid session</body></html>"
			Response.end
		end if
		If Request("CharSet") <> "" And Request("TimeZone") <> "" Then
			Set oMailbox = Server.CreateObject("MEWebMail.Mailbox")
			set oFeatures = server.CreateObject("MEWebmail.Options")
			oMailbox.Postoffice = Session("AUTH_ACCOUNT")
			oMailbox.Mailbox = Session("AUTH_USERNAME")
			ChangeResult = oMailbox.SetCharSet(Request("CharSet"))
			ChangeResult = oMailbox.SetTimeZone(Request("TimeZone"))
			ChangeResult = oMailbox.SetAutoSignatureStatus(Session("AUTH_ACCOUNT"),Session("AUTH_USERNAME"),GetCheckBoxValue(Request("AutoSignatureStatus")))
			ChangeResult = oMailbox.SetSignature(Session("AUTH_ACCOUNT"),Session("AUTH_USERNAME"),Request("Signature"))
			ChangeResult = oFeatures.SetSystemOption(2,Session("AUTH_ACCOUNT") & "/" & Session("AUTH_USERNAME"),"DefaultAddress",Request("MsgFrom"))
			StatusMessage = "<b>Details updated successfully.</B>"
			Set oMailbox = Nothing
			'
			' Set the display Name
			'
			CanEditDisplayName=oFeatures.GetOptionValue("CanEditDisplayName",Session("AUTH_ACCOUNT"),Session("AUTH_USERNAME"))
			If CanEditDisplayName=1 Then
				If ValidMailDisplayName(Request("DisplayName")) Then
					APIResult = oFeatures.SetSystemOption(2,Session("AUTH_ACCOUNT")& "/" & Session("AUTH_USERNAME"),"DisplayName",Request("DisplayName"))
				Else
					StatusMessage = "<BR><B>Invalid Display Name was specified.</B><BR>"				
				End If
			End If
			MsgFormat=Request("MsgFormat")
			If Len(MsgFormat) >= 0 Then
				'Set the setting to the prescribed setting
				APIResult = oFeatures.SetSystemOption(2,Session("AUTH_ACCOUNT")& "/" & Session("AUTH_USERNAME"),"MsgFormat",MsgFormat)
			End If
			MessagesPerPage=15
			On Error Resume Next
			MessagesPerPage=CLng(Request("MessagesPerPage"))
			On Error Resume Next
			If MessagesPerPage > 0 And MessagesPerPage <= 100 Then
				Session("MessagesPerPage") = MessagesPerPage
				'
				' We sould also make the value permenant here
				'
				APIResult = oFeatures.SetSystemOption(2,Session("AUTH_ACCOUNT")& "/" & Session("AUTH_USERNAME"),"WebMail-MessagesPerPage",MessagesPerPage)
			End If
			'
			' Set the 	Dim UseDeletedItemsFolder
			'
			UseDeletedItemsFolder=1
			On Error Resume Next
			UseDeletedItemsFolder=CLng(GetCheckBoxValue(Request.Form("UseDeletedItemsFolder")))
			On Error Resume Next
			Session("UseDeletedItemsFolder") = UseDeletedItemsFolder
			APIResult = oFeatures.SetSystemOption(2,Session("AUTH_ACCOUNT")& "/" & Session("AUTH_USERNAME"),"WebMail-UseDeletedItemsFolder",UseDeletedItemsFolder)
			'
			'	Dim ClearDeletedOnLogOff
			'
			ClearDeletedOnLogOff=1
			On Error Resume Next
			ClearDeletedOnLogOff=CLng(GetCheckBoxValue(Request.Form("ClearDeletedOnLogOff")))
			On Error Resume Next
			Session("ClearDeletedOnLogOff") = ClearDeletedOnLogOff
			APIResult = oFeatures.SetSystemOption(2,Session("AUTH_ACCOUNT")& "/" & Session("AUTH_USERNAME"),"WebMail-ClearDeletedOnLogOff",ClearDeletedOnLogOff)
			'
			' Allow New Windows
			'
			AllowNewWindows=1
			On Error Resume Next
			AllowNewWindows=CLng(GetCheckBoxValue(Request.Form("AllowNewWindows")))
			On Error Resume Next
			Session("AllowNewWindows") = AllowNewWindows
			APIResult = oFeatures.SetSystemOption(2,Session("AUTH_ACCOUNT")& "/" & Session("AUTH_USERNAME"),"WebMail-AllowNewWindows",AllowNewWindows)

			On Error Resume Next
			ViewStyle=Request.Form("ViewStyle")
			On Error Resume Next
			Session("ViewStyle") = ViewStyle
			APIResult = oFeatures.SetSystemOption(2,Session("AUTH_ACCOUNT")& "/" & Session("AUTH_USERNAME"),"WebMail-ViewStyle",ViewStyle)

			NotfifyChanges=True
			Set oFeatures = nothing	
		Else
			StatusMessage = "<BR><B>Invalid Data was passed when setting general options.</B><BR>"
		End If
		
	end select	
	Set oMailbox = Server.CreateObject("MEWebMail.Mailbox")
	oMailbox.Postoffice = Session("AUTH_ACCOUNT")
	oMailbox.Mailbox = Session("AUTH_USERNAME")
	FrmMailboxCharSet=oMailbox.GetCharSet
	If Len(FrmMailboxCharSet) = 0 Then
		FrmMailboxCharSet = "ISO-8859-1"
	End If	
	FrmMailboxTimeZone=oMailbox.GetTimeZone
	FrmAutoSignatureStatus = oMailbox.GetAutoSignatureStatus(Session("AUTH_ACCOUNT"),Session("AUTH_USERNAME"))
	FrmSignature = oMailbox.GetSignature(Session("AUTH_ACCOUNT"),Session("AUTH_USERNAME"))
	
	If Len(FrmMailboxTimeZone) = 0 Then
		FrmMailboxTimeZone = "Pacific Standard Time"
	End If			
	Set oMailbox = Nothing
	'
	' Get the display Name
	'
	Set oFeatures = server.CreateObject("MEWebmail.Options")
	CanEditDisplayName=oFeatures.GetOptionValue("CanEditDisplayName",Session("AUTH_ACCOUNT"),Session("AUTH_USERNAME"))
	If CanEditDisplayName=1 Then	
		DisplayName = oFeatures.GetSystemOption(2,Session("AUTH_ACCOUNT") & "/" & Session("AUTH_USERNAME"),"DisplayName")
	End If
	MsgFormat = GetSingleUserSetting(Session("AUTH_ACCOUNT"),Session("AUTH_USERNAME"),"MsgFormat","HTML")
	MessagesPerPage = oFeatures.GetSystemOption(2,Session("AUTH_ACCOUNT")& "/" & Session("AUTH_USERNAME"),"WebMail-MessagesPerPage")			
	If Len(MessagesPerPage) <= 0 Then
		'Set the setting to the prescribed setting
		MessagesPerPage=Application("MessagesPerPage")
	Else
		MessagesPerPage = Session("MessagesPerPage")
	End If
	'UseDeletedItemsFolder
	UseDeletedItemsFolder = oFeatures.GetSystemOption(2,Session("AUTH_ACCOUNT")& "/" & Session("AUTH_USERNAME"),"WebMail-UseDeletedItemsFolder")
	If Len(UseDeletedItemsFolder) <= 0 Then
		'Set the setting to the prescribed setting
		UseDeletedItemsFolder=Application("UseDeletedItemsFolder")
	Else
		UseDeletedItemsFolder = Session("UseDeletedItemsFolder")
	End If	
	' ClearDeletedOnLogOff
	ClearDeletedOnLogOff = oFeatures.GetSystemOption(2,Session("AUTH_ACCOUNT")& "/" & Session("AUTH_USERNAME"),"WebMail-ClearDeletedOnLogOff")			
	If Len(ClearDeletedOnLogOff) <= 0 Then
		'Set the setting to the prescribed setting
		ClearDeletedOnLogOff = Application("ClearDeletedOnLogOff")
	Else
		ClearDeletedOnLogOff = Session("ClearDeletedOnLogOff")
	End If
	' AllowNewWindows
	AllowNewWindows = oFeatures.GetSystemOption(2,Session("AUTH_ACCOUNT")& "/" & Session("AUTH_USERNAME"),"WebMail-AllowNewWindows")			
	If Len(AllowNewWindows) <= 0 Then
		'Set the setting to the prescribed setting
		AllowNewWindows = Application("AllowNewWindows")
	Else
		AllowNewWindows = Session("AllowNewWindows")
	End If
	ViewStyle = oFeatures.GetSystemOption(2,Session("AUTH_ACCOUNT")& "/" & Session("AUTH_USERNAME"),"WebMail-ViewStyle")			
	If Len(ViewStyle) <= 0 Then
		ViewStyle = Application("ViewStyle")
	Else
		ViewStyle = Session("ViewStyle")
	End If
	
	sDefaultAddress = oFeatures.GetSystemOption(2,Session("AUTH_ACCOUNT") & "/" & Session("AUTH_USERNAME"),"DefaultAddress")
	
	Set oFeatures = nothing
	
	FormAction="Edit"
%>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" class=ME_MessageHeader>
<TR>
<TD WIDTH=10>&nbsp;</TD>
<TD>
	<BR>
	<TABLE WIDTH="100%" CELLPADDING="2" CELLSPACING="0" BORDER="0" class=ME_MessageHeader>
	<TR><TD><FORM METHOD="post" ACTION="Settings.asp?SelectedIndex=<%=SelectedIndex%>&FormAction=<%=FormAction%>">
	This screen allows you to set generic mail options for your web mail client.<BR></TD></TR>
	</TABLE>
	<%=StatusMessage%>
		<BR>
		<TABLE WIDTH=90% CELLSPACING=0 CELLPADDING=3 BORDER="0">
			<TR><TD colspan=2 class=ME_OptionHeader>General:</TD></TR>	
			<%If CanEditDisplayName=1 Then%>
			<TR><TD class=ME_List1 style="width:300">Friendly Name:</TD><TD class=ME_List0><INPUT CLASS=ME_Input name=DisplayName SIZE="38" VALUE="<%=DisplayName%>"></TD></TR>	
			<%End If%>
<TR><TD class=ME_List1 style="width:300">Default address:</TD><TD class=ME_List0>
<SELECT NAME="MsgFrom" class=ME_Input style="width:300">
<%
	On Error goto 0
	Set oAddressMap = Server.CreateObject("MEWebMail.AddressMap")
	oAddressMap.Account = Session("AUTH_ACCOUNT")
	oAddressMap.DestinationAddress = "[SF:" & Session("AUTH_ACCOUNT") & "/" & Session("AUTH_USERNAME") & "]"
	oAddressMap.SourceAddress = ""
	oAddressMap.Scope = ""
	If oAddressMap.FindFirstAddressMap = 1 Then    
		do
			If InStr(1,oAddressMap.SourceAddress,"[SMTP:") and not instr(1,oAddressMap.SourceAddress,"*") Then
				if sDefaultAddress = Mid(oAddressMap.SourceAddress,7,Len(oAddressMap.SourceAddress)-7) then
					Response.Write "<OPTION NAME=""" & Mid(oAddressMap.SourceAddress,7,Len(oAddressMap.SourceAddress)-7) & """" & " SELECTED>" & Mid(oAddressMap.SourceAddress,7,Len(oAddressMap.SourceAddress)-7) & "</OPTION>" 
				else
					Response.Write "<OPTION NAME=""" & Mid(oAddressMap.SourceAddress,7,Len(oAddressMap.SourceAddress)-7) & """" & ">" & Mid(oAddressMap.SourceAddress,7,Len(oAddressMap.SourceAddress)-7) & "</OPTION>" 
				end if
			End If
			oAddressMap.Account = Session("AUTH_ACCOUNT")
			oAddressMap.DestinationAddress = "[SF:" & Session("AUTH_ACCOUNT") & "/" & Session("AUTH_USERNAME") & "]"
			oAddressMap.SourceAddress = ""
			oAddressMap.Scope = ""
		loop while (oAddressMap.FindNextAddressMap = 1)
	Else
		Response.Write "<OPTION>No address maps - Contact administrator</OPTION>" 	
	End If
	Set oAddressMap = Nothing
%>
</SELECT></TD></TR>
		<TR class=ME_List1><TD style="width:300">Compose my messages in the following format: </TD><TD class=ME_List0>
			<SELECT CLASS=ME_Input name="MsgFormat">
			<OPTION <%=SetListValue(MsgFormat,"HTML")%> value="HTML">HTML Rich Text (Requires Enhanced Browser)</OPTION>
			<OPTION <%=SetListValue(MsgFormat,"TEXT")%> value="TEXT">Plain Text</OPTION>
			</SELECT><SCRIPT LANGUAGE="javascript">
				CompatibleBrowser();
</SCRIPT>
		</TD></TR>
<!--
		<TR class=ME_List1><TD style="width:300">View Style: </TD><TD class=ME_List0>
			<SELECT CLASS=ME_Input name="ViewStyle">
			<OPTION <%=SetListValue(ViewStyle,0)%> value="0">List left/preview right</OPTION>
			<OPTION <%=SetListValue(ViewStyle,1)%> value="1">List top/preview bottom</OPTION>
			<OPTION <%=SetListValue(ViewStyle,2)%> value="2">List only</OPTION>
			</SELECT>
		</TD></TR>
	-->
		<TR CLASS=ME_List1><TD style="width:300">Number of messages displayed in list view: </TD><TD CLASS=ME_List0>
			<INPUT CLASS=ME_Input name="MessagesPerPage" SIZE=3 VALUE="<%=MessagesPerPage%>">
		</TD></TR>
	
		<TR CLASS=ME_List1>
			<TD>Move Deleted Messages to Deleted Items Folder</TD><TD class=ME_List0> <INPUT CLASS=ME_Input name="UseDeletedItemsFolder" TYPE="CHECKBOX" <%=SetCheckBoxValue(UseDeletedItemsFolder,"1")%>> 
		</TR>
	
		<TR CLASS=ME_List1>
			<TD>Clear Deleted Items on Log Off </TD><TD class=ME_List0><INPUT CLASS=ME_Input name="ClearDeletedOnLogOff" TYPE="CHECKBOX" <%=SetCheckBoxValue(ClearDeletedOnLogOff,"1")%>> </TD>
		</TR>
		<TR CLASS=ME_List1>
			<TD>Compose and View Messages in a New Window </TD><TD class=ME_List0><INPUT CLASS=ME_Input name="AllowNewWindows" TYPE="CHECKBOX" <%=SetCheckBoxValue(AllowNewWindows,"1")%>> </TD>
		</TR>		
	</TABLE>
	<BR>
	<TABLE WIDTH=90% CELLSPACING=0 CELLPADDING=3 BORDER="0">
		<TR><TD colspan=2 class=ME_OptionHeader>Regional Settings:</TD></TR>	
		<TR class=ME_List1><TD style="width:300">Character Set:</TD><TD class=ME_List0>
				<select CLASS=ME_Input name="CharSet">
				<option <%=SetListValue(FrmMailboxCharSet,"US-ASCII")%> value="US-ASCII">ASCII</option>
				<option <%=SetListValue(FrmMailboxCharSet,"UTF-8")%> value="UTF-8">UTF-8</option>
				<option <%=SetListValue(FrmMailboxCharSet,"Big5")%> value="Big5">Traditional Chinese (Big-5)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"GB2312")%> value="GB2312">Chinese (Simplified GB)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-cns11643-1")%> value="x-cns11643-1">CNS 11643 plane 1</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-cns11643-2")%> value="x-cns11643-2">CNS 11643 plane 2</option>
				<option <%=SetListValue(FrmMailboxCharSet,"windows-1250")%> value="windows-1250">CP 1250 (Windows Latin-2)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"windows-1251")%> value="windows-1251">CP 1251 (Windows Cyrillic)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"windows-1252")%> value="windows-1252">CP 1252 (Windows Latin-1)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"windows-1257")%> value="windows-1257">CP 1257 (Windows BalticRim)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"windows-1258")%> value="windows-1258">CP 1258 (Windows Vietnamese)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"cp437")%> value="cp437">CP 437</option>
				<option <%=SetListValue(FrmMailboxCharSet,"cp850")%> value="cp850">CP 850 (DOS Latin-1)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"cp864")%> value="cp864">CP 864 (DOS Arabic)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"cp866")%> value="cp866">CP 866</option>
				<option <%=SetListValue(FrmMailboxCharSet,"EUC-JP")%> value="EUC-JP">EUC-JP</option>
				<option <%=SetListValue(FrmMailboxCharSet,"EUC-KR")%> value="EUC-KR">EUC-KR</option>
				<option <%=SetListValue(FrmMailboxCharSet,"X-EUC-TW")%> value="X-EUC-TW">EUC-TW</option>
				<option <%=SetListValue(FrmMailboxCharSet,"greek-ccitt")%> value="greek-ccitt">Greek CCITT</option>
				<option <%=SetListValue(FrmMailboxCharSet,"HZ-GB-2312")%> value="HZ-GB-2312">HZ</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-2022-JP")%> value="ISO-2022-JP">ISO 2022-JP (&quot;JIS&quot;)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-2022-KR")%> value="ISO-2022-KR">ISO 2022-KR (&quot;KSC&quot;)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO_5428")%> value="ISO_5428">ISO 5428</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-8859-1")%> value="ISO-8859-1">ISO 8859-1 (Latin-1) (Default)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-8859-2")%> value="ISO-8859-2">ISO 8859-2 (Latin-2)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-8859-3")%> value="ISO-8859-3">ISO 8859-3 (Latin-3)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-8859-3")%> value="ISO-8859-3">ISO 8859-3 (Latin-3)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-8859-4")%> value="ISO-8859-4">ISO 8859-4 (Latin-4)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-8859-5")%> value="ISO-8859-5">ISO 8859-5 (Cyrillic)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-8859-6")%> value="ISO-8859-6">ISO 8859-6 (arabic)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-8859-7")%> value="ISO-8859-7">ISO 8859-7 (Greek)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-8859-8")%> value="ISO-8859-8">ISO 8859-8 (Hebrew)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-8859-9")%> value="ISO-8859-9">ISO 8859-9 (Latin-5)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"ISO-8859-15")%> value="ISO-8859-15">ISO-8859-15 (Latin 9)</option>
				<option <%=SetListValue(FrmMailboxCharSet,"KOI8-R")%> value="KOI8-R">KOI8-R</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-arabic")%> value="x-mac-arabic">Mac OS Arabic </option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-croatian")%> value="x-mac-croatian">Mac OS Croatian</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-cyrillic")%> value="x-mac-cyrillic">Mac OS Cyrillic</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-farsi")%> value="x-mac-farsi">Mac OS Farsi</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-greek")%> value="x-mac-greek">Mac OS Greek</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-hebrew")%> value="x-mac-hebrew">Mac OS Hebrew</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-icelandic")%> value="x-mac-icelandic">Mac OS Icelandic </option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-latin1")%> value="x-mac-latin1">Mac OS Latin-1,</option>
				<option <%=SetListValue(FrmMailboxCharSet,"mac")%> value="mac">Mac OS Roman</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-romanian")%> value="x-mac-romanian">Mac OS Romanian</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-thai")%> value="x-mac-thai">Mac OS Thai</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-turkish")%> value="x-mac-turkish">Mac OS Turkish</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-ukrainian")%> value="x-mac-ukrainian">Mac OS Ukrainian</option>
				<option <%=SetListValue(FrmMailboxCharSet,"x-mac-centraleurroman")%> value="x-mac-centraleurroman">Mac Romanian</option>
				<option <%=SetListValue(FrmMailboxCharSet,"Shift_JIS")%> value="Shift_JIS">Shift-JIS </option>
				<option <%=SetListValue(FrmMailboxCharSet,"VISCII")%> value="VISCII">VISCII</option>
				<option <%=SetListValue(FrmMailboxCharSet,"windows-1254")%> value="windows-1254">Window Turkish</option>
				<option <%=SetListValue(FrmMailboxCharSet,"windows-1256")%> value="windows-1256">Windows Arabic</option>
				<option <%=SetListValue(FrmMailboxCharSet,"windows-1253")%> value="windows-1253">Windows Greek</option>
				<option <%=SetListValue(FrmMailboxCharSet,"windows-1255")%> value="windows-1255">Windows Hebrew</option>
				<option <%=SetListValue(FrmMailboxCharSet,"cp874")%> value="cp874">Windows Thai</option>
				</select>	
		</TD></TR>
		<TR><TD class=ME_List1 style="width:300">Time Zone:</TD><TD class=ME_List0>	
				<select CLASS=ME_Input name="TimeZone">
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Dateline Standard Time")%> value="Dateline Standard Time">(GMT-12:00) Eniwetok, Kwajalein</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Samoa Standard Time")%> value="Samoa Standard Time">(GMT-11:00) Midway Island, Samoa</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Hawaiian Standard Time")%> value="Hawaiian Standard Time">(GMT-10:00) Hawaii</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Alaskan Standard Time")%> value="Alaskan Standard Time">(GMT-09:00) Alaska</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Pacific Standard Time")%> value="Pacific Standard Time">(GMT-08:00) Pacific Time (US &amp; Canada); Tijuana</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"US Mountain Standard Time")%> value="US Mountain Standard Time">(GMT-07:00) Arizona</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Mountain Standard Time")%> value="Mountain Standard Time">(GMT-07:00) Mountain Time (US &amp; Canada)</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Central America Standard Time")%> value="Central America Standard Time">(GMT-06:00) Central America</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Central Standard Time")%> value="Central Standard Time">(GMT-06:00) Central Time (US &amp; Canada)</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Mexico Standard Time")%> value="Mexico Standard Time">(GMT-06:00) Mexico City</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Canada Central Standard Time")%> value="Canada Central Standard Time">(GMT-06:00) Saskatchewan</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"SA Pacific Standard Time")%> value="SA Pacific Standard Time">(GMT-05:00) Bogota, Lima, Quito</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Eastern Standard Time")%> value="Eastern Standard Time">(GMT-05:00) Eastern Time (US &amp; Canada)</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"US Eastern Standard Time")%> value="US Eastern Standard Time">(GMT-05:00) Indiana (East)</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Atlantic Standard Time")%> value="Atlantic Standard Time">(GMT-04:00) Atlantic Time (Canada)</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"SA Western Standard Time")%> value="SA Western Standard Time">(GMT-04:00) Caracas, La Paz</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Pacific SA Standard Time")%> value="Pacific SA Standard Time">(GMT-04:00) Santiago</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Newfoundland Standard Time")%> value="Newfoundland Standard Time">(GMT-03:30) Newfoundland</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"E. South America Standard Time")%> value="E. South America Standard Time">(GMT-03:00) Brasilia</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"SA Eastern Standard Time")%> value="SA Eastern Standard Time">(GMT-03:00) Buenos Aires, Georgetown</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Greenland Standard Time")%> value="Greenland Standard Time">(GMT-03:00) Greenland</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Mid-Atlantic Standard Time")%> value="Mid-Atlantic Standard Time">(GMT-02:00) Mid-Atlantic</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Azores Standard Time")%> value="Azores Standard Time">(GMT-01:00) Azores</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Cape Verde Standard Time")%> value="Cape Verde Standard Time">(GMT-01:00) Cape Verde Is.</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Greenwich Standard Time")%> value="Greenwich Standard Time">(GMT) Casablanca, Monrovia</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"GMT Standard Time")%> value="GMT Standard Time">(GMT) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"W. Europe Standard Time")%> value="W. Europe Standard Time">(GMT+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Central Europe Standard Time")%> value="Central Europe Standard Time">(GMT+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Romance Standard Time")%> value="Romance Standard Time">(GMT+01:00) Brussels, Copenhagen, Madrid, Paris</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Central European Standard Time")%> value="Central European Standard Time">(GMT+01:00) Sarajevo, Skopje, Sofija, Vilnius, Warsaw, Zagreb</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"W. Central Africa Standard Time")%> value="W. Central Africa Standard Time">(GMT+01:00) West Central Africa</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"GTB Standard Time")%> value="GTB Standard Time">(GMT+02:00) Athens, Istanbul, Minsk</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"E. Europe Standard Time")%> value="E. Europe Standard Time">(GMT+02:00) Bucharest</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Egypt Standard Time")%> value="Egypt Standard Time">(GMT+02:00) Cairo</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"South Africa Standard Time")%> value="South Africa Standard Time">(GMT+02:00) Harare, Pretoria</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"FLE Standard Time")%> value="FLE Standard Time">(GMT+02:00) Helsinki, Riga, Tallinn</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Israel Standard Time")%> value="Israel Standard Time">(GMT+02:00) Jerusalem</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Arabic Standard Time")%> value="Arabic Standard Time">(GMT+03:00) Baghdad</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Arab Standard Time")%> value="Arab Standard Time">(GMT+03:00) Kuwait, Riyadh</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Russian Standard Time")%> value="Russian Standard Time">(GMT+03:00) Moscow, St. Petersburg, Volgograd</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"E. Africa Standard Time")%> value="E. Africa Standard Time">(GMT+03:00) Nairobi</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Iran Standard Time")%> value="Iran Standard Time">(GMT+03:30) Tehran</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Arabian Standard Time")%> value="Arabian Standard Time">(GMT+04:00) Abu Dhabi, Muscat</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Caucasus Standard Time")%> value="Caucasus Standard Time">(GMT+04:00) Baku, Tbilisi, Yerevan</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Afghanistan Standard Time")%> value="Afghanistan Standard Time">(GMT+04:30) Kabul</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Ekaterinburg Standard Time")%> value="Ekaterinburg Standard Time">(GMT+05:00) Ekaterinburg</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"West Asia Standard Time")%> value="West Asia Standard Time">(GMT+05:00) Islamabad, Karachi, Tashkent</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"India Standard Time")%> value="India Standard Time">(GMT+05:30) Calcutta, Chennai, Mumbai, New Delhi</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Nepal Standard Time")%> value="Nepal Standard Time">(GMT+05:45) Kathmandu</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"N. Central Asia Standard Time")%> value="N. Central Asia Standard Time">(GMT+06:00) Almaty, Novosibirsk</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Central Asia Standard Time")%> value="Central Asia Standard Time">(GMT+06:00) Astana, Dhaka</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Sri Lanka Standard Time")%> value="Sri Lanka Standard Time">(GMT+06:00) Sri Jayawardenepura</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Myanmar Standard Time")%> value="Myanmar Standard Time">(GMT+06:30) Rangoon</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"SE Asia Standard Time")%> value="SE Asia Standard Time">(GMT+07:00) Bangkok, Hanoi, Jakarta</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"North Asia Standard Time")%> value="North Asia Standard Time">(GMT+07:00) Krasnoyarsk</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"China Standard Time")%> value="China Standard Time">(GMT+08:00) Beijing, Chongqing, Hong Kong, Urumqi</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"North Asia East Standard Time")%> value="North Asia East Standard Time">(GMT+08:00) Irkutsk, Ulaan Bataar</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Singapore Standard Time")%> value="Singapore Standard Time">(GMT+08:00) Kuala Lumpur, Singapore</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"W. Australia Standard Time")%> value="W. Australia Standard Time">(GMT+08:00) Perth</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Taipei Standard Time")%> value="Taipei Standard Time">(GMT+08:00) Taipei</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Tokyo Standard Time")%> value="Tokyo Standard Time">(GMT+09:00) Osaka, Sapporo, Tokyo</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Korea Standard Time")%> value="Korea Standard Time">(GMT+09:00) Seoul</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Yakutsk Standard Time")%> value="Yakutsk Standard Time">(GMT+09:00) Yakutsk</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Cen. Australia Standard Time")%> value="Cen. Australia Standard Time">(GMT+09:30) Adelaide</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"AUS Central Standard Time")%> value="AUS Central Standard Time">(GMT+09:30) Darwin</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"E. Australia Standard Time")%> value="E. Australia Standard Time">(GMT+10:00) Brisbane</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"AUS Eastern Standard Time")%> value="AUS Eastern Standard Time">(GMT+10:00) Canberra, Melbourne, Sydney</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"West Pacific Standard Time")%> value="West Pacific Standard Time">(GMT+10:00) Guam, Port Moresby</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Tasmania Standard Time")%> value="Tasmania Standard Time">(GMT+10:00) Hobart</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Vladivostok Standard Time")%> value="Vladivostok Standard Time">(GMT+10:00) Vladivostok</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Central Pacific Standard Time")%> value="Central Pacific Standard Time">(GMT+11:00) Magadan, Solomon Is., New Caledonia</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"New Zealand Standard Time")%> value="New Zealand Standard Time">(GMT+12:00) Auckland, Wellington</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Fiji Standard Time")%> value="Fiji Standard Time">(GMT+12:00) Fiji, Kamchatka, Marshall Is.</OPTION>
				<OPTION <%=SetListValue(FrmMailboxTimeZone,"Tonga Standard Time")%> value="Tonga Standard Time">(GMT+13:00) Nuku'alofa</OPTION>
				</select>
		</TD></TR>
	</TABLE>
	<BR>
	<TABLE WIDTH=90% CELLSPACING=0 CELLPADDING=3 BORDER="0">
		<TR><TD colspan=2 class=ME_OptionHeader>Auto Signature:</TD></TR>	
		<TR><TD class=ME_List1 COLSPAN=2><INPUT NAME="AutoSignatureStatus" TYPE="CHECKBOX" <%=SetCheckBoxValue(FrmAutoSignatureStatus,"1")%>> Auto Signature Enabled</TD></TR>
		<TR class=ME_List1><TD COLSPAN=2><TEXTAREA NAME="Signature" COLS=60 ROWS=7 style="width:100%"><%=FrmSignature%></TEXTAREA></TD></TR>
	</TABLE>
		
	<INPUT NAME="LoginDescription" TYPE="HIDDEN" VALUE="<%=FrmLoginDescription%>">
	<INPUT NAME="LoginRights" TYPE="HIDDEN" VALUE="<%=FrmLoginRights%>" CLASS=ME_Input>
	<INPUT NAME="LoginStatus" TYPE="HIDDEN" VALUE="<%=FrmLoginStatus%>" CLASS=ME_Input>
	<INPUT NAME=ME_SESSION TYPE=HIDDEN VALUE="<%=GetSessionKey()%>">
	<BR>
	<TABLE WIDTH="100%">
		<TR><TD WIDTH="90%"><INPUT type=submit value="<%=FormActionText%>" CLASS=ME_Button>
	</TD></TR>
	</TABLE></FORM>
	</TD>
	</TR>
	</TABLE>
</BODY>
<SCRIPT LANGUAGE="JAVASCRIPT">
<!--
function window_onload() 
{	 
<%If NotfifyChanges=True Then%>
	window.open('top.asp?Data=<%=CDbl(Now())%>','Commands','',true);
<%End If%>
	return false;		
}
//-->
</SCRIPT>
</HTML>