<%
Const FRM_VW_DETAIL = -1
Const FRM_VW_LIST = 0

Dim oMessage
Dim oFilter
Dim oCriteria
Dim oTask
Dim ActionData
Dim Description
Dim MsgFromStatus
Dim MsgFromCriteria
Dim MsgToStatus
Dim MsgToCriteria
Dim MsgCCStatus
Dim MsgCCCriteria
Dim MsgBCCStatus
Dim MsgToOrCCCriteria
Dim MsgAttachmentsStatus
Dim MsgAttachmentsCriteria
Dim MsgSubjectStatus
Dim MsgSubjectCriteria
Dim MsgBodyStatus
Dim MsgBodyCriteria
Dim FilterLimit
Dim Postoffice
Dim Mailbox
Dim SelectedAction

Dim FilterIndex
Dim FilterOptions
Dim FilterEnableString

Postoffice= Session("POSTOFFICE")
Mailbox = Session("AUTH_USERNAME")

Function ItemChecked(ItemValue)
	If CStr(ItemValue) = "1" Then
		ItemChecked = " CHECKED "
	Else
		ItemChecked = ""	
	End If
End Function

Function GetCheckBoxValue(ItemValue)
	If (CStr(ItemValue) = "on") Then
		GetCheckBoxValue = 1
	Else
		GetCheckBoxValue = 0	
	End If	
End Function

Function SetListValue(CurrentListValue,ListValue)
	If (CStr(ListValue) = CStr(CurrentListValue)) Then
		SetListValue = "SELECTED"
	End If
End Function


Function GetFormView
	'
	' this determines whether we are adding, editing or viewing
	'
	GetFormView = Len(Request("Action")) > 0
End Function

Function GetFormAction
	'
	' This determines whether we are adding, deteting, etc	
	GetFormAction=Replace(Request("FormAction"),"..","")
End Function

Function GetAction
	'
	' This determines whether we have subited the form or are viewing	
	GetAction=Replace(Request("Action"),"..","")
End Function

Select Case Request.Form("SelectedAction")
	Case "DELETE":
		Description = "Delete the Message"
	Case "MOVE":
		Description = "Move Message to Folder.."
	Case "COPY":
		Description = "Copy Message to Folder.."
	Case "JUNK":
		Description = "Move Message to Junk Mail Folder"
	Case "QUARANTINE":
		Description = "Move Message to Quarantine Folder"
End Select
		
		
Select Case Request("FormCommand")
	Case "Add":
		Set oMessage = Server.CreateObject("MEWebMail.MailMessage")
		FilterID = oMessage.GetUniqueMessageID()
		FilterID=Replace(FilterID,".MAI","")
		Set oMessage=Nothing
		
		Set oFilter = Server.CreateObject("MEWebMail.Filter")
		oFilter.ActionID = FilterID
		oFilter.CriteriaID = FilterID
		oFilter.FilterEntryID = FilterID
		oFilter.Description  = Request.Form("Description")
		oFilter.Note  = ""
		oFilter.Status  = 1
		oFilter.Mailbox = Mailbox
		oFilter.Postoffice = Postoffice
		oFilter.AddFilter
		Set oFilter=Nothing
		'
		' Configure the ciritia
		'
		Set oCriteria = Server.CreateObject("MEWebMail.Criteria")
		oCriteria.CriteriaID = FilterID
		oCriteria.CriteriaType = ""
		oCriteria.Status = 0
		oCriteria.Values = ""
		oCriteria.Mailbox = Mailbox
		oCriteria.Postoffice = Postoffice

		'
		' Now do the rest and add
		'
		oCriteria.Description = "Where the Subject line contains specific words"
		oCriteria.RuleID = "1"
		oCriteria.Status = GetCheckBoxValue(Request.Form("MsgSubjectStatus"))
		oCriteria.Values = Request.Form("MsgSubjectCriteria")				

		oCriteria.AddCriteria

		oCriteria.Description = "Where the Message Body line contains specific words"
		oCriteria.RuleID = "2"
		oCriteria.Status = GetCheckBoxValue(Request.Form("MsgBodyStatus"))
		oCriteria.Values = Request.Form("MsgBodyCriteria")
		oCriteria.AddCriteria

		oCriteria.Description = "Where the To line contains people"
		oCriteria.RuleID = "3"
		oCriteria.Status = GetCheckBoxValue(Request.Form("MsgToStatus"))
		oCriteria.Values = Request.Form("MsgToCriteria")
		oCriteria.AddCriteria

		oCriteria.Description = "Where the CC line contains people"
		oCriteria.Status = GetCheckBoxValue(Request.Form("MsgCCStatus"))
		oCriteria.Values = Request.Form("MsgCCCriteria")
		oCriteria.RuleID = "4"
		oCriteria.AddCriteria

		oCriteria.Description = "Where the To or CC line contains people"
		oCriteria.Status = GetCheckBoxValue(Request.Form("MsgToOrCCStatus"))
		oCriteria.Values = Request.Form("MsgToOrCCCriteria")
		oCriteria.RuleID = "5"
		oCriteria.AddCriteria

		oCriteria.Description = "Where the message is marked as priority"
		oCriteria.Status = 0
		oCriteria.RuleID = "6"
		oCriteria.Values = ""	
		oCriteria.AddCriteria

		oCriteria.Description = "Where the message is from the specified account"
		oCriteria.RuleID = "7"
		oCriteria.Status = GetCheckBoxValue(Request.Form("MsgFromStatus"))
		oCriteria.Values = Request.Form("MsgFromCriteria")
		oCriteria.AddCriteria

		oCriteria.Description = "Where the message size is more than limit"
		oCriteria.RuleID = "8"
		oCriteria.Status = 0
		oCriteria.Values = ""	
		oCriteria.AddCriteria

		oCriteria.Description = "Where the message has attachments"
		oCriteria.RuleID = "9"
		oCriteria.Status = GetCheckBoxValue(Request.Form("MsgAttachmentsStatus"))
		oCriteria.Values = Request.Form("MsgAttachmentsCriteria")
		oCriteria.AddCriteria

		oCriteria.Description = "Where the message has an attachment"
		oCriteria.Status = 0
		oCriteria.RuleID = "10"
		oCriteria.Values = ""	
		oCriteria.AddCriteria

		oCriteria.Description = "Where the message is secure"
		oCriteria.RuleID = "11"
		oCriteria.Status = 0
		oCriteria.Values = ""	
		oCriteria.AddCriteria

		Set oCriteria = Nothing
		'
		' Now add the tasks
		'
		Set oTask = Server.CreateObject("MEWebMail.Task")   
		oTask.Mailbox = Mailbox
		oTask.Postoffice = Postoffice
		oTask.ActionID = FilterID
		oTask.TaskID = FilterID
		oTask.Status = 1
		oTask.Description = Description
		oTask.Values = Request.Form("ACTIONDATA")
		oTask.TaskType = Request.Form("SelectedAction")
		oTask.AddTask
		Set oTask = Nothing

	Case "Edit"
		'
		' Edit the filter item first
		'
		FilterID = Request("Filter")
		Set oFilter = Server.CreateObject("MEWebMail.Filter")
		oFilter.ActionID = FilterID
		oFilter.CriteriaID = FilterID
		oFilter.FilterEntryID = FilterID
		oFilter.Description = ""
		oFilter.Note  = ""
		oFilter.Status  = 1
		oFilter.Mailbox = Mailbox
		oFilter.Postoffice = Postoffice
		APIResult=oFilter.EditFilter(FilterID, 1, Request.Form("Description"), FilterID, "", FilterID)
		Set oFilter=Nothing

		'
		' Then edit the criteria for the item
		'
		Set oCriteria = Server.CreateObject("MEWebMail.Criteria")
		oCriteria.CriteriaID = Request("Filter")
		oCriteria.Mailbox = Mailbox
		oCriteria.Postoffice = Postoffice
		oCriteria.CriteriaType = ""
		oCriteria.Status = -1
		oCriteria.Values = ""
		oCriteria.Description = ""
		oCriteria.Frequency = -1

		'
		' Now do the rest and add
		'
		oCriteria.RuleID = "1"
		APIResult=oCriteria.EditCriteria(oCriteria.RuleID ,GetCheckBoxValue(Request.Form("MsgSubjectStatus")), oCriteria.CriteriaID, "", "Where the Subject line contains specific words", Request.Form("MsgSubjectCriteria"), 1)
		oCriteria.RuleID = "2"
		APIResult=oCriteria.EditCriteria(oCriteria.RuleID ,GetCheckBoxValue(Request.Form("MsgBodyStatus")), oCriteria.CriteriaID, "", "Where the Message Body line contains specific words", Request.Form("MsgBodyCriteria"), 1)
		oCriteria.RuleID = "3"
		APIResult=oCriteria.EditCriteria(oCriteria.RuleID ,GetCheckBoxValue(Request.Form("MsgToStatus")), oCriteria.CriteriaID, "", "Where the To line contains people", Request.Form("MsgToCriteria"), 1)
		oCriteria.RuleID = "4"
		APIResult=oCriteria.EditCriteria(oCriteria.RuleID ,GetCheckBoxValue(Request.Form("MsgCCStatus")), oCriteria.CriteriaID, "", "Where the CC line contains people", Request.Form("MsgCCCriteria"), 1)
		oCriteria.RuleID = "5"
		APIResult=oCriteria.EditCriteria(oCriteria.RuleID ,GetCheckBoxValue(Request.Form("MsgToOrCCStatus")), oCriteria.CriteriaID, "", "Where the To or CC line contains people", Request.Form("MsgToOrCCCriteria"), 1)
		oCriteria.RuleID = "7"
		APIResult=oCriteria.EditCriteria(oCriteria.RuleID ,GetCheckBoxValue(Request.Form("MsgFromStatus")), oCriteria.CriteriaID, "", "Where the message is from the specified account", Request.Form("MsgFromCriteria"), 1)
		oCriteria.RuleID = "9"
		APIResult=oCriteria.EditCriteria(oCriteria.RuleID ,GetCheckBoxValue(Request.Form("MsgAttachmentsStatus")), oCriteria.CriteriaID, "", "Where the message has attachments", Request.Form("MsgAttachmentsCriteria"), 1)
		Set oCriteria = Nothing
		'
		' Now do the task itself

		Set oTask = Server.CreateObject("MEWebMail.Task")   
		oTask.Mailbox = Mailbox
		oTask.Postoffice = Postoffice
		oTask.ActionID = FilterID
		oTask.TaskID = FilterID
		oTask.Status = 1
		oTask.Description = "" 'Description
		oTask.Values = "" 
		oTask.TaskType = ""
		APIResult = oTask.EditTask (FilterID, 1,FilterID, Request.Form("SelectedAction"), Description, Request.Form("ACTIONDATA"))
		Set oTask = Nothing

	Case "Delete"		
		Set oFilter = Server.CreateObject("MEWebMail.Filter")
		oFilter.ActionID = Request("Filter")
		oFilter.CriteriaID = Request("Filter")
		oFilter.FilterEntryID = Request("Filter")
		oFilter.Description = ""
		oFilter.Note  = ""
		oFilter.Status = -1
		oFilter.Mailbox = Mailbox
		oFilter.Postoffice = Postoffice
		APIResult = oFilter.RemoveFilter
		Set oFilter=Nothing
End Select

	
Function GetFilterDetails(ByVal FilterID)		
		Select Case GetAction()
			Case "Add"

			Case Else
				FilterID = Request.Form("FILTER")

				Set oFilter = Server.CreateObject("MEWebMail.Filter")
				Set oCriteria = Server.CreateObject("MEWebMail.Criteria")
				oFilter.ActionID = ""
				oFilter.CriteriaID= ""
				oFilter.FilterEntryID = FilterID
				oFilter.Description  = ""
				oFilter.Note  = ""
				oFilter.Status  = -1
				oFilter.Mailbox = Mailbox
				oFilter.Postoffice = Postoffice
				If oFilter.GetFilter = 1 Then
					Description = oFilter.Description
					oCriteria.CriteriaID = oFilter.CriteriaID
						
					'Subject
					oCriteria.CriteriaType = ""
					oCriteria.Description = ""
					oCriteria.Frequency = -1
					oCriteria.Mailbox = Mailbox
					oCriteria.Postoffice = Postoffice
					oCriteria.Status = -1
					oCriteria.Values = ""				
					oCriteria.RuleID = "1"
					oCriteria.GetCriteria
					MsgSubjectCriteria = oCriteria.Values
					MsgSubjectStatus = oCriteria.Status	
						
					' Body Contains
					oCriteria.CriteriaType = ""
					oCriteria.Description = ""
					oCriteria.Frequency = -1
					oCriteria.Mailbox = Mailbox
					oCriteria.Postoffice = Postoffice
					oCriteria.Status = -1
					oCriteria.Values = ""
						
					oCriteria.RuleID = "2"
					oCriteria.GetCriteria
					MsgBodyCriteria = oCriteria.Values
					MsgBodyStatus = oCriteria.Status
					' Message To
					oCriteria.CriteriaType = ""
					oCriteria.Description = ""
					oCriteria.Frequency = -1
					oCriteria.Mailbox = Mailbox
					oCriteria.Postoffice = Postoffice
					oCriteria.Status = -1
					oCriteria.Values = ""

					oCriteria.RuleID = "3"
					oCriteria.GetCriteria
					MsgToCriteria = oCriteria.Values
					MsgToStatus = oCriteria.Status				
					' Message CC
					oCriteria.CriteriaType = ""
					oCriteria.Description = ""
					oCriteria.Frequency = -1
					oCriteria.Mailbox = Mailbox
					oCriteria.Postoffice = Postoffice
					oCriteria.Status = -1
					oCriteria.Values = ""
						
					oCriteria.RuleID = "4"
					oCriteria.GetCriteria
					MsgCCCriteria = oCriteria.Values
					MsgCCStatus = oCriteria.Status				
					' Message BCC
					oCriteria.CriteriaType = ""
					oCriteria.Description = ""
					oCriteria.Frequency = -1
					oCriteria.Mailbox = Mailbox
					oCriteria.Postoffice = Postoffice
					oCriteria.Status = -1
					oCriteria.Values = ""
						
					oCriteria.RuleID = "5"
					oCriteria.GetCriteria
					MsgToOrCCCriteria = oCriteria.Values
					MsgBCCStatus = oCriteria.Status				
					' Message BCC
					oCriteria.CriteriaType = ""
					oCriteria.Description = ""
					oCriteria.Frequency = -1
					oCriteria.Mailbox = Mailbox
					oCriteria.Postoffice = Postoffice
					oCriteria.Status = -1
					oCriteria.Values = ""
						
					oCriteria.RuleID = "7"
					oCriteria.GetCriteria
					MsgFromCriteria = oCriteria.Values
					MsgFromStatus = oCriteria.Status				
					'Response.Write oCriteria.Status
					' Message Attachments
					oCriteria.CriteriaType = ""
					oCriteria.Description = ""
					oCriteria.Frequency = -1
					oCriteria.Mailbox = Mailbox
					oCriteria.Postoffice = Postoffice
					oCriteria.Status = -1
					oCriteria.Values = ""
						
					oCriteria.RuleID = "9"
					oCriteria.GetCriteria
					MsgAttachmentsCriteria = oCriteria.Values
					MsgAttachmentsStatus = oCriteria.Status	

					Set oTask = Server.CreateObject("MEWebMail.Task")
					oTask.Mailbox = Mailbox
					oTask.Postoffice = Postoffice
					oTask.TaskID = FilterID
					oTask.ActionID = FilterID
					oTask.Status = -1
					oTask.Description = ""	
					oTask.Values = "" 
					oTask.TaskType = ""
					APIResult = oTask.GetTask
					SelectedAction = oTask.TaskType
					ActionData = oTask.Values
					'Response.Write ActionData & "88"
					Set oTask = Nothing

				End If			
		End Select
End Function

%>
<HTML>
<head>
<TITLE>MailEnable - Mailbox Filtering</TITLE> 
<META name="ROBOTS" content="NOINDEX,NOFOLLOW">
<link rel="stylesheet" href="<% =session("skin") %>me.css" type="text/css">
</head>
<SCRIPT LANGUAGE="Javascript">
<!--
ns4 = (document.layers)? true:false

function SubmitToPage(PageURL)
{
	document.FrmMain.action = PageURL;
	document.FrmMain.submit();
}
// -->
</SCRIPT>

<%If GetFormView <> FRM_VW_DETAIL Then%>
<BODY marginheight="0" topmargin="0" leftmargin="0" rightmargin="0" marginwidth="0" class=ME_MessageHeader LANGUAGE=javascript">
<%Else%>
<BODY marginheight="0" topmargin="0" leftmargin="0" rightmargin="0" marginwidth="0" class=ME_MessageHeader LANGUAGE=javascript onload="return window_onload()">
<%End If%>
<!--#include file="TabBarMailOptions.asp" -->

<%If GetFormView = FRM_VW_DETAIL Then%>
<BR><B><%=GetAction()%> Filter</B><BR>
<%End If%>
<SCRIPT ID=clientEventHandlersJS LANGUAGE=javascript>
<!--
function window_onload() 
{
			//hide('ActionLabel');
			//hide('ActionData');
			LoadActionData();
}
function show(id) {
	if (ns4) document.layers[id].visibility = "show"
	else document.all[id].style.visibility = "visible";
}

function hide(id) {
	if (ns4) document.layers[id].visibility = "hide"
	else document.all[id].style.visibility = "hidden";
}

function LoadActionData()
{
	switch(document.FrmMain.SelectedAction.value)
	{
		case 'DELETE':
		{
			hide('ActionLabel');
			hide('ActionData');
			break;
		}
		case 'MOVE':
		{
			show('ActionLabel');
			show('ActionData');
			ActionLabel.innerText = 'Folder Name:';				
			break;
		}
		case 'COPY':
		{
			show('ActionLabel');
			show('ActionData');
			ActionLabel.innerText = 'Folder Name:';				
			break;
		}
		case 'JUNK':
		{
			hide('ActionLabel');
			hide('ActionData');
			break;
		}
		case 'QUARANTINE':
		{
			hide('ActionLabel');
			hide('ActionData');
			break;
		}
	}
	return false;		
}
function CancelForm()
{
	window.location = 'filtering.asp?SelectedIndex=<%=SelectedIndex%>';
	return false;		
}

//-->
</SCRIPT>
<%

Set oWebmailOptions = server.CreateObject("MEWebmail.Options")
If Len(Request("FILTERACTION")) > 0 Then
	FilteringStatus = GetCheckBoxValue(Request.form("FILTERING"))
	oWebmailOptions.SetSystemOption 2,Session("AUTH_ACCOUNT") & "/" & Session("AUTH_USERNAME"),"MailBox-MailboxRulesStatus",FilteringStatus
Else
	FilteringStatus = 0
End If
On Error Resume Next
FilteringStatus = CLng(oWebmailOptions.GetSystemOption(2,Session("AUTH_ACCOUNT") & "/" & Session("AUTH_USERNAME"),"MailBox-MailboxRulesStatus"))
FilterLimit=oWebmailOptions.GetOptionValue("Filter Limit","","")
If Len(FilterLimit) <= 0 Then
	FilterLimit = 5
End If
Set oWebmailOptions = Nothing


Function ListFilters(PostOffice,Mailbox)
	Dim OptionString
	Set oFilter = Server.CreateObject("MEWebMail.Filter")
	oFilter.ActionID = ""
	oFilter.CriteriaID= ""
	oFilter.FilterEntryID = ""
	oFilter.Description  = ""
	oFilter.Note  = ""
	oFilter.Status  = -1
	oFilter.Mailbox = Mailbox
	oFilter.Postoffice = Postoffice	
	FilterIndex = 0
	If oFilter.FindFirstFilter = 1 Then
		Do
			FilterIndex = FilterIndex + 1
			If FilterIndex = 1 Then
				OptionString = OptionString &  "<OPTION SELECTED VALUE=""" & oFilter.FilterEntryID & """>" & oFilter.Description & "</OPTION>" 
			Else
				OptionString = OptionString &  "<OPTION VALUE=""" & oFilter.FilterEntryID & """>" & oFilter.Description & "</OPTION>" 	
			End If
			'
			' Get Next
			'
			oFilter.ActionID = ""
			oFilter.CriteriaID= ""
			oFilter.FilterEntryID = ""
			oFilter.Description  = ""
			oFilter.Note  = ""
			oFilter.Status  = -1
			oFilter.Mailbox = Mailbox
			oFilter.Postoffice = Postoffice
		Loop While oFilter.FindNextFilter = 1
	End If
	ListFilters = OptionString
End Function

FilterOptions = ListFilters(Postoffice,Mailbox)
If (FilterIndex=0 And FilterLimit=0)Then
	FilterEnableString = "DISABLED"
Else
	FilterEnableString = ""			
End If

%>
<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" class=ME_MessageHeader>
<TR>
<TD WIDTH=10>&nbsp;</TD>
<TD>
	<BR>
	<%If GetFormView() <> FRM_VW_DETAIL Then
	
	
	%>
		<script type="text/javascript">
		<!--
		function SubmitForm(FormCommand,Filter)
		{
			FrmMain.action = 'filtering.asp?SelectedIndex=<%=SelectedIndex%>&FormCommand='+ FormCommand + '&Filter=' + Filter;
			FrmMain.submit();
			return false;		
		}		
		//-->
		</script>		
	
		<FORM ID=FrmMain NAME=FrmMain METHOD=POST ACTION="filtering.asp?SelectedIndex=<%=SelectedIndex%>&Filter=<%=Request("Filter")%>">
		Message filtering allows you to defined rules and actions that are triggered when messages are delivered to this mailbox.
		<BR>
		<BR>
		<CENTER>
		<TABLE CELLPADDING=3 CELLSPACING=0 BORDER=0 CLASS="ME_MessageHeader">
		<TR>
		<TD COLSPAN=2 CLASS="ME_MessageHeader">
		<%		
			If (FilteringStatus) Then
				Response.Write "<input type=hidden value=off name=FILTERING>"
				Response.Write "Filtering is currently enabled&nbsp;&nbsp;<input type=submit name=FILTERACTION class=ME_Button  " & FilterEnableString & " value='Disable Filtering'>"
			Else
				Response.Write "<input type=hidden value=on name=FILTERING>"
				Response.Write "Filtering is currently disabled&nbsp;&nbsp;<input type=submit name=FILTERACTION class=ME_Button " & FilterEnableString & " value='Enable Filtering'>"
			End If
			
		%>
		<BR>
		<BR>
		The following filters are enabled for this mailbox:<BR>
		</TD>
		</TR>		
		<TR CLASS="ME_MessageHeader"><TD ALIGN=RIGHT>
		<SELECT ID=FILTER NAME=FILTER style="width:380" SIZE=10  CLASS="ME_Input">
		<%=FilterOptions%>
		</SELECT>
		</TD></TR>
		<TR>
		<TD ALIGN=RIGHT VALIGN=TOP>
		<% If FilterIndex < CLng(FilterLimit) Then %>
		<INPUT TYPE=SUBMIT NAME=ACTION CLASS=ME_BUTTON STYLE="width:75" VALUE="Add..">&nbsp;
		<%Else%>
		<INPUT TYPE=SUBMIT NAME=ACTION CLASS=ME_BUTTON STYLE="width:75" VALUE="Add.." DISABLED>&nbsp;
		<% End If %>
		<%If FilterIndex < 1 Then%>
			<INPUT TYPE=SUBMIT NAME=ACTION CLASS=ME_BUTTON STYLE="width:75" DISABLED VALUE="Edit..">&nbsp;
			<INPUT TYPE=SUBMIT NAME=ACTION CLASS=ME_BUTTON STYLE="width:75" DISABLED VALUE="Delete..">
		<%Else%>
			<INPUT TYPE=SUBMIT NAME=ACTION CLASS=ME_BUTTON STYLE="width:75" VALUE="Edit..">&nbsp;
			<INPUT TYPE=SUBMIT NAME=ACTION CLASS=ME_BUTTON STYLE="width:75" VALUE="Delete..">
		<%End If%>
		</TD>
		</TR>
		</TABLE>
		<%If FilterIndex >= CLng(FilterLimit) Then%>
			<BR><b>Note:</b> You have reached the maximum number of filters enabled by your administrator.<BR>
			This will prevent you from adding additional filters.</BR>.
		<%End If%>
		</CENTER>
	<%Else
		'
		' Show the details of the form
		'
		%>
		<script type="text/javascript">
		<!--
		function SubmitForm(FormCommand,Filter)
		{
			if (window.document.all("Description").value.length <= 0)
			{
				alert('You must specify a filter description');
				window.document.all("Description").focus();
				return false;
			}
			else
			{
				FrmMain.action = 'filtering.asp?SelectedIndex=<%=SelectedIndex%>&FormCommand='+ FormCommand + '&Filter=' + Filter;
				FrmMain.submit();
				return false;	
			}	
		}		
		
		function ValidateForm()
		{
			if (window.document.all("Description").value.length <= 0)
			{
				alert('You must specify a filter description');
				window.document.all("Description").focus();
				return false;
			}
			return true;	
		}
		//-->
		</script>		
		
		<FORM ID=FrmMain NAME=FrmMain METHOD=POST ACTION="filtering.asp?SelectedIndex=<%=SelectedIndex%>&Action=<%=GetAction()%>&Filter=<%=Request("FILTER")%>" onsubmit="return ValidateForm(document.FrmMain);">
		Message filtering allows you to defined rules and actions that are triggered when messages are delivered to this mailbox.
		
		<%GetFilterDetails(Request.Form("FILTER"))%>
		<HR>
		<TABLE WIDTH=100% BORDER=0 CELLPADDING=2 CELLSPACING=0 CLASS="ME_MessageHeader">
		<TR CLASS="ME_MessageHeader"><TD style="width:20">&nbsp;</TD><TD style="width:160"><b>Filter Description:</b></TD><TD><INPUT ID=Description NAME=Description TYPE=TEXT CLASS="ME_Input" style="width:320"  VALUE="<%=Description%>"></TD></TR>
		</TABLE>
		<BR>
		Note: You can use asterixes as wild cards and commas to delimit multiple string values.<BR>
		<BR>
		<TABLE WIDTH=100% BORDER=0 CELLPADDING=3 CELLSPACING=0>
		<TR><TD style="width:20" CLASS="ME_OptionHeader">&nbsp;</TD><TD CLASS="ME_OptionHeader" ALIGN=LEFT style="width:160">Filtering Criteria</TD><TD CLASS="ME_OptionHeader" ALIGN=LEFT>Criteria Data</TD></TR> 
		<TR><TD style="width:20" CLASS="ME_List1"><INPUT NAME=MsgFromStatus TYPE=CHECKBOX <%=ItemChecked(MsgFromStatus)%>></TD><TD CLASS="ME_List1" style="width:160">Message From:</TD><TD CLASS="ME_List0"><INPUT NAME=MsgFromCriteria TYPE=TEXT VALUE="<%=MsgFromCriteria%>" CLASS="ME_Input" style="width:320"></TD></TR> 
		<TR><TD CLASS="ME_List1" style="width:20"><INPUT NAME=MsgToStatus TYPE=CHECKBOX <%=ItemChecked(MsgToStatus)%>></TD><TD CLASS="ME_List1" style="width:160">Message To:</TD><TD CLASS="ME_List0"><INPUT NAME=MsgToCriteria TYPE=TEXT CLASS="ME_Input" style="width:320" VALUE="<%=MsgToCriteria%>"></TD></TR> 
		<TR><TD CLASS="ME_List1" style="width:20"><INPUT NAME=MsgCCStatus TYPE=CHECKBOX <%=ItemChecked(MsgCCStatus)%>></TD><TD CLASS="ME_List1" style="width:160">Message Cc:</TD><TD CLASS="ME_List0"><INPUT NAME=MsgCCCriteria TYPE=TEXT CLASS="ME_Input" style="width:320" VALUE="<%=MsgCCCriteria%>"></TD></TR> 
		<TR><TD CLASS="ME_List1" style="width:20"><INPUT NAME=MsgToOrCCStatus TYPE=CHECKBOX <%=ItemChecked(MsgBCCStatus)%>></TD><TD CLASS="ME_List1" style="width:160">Message To or CC:</TD><TD CLASS="ME_List0"><INPUT NAME=MsgToOrCCCriteria TYPE=TEXT CLASS="ME_Input" style="width:320" VALUE="<%=MsgToOrCCCriteria%>"></TD></TR> 
		<TR><TD CLASS="ME_List1" style="width:20"><INPUT NAME=MsgAttachmentsStatus TYPE=CHECKBOX <%=ItemChecked(MsgAttachmentsStatus)%>></TD><TD CLASS="ME_List1" style="width:160">Attachments:</TD><TD CLASS="ME_List0"><INPUT NAME=MsgAttachmentsCriteria  TYPE=TEXT CLASS="ME_Input" style="width:320" VALUE="<%=MsgAttachmentsCriteria%>"></TD></TR> 
		<TR><TD CLASS="ME_List1" style="width:20"><INPUT NAME=MsgSubjectStatus TYPE=CHECKBOX <%=ItemChecked(MsgSubjectStatus)%>></TD><TD CLASS="ME_List1" style="width:160">Message Subject Contains:</TD><TD CLASS="ME_List0"><INPUT NAME=MsgSubjectCriteria TYPE=TEXT CLASS="ME_Input" style="width:320" VALUE="<%=MsgSubjectCriteria%>"></TD></TR> 
		<TR><TD CLASS="ME_List1" style="width:20"><INPUT NAME=MsgBodyStatus TYPE=CHECKBOX <%=ItemChecked(MsgBodyStatus)%>></TD><TD CLASS="ME_List1" style="width:160">Message Contains:</TD><TD CLASS="ME_List0"><INPUT NAME=MsgBodyCriteria TYPE=TEXT CLASS="ME_Input" style="width:320" VALUE="<%=MsgBodyCriteria%>"></TD></TR> 
		</TABLE>
		<BR>
		<HR>
		When the above conditions are met, I would like the following action to occur:<BR>
		<TABLE WIDTH=100% BORDER=0 CELLPADDING=1 CELLSPACING=0 CLASS="ME_MessageHeader">
		<TR CLASS="ME_MessageHeader"><TD style="width:20">&nbsp;</TD><TD style="width:165">Action:</TD>
		<TD><SELECT ID=SelectedAction NAME=SelectedAction style="width:320" CLASS="ME_Input" onchange="LoadActionData();">
		<OPTION VALUE="DELETE" <%=SetListValue(SelectedAction,"DELETE")%>>Delete the Message</>
		<OPTION VALUE="MOVE" <%=SetListValue(SelectedAction,"MOVE")%>>Move Message to Folder..</>
		<OPTION VALUE="COPY" <%=SetListValue(SelectedAction,"COPY")%>>Copy Message to Folder..</>
		<OPTION VALUE="JUNK" <%=SetListValue(SelectedAction,"JUNK")%>>Move Message to Junk Mail Folder</>
		<OPTION VALUE="QUARANTINE" <%=SetListValue(SelectedAction,"QUARANTINE")%>>Move Message to Quarantine Folder</>
		</SELECT>
		</TD>
		</TR CLASS="ME_MessageHeader">
		<TR><TD style="width:20">&nbsp;</TD><TD style="width:165"><DIV ID="ActionLabel" NAME="ActionLabel">Data:</DIV></TD>
		<TD>
		<INPUT ID=ActionData NAME=ACTIONDATA style="width:320" CLASS="ME_Input" VALUE="<%=ActionData%>">
		</TD>
		</TR>
		</TABLE>
		<HR>
		<TABLE WIDTH=100% BORDER=0 CLASS="ME_MessageHeader">
		<TR CLASS="ME_MessageHeader"><TD><BUTTON class=ME_button onclick="SubmitForm('<%=GetAction%>','<%=Request.Form("FILTER")%>')">Apply</BUTTON>&nbsp;<BUTTON class=ME_Button onclick="CancelForm()">Cancel</BUTTON>
		</TD></TR>
		</TABLE>
		</FORM>	
	<%End If%>
	</TD>
	</TR>
	</TABLE>
</BODY>
</HTML>
