<!--#include file="sec.asp" -->
<%
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
	' MailEnable Web Client Application
	'
	' (C) MailEnable Pty. Ltd. 2002, 2003
	'
	''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

	Dim ShowUsage, PublicEnabled, oWebmailOptions, PublicEnabledPO

	gPostOffice = Session("POSTOFFICE")
	gUserName = Session("AUTH_USERNAME")
	gPassword = Session("AUTH_PASSWORD")

	Set oWebmailOptions = Server.CreateObject("MEWebMail.Options")
	ShowUsage = oWebmailOptions.GetOptionValue("Show Usage","","")
	PublicEnabled = oWebmailOptions.GetOptionValue("Public Folders Enabled","","")
	PublicEnabledPO = (oWebmailOptions.GetSystemOption(1,gPostOffice,"Public Folders")="1")
	Set oWebmailOptions = nothing

	Function GetFolderDisplayName(ByVal PhysicalName)
		'
		' This function is used to render the names of directories/folders in the folder list
		'
		Select Case UCASE(PhysicalName)
			Case "INBOX": GetFolderDisplayName = "Inbox"
			Case "DELETED ITEMS": GetFolderDisplayName = "Deleted Items"
			Case "SENT ITEMS": GetFolderDisplayName = "Sent Items"
			Case "DRAFTS": GetFolderDisplayName = "Drafts"
			Case "CONTACTS": GetFolderDisplayName = "Contacts"
			Case "CALENDAR": GetFolderDisplayName ="Calendar"
			Case Else:
				GetFolderDisplayName = 	PhysicalName
		End Select	
	End Function
	
	Function GetFolderIcon(ByVal FolderPath)
			Select Case UCASE(FolderPath)
			Case "\INBOX"
				GetFolderIcon= "Inbox.gif"
			Case "\DELETED ITEMS"
				GetFolderIcon= "DeletedItems.gif"
			Case "\CONTACTS"
				GetFolderIcon= "icon_contact.gif"
			Case "\DRAFTS"
				GetFolderIcon= "openedletter.gif"
			Case "\SENT ITEMS"
				GetFolderIcon= "sentitems.gif"
			Case "\CALENDAR"
				GetFolderIcon= "Calendar.gif"
			Case Else:
				GetFolderIcon= "icon_clsdfold.gif"
		End Select
	End Function
	
	Sub ListFolders()
	    Dim RS
	    Dim oPOPFolders
	    Dim TreeView
	    Dim RSStatus

		' Create the Component
		Set TreeView = Server.CreateObject("MEWebMail.ASPTreeView")
		TreeView.LicenseKey = "A180-85EB-F26E" ' enter a valid license key to license the component.
		TreeView.Class = "TreeView" ' class name in visualasp.css file
		TreeView.ImagePath = session("skin") ' image path where the images are located
		
		' TreeLines = 0, RootLines = 1
		TreeView.LineStyle = 1 ' LineStyle=RootLines
		' TextOnly = 0, PictureText = 1, PlusMinusText = 2, PlusPictureText = 3, TreelinesText = 4, TreelinesPictureText = 5, TreelinesPlusMinusText = 6, TreelinesPlusMinusPictureText = 7
		TreeView.Style = 7 ' Style=TreelinesPlusMinusPicureText
		TreeView.PathSeparator = "\"
		' Expand all nodes by setting this property to true
		TreeView.ExpandAll = False

		' #####################################################################################################
		' set = true will send the whole tree to the client for navigation using the javascript function above.
		TreeView.UpLevelClientTree = True
		' set this = true only if you want the TreeView to turn off whether to send a server side tree for older browsers.
		TreeView.CancelBrowserChecks = False
		' #####################################################################################################

		' load the first root node.
		'Set Node = TreeView.Nodes.Add([Relative (blank for root nodes], [Relationship = (blank for root nodes], [Key])
	    Set oPOPFolders = Server.CreateObject("MEWebMail.MailFolders")
	    Set RS = oPOPFolders.GetFolders(gPostOffice, gUsername, gPassword, "")
	    On Error Resume Next
	    RSStatus=RS.EOF
	    If Err<> 0 Then
			Response.Write "A system library error occured when calling ADO. ErrorNo: " & Err.Number & "; Description: " & Err.Description
			Response.End
	    End If
	    On Error Goto 0 ' Use default handler
	    If Not RSStatus Then
		%><CENTER><TABLE WIDTH="100%" CELLPADDING=2 CELLSPACING=2>
		<%
			Set Node = TreeView.Nodes.Add(,,"Root") 
			Node.Text = "<b>Mailbox - " & gUsername & "</b>"
			Node.Image =  "icon_clsdfold.gif"
			Node.ExpandedImage = "icon_openfold.gif"
					
		    While Not RS.EOF
				Select case ucase(RS("FolderParentRelativePath") & RS("FolderName"))
				case "\CALENDAR", "\CONTACTS", "\PUBLIC"
					'nothing
				case else
		
				ParentKey = RS("FolderParentRelativePath")
				If Len(ParentKey) = 1 Then
					ParentKey = "Root"
				Else
					ParentKey = Server.HTMLEncode("Root" & Left(RS("FolderParentRelativePath"),Len(RS("FolderParentRelativePath"))-1))
				End If
			
				CurrentKey = RS("FolderParentRelativePath")
				If Len(CurrentKey) = 1 Then
					CurrentKey = Server.HTMLEncode("Root\" & RS("FolderName"))
				Else
					CurrentKey =  Server.HTMLEncode("Root" & RS("FolderParentRelativePath") & RS("FolderName"))
				End If
			
				Set Node = TreeView.Nodes.Add(ParentKey , 4, CurrentKey) 
				Node.Text = "<A HREF=""right.asp?ID=" & Server.URLEncode(RS("FolderParentRelativePath") & RS("FolderName")) & """ TARGET=right>" &  GetFolderDisplayName(RS("FolderName")) & "</A>" '"Tree Node " & Node.Key
				Node.Image =  GetFolderIcon(RS("FolderParentRelativePath") & RS("FolderName")) '"icon_clsdfold.gif"
				Node.ExpandedImage = "icon_openfold.gif"

				if ParentKey="Root" then
					Node.EnsureVisible = true
				else
					Node.EnsureVisible = false
				end if
		        end select
		        RS.MoveNext
		    Wend
		%></TABLE></CENTER><%

		TreeView.Show
		
	    Else
			Response.Write "No Folders"
	    End If
	    set oPOPFolders = nothing

		TreeView.Unload
		Set TreeView = Nothing
	End Sub
		
		
	Sub ListPublicFolders()
	    Dim RS
	    Dim oPOPFolders
	    Dim TreeView

		' Create the Component
		Set TreeView = Server.CreateObject("MEWebMail.ASPTreeView")
		TreeView.LicenseKey = "A180-85EB-F26E" ' enter a valid license key to license the component.
		TreeView.Class = "TreeView" ' class name in visualasp.css file
		TreeView.ImagePath = session("skin") ' image path where the images are located
		
		' TreeLines = 0, RootLines = 1
		TreeView.LineStyle = 1 ' LineStyle=RootLines
		' TextOnly = 0, PictureText = 1, PlusMinusText = 2, PlusPictureText = 3, TreelinesText = 4, TreelinesPictureText = 5, TreelinesPlusMinusText = 6, TreelinesPlusMinusPictureText = 7
		TreeView.Style = 7 ' Style=TreelinesPlusMinusPicureText
		TreeView.PathSeparator = "\"
		' Expand all nodes by setting this property to true
		TreeView.ExpandAll = True

		' #####################################################################################################
		' set = true will send the whole tree to the client for navigation using the javascript function above.
		TreeView.UpLevelClientTree = True
		' set this = true only if you want the TreeView to turn off whether to send a server side tree for older browsers.
		TreeView.CancelBrowserChecks = False
		' #####################################################################################################

		' load the first root node.
		'Set Node = TreeView.Nodes.Add([Relative (blank for root nodes], [Relationship = (blank for root nodes], [Key])
	    Set oPOPFolders = Server.CreateObject("MEWebMail.MailFolders")
	    Set RS = oPOPFolders.GetFolders(gPostOffice, gUsername, gPassword, "\PUBLIC")
	    If Not RS.EOF Then 
		%><CENTER><TABLE WIDTH="100%" CELLPADDING=2 CELLSPACING=2>
		<%
			Set Node = TreeView.Nodes.Add(,,"PublicRoot") 
			Node.Text = "<A HREF=""right.asp?ID=" & Server.URLEncode("\PUBLIC") & """ TARGET=right><b>Public Root</b></A>"
			Node.Image =  "icon_clsdfold.gif"
			Node.ExpandedImage = "icon_openfold.gif"
		
		    While Not RS.EOF
				Select case ucase(RS("FolderParentRelativePath") & RS("FolderName"))
				case "\CALENDAR", "\CONTACTS", "\PUBLIC"
					'nothing
				case else
		
					ParentKey = RS("FolderParentRelativePath")
					If Len(ParentKey) = 1 Then
						ParentKey = "PublicRoot"
					Else
						ParentKey = Server.HTMLEncode("PublicRoot" & Left(RS("FolderParentRelativePath"),Len(RS("FolderParentRelativePath"))-1))
					End If
			
					CurrentKey = RS("FolderParentRelativePath")
					If Len(CurrentKey) = 1 Then
						CurrentKey = Server.HTMLEncode("PublicRoot\" & RS("FolderName"))
					Else
						CurrentKey =  Server.HTMLEncode("PublicRoot" & RS("FolderParentRelativePath") & RS("FolderName"))
					End If
			
					Set Node = TreeView.Nodes.Add(ParentKey , 4, CurrentKey) 
					Node.Text = "<A HREF=""right.asp?ID=" & Server.URLEncode("\PUBLIC" & RS("FolderParentRelativePath") & RS("FolderName")) & """ TARGET=right>" &  RS("FolderName") & "</A>" '"Tree Node " & Node.Key
						
					Node.Image = GetFolderIcon(RS("FolderParentRelativePath") & RS("FolderName")) 
					Node.ExpandedImage = "icon_openfold.gif"

					Node.EnsureVisible = True				
		        end select
		        RS.MoveNext
		    Wend
		%></TABLE></CENTER><%
			' Display the TreeView
			TreeView.Show
		
	    Else
			Set Node = TreeView.Nodes.Add(,,"PublicRoot") 
			Node.Text = "<A HREF=""right.asp?ID=" & Server.URLEncode("\PUBLIC") & """ TARGET=right><b>Public Root</b></A>"
			Node.Image =  "icon_clsdfold.gif"
			Node.ExpandedImage = "icon_openfold.gif"
			TreeView.Show
	    End If
	    set oPOPFolders = nothing

		' Destroy the Component
		TreeView.Unload
		Set TreeView = Nothing	
	End Sub
		
	Function GetMailboxSize()
	
		Dim oMailbox
		Dim lSize
		Dim lPercent
		
		set oMailbox = server.CreateObject("MEWebMail.Mailbox")
		
		oMailbox.Postoffice = gPostoffice
		oMailbox.Mailbox = gUsername
		
		lSize = oMailbox.GetSize
		lMax = oMailbox.GetQuota
		
		if lMax <=0 then
			Response.Write "<center>" & Clng(lSize/1024) & " kb / Unlimited<center>"
		else
			Response.Write "<table width='100%' cellpadding=0 border=0 cellspacing=0 style='background-color:yellow; border:black 1px solid; padding:0px; padding-right: 0px; padding-left: 0px;'>"
			Response.Write "<tr><td width='100%'>"
			if lSize=0 then
				Response.Write "<div style='height:7px; width:100%; font-size:1px; background-color:blue'></div>"
				Response.Write "</td></tr></table><center>"
				Response.Write "0 kbytes / " & Clng(lMax) & " kbytes<center>"
			else
				lPercent = Clng((lSize/1024)/lMax*100)
				if lPercent>100 then lPercent=100
				Response.Write "<div style='height:7px; width:" & lPercent & "%; font-size:1px; background-color:"
				if lPercent=100 then
					Response.write "red"
				else
					Response.write "blue"
				end if
				Response.Write "'></div>"
				Response.Write "</td></tr></table><center>"
				Response.Write Clng(lSize/1024) & " kb / " & Clng(lMax) & " kb<center>"
			end if
		end if
		set oMailbox = nothing
	end function
%>
<html>
<head>
<META name="ROBOTS" content="NOINDEX,NOFOLLOW">
<LINK REL="stylesheet" TYPE="text/css" HREF="<% =session("skin") %>me.css">
<script language="javascript">
function ChangeImages(node, imgpath, imgMain, imgPlusMinusPrefix, imgPlusMinus)
{
	bSetMainImage = (imgMain != ""); //don't set main image in text modes
	if (node.children.length > 0)
	{
		if (node.children.item(0).tagName == "IMG")
		{
			if (imgPlusMinus != "No") //"No" indicates that it is not needed Plus or Minus image
				node.children.item(0).src = imgpath + imgPlusMinusPrefix + imgPlusMinus + ".gif";
			else //if is not needed Plus/Minus image
			{
				if (bSetMainImage) //if node has image that must be changed
				{
					node.children.item(0).src = imgpath + imgMain;
					bSetMainImage = false;
				}
			}									
		}			
	}
			
	// process situation <A..><Checkbox><needed image></A>
	if (bSetMainImage && node.children.length > 1)
	{
		if (node.children.item(0).tagName == "INPUT" && node.children.item(1).tagName == "IMG")
		{
			node.children.item(1).src = imgpath + imgMain;
			bSetMainImage = false;
		}
	}
			
	//process next tag
	if (bSetMainImage)
	{
		nextNode = node.nextSibling;
		if (nextNode.tagName == "INPUT") //skip checkbox
			nextNode = nextNode.nextSibling;

		if (nextNode.tagName == "IMG") //next tag is needed image
			nextNode.src = imgpath + imgMain;
		else //next tag is <A...>
			if (nextNode.children.length > 0)
			{
				pos = 0;
				if (nextNode.children.item(0).tagName == "INPUT" && nextNode.children.length > 1)	
					pos = 1; // <A..> <Checkbox> <needed image>

				if (nextNode.children.item(pos).tagName == "IMG")							
					nextNode.children.item(pos).src = imgpath + imgMain;
			}
	}		
}
function ExpCol(node, imgpath, imgPlusMinus, imgCollapsed, imgExpanded, nodekey)
{
	if (node != null)
	{
		nextNode = node.nextSibling;
		bFinded = false;
				
		while (nextNode != null && bFinded == false)
		{					
			if (nextNode.tagName == "DIV")
				bFinded = true;	
			else			
			    nextNode = nextNode.nextSibling;	
		}
				
		if (nextNode != null && bFinded)
		{						
			if (nextNode.style.display == 'none')
			{
				nextNode.style.display = '';
				ChangeImages(node, imgpath, imgExpanded, 'tv_minus', imgPlusMinus);
			}
			else
			{
				nextNode.style.display = 'none';
				ChangeImages(node, imgpath, imgCollapsed, 'tv_plus', imgPlusMinus);
			}
		}				
	}
}
</script>

</head>
<BODY class=ME_Foldermenu marginheight="0" topmargin="0" leftmargin="0" rightmargin="0" marginwidth="0">
<script language="Javascript">
<!--
var NewWindow;

function openNewWindow(URL,width,height)
{
	if((NewWindow == null ) || NewWindow.closed ) {
 		Features = new String("left="+(window.screen.availWidth/2 - width/2)+",top="+(window.screen.availHeight/2 - height/2) + ",height="+height+",width="+width+", status=1,location=0,directories=0,toolbar=no,menubar=0,scrollbars=no,resizable=no");
		NewWindow = window.open(URL,'ManageFolders',Features);
	}
	else {
		NewWindow.location = URL;
		NewWindow.focus();
	}
}
// -->
</script>
<TABLE CELLPADDING=0 CELLSPACING=0 border=0 width=100%>
<TR><TD align=center><BR><IMG SRC="<% =session("skin") %>corp_logo.gif"><TD></TR></TABLE><BR>
	<FORM NAME=FolderForm METHOD=POST ACTION="folders.asp">
	<center>
	<TABLE CELLPADDING=0 CELLSPACING=0 WIDTH="100%" border="0">
	<TR><TD>
<% if ShowUsage then %>
	<CENTER><TABLE CELLPADDING=0 CELLSPACING=0 WIDTH="95%" border="0">
	<TR><TD WIDTH="10"><IMG SRC="<%=session("skin")%>men_cap_left.gif" WIDTH="10" HEIGHT="25"></TD><TD WIDTH="100%" CLASS=ME_Menucap BACKGROUND="<%=session("skin")%>men_cap_bg.gif"><CENTER>Usage</CENTER></TD><TD WIDTH="10"><IMG SRC="<% =session("skin") %>men_cap_right.gif" WIDTH="10" HEIGHT=25></TD></TR>
	<TR><TD COLSPAN=3>
	<TABLE CELLPADDING=2 CELLSPACING=0 WIDTH="100%" class=ME_FolderPanel>
		<TR><TD class=ME_FolderPanel>
		<% GetMailboxSize %>
		</TD></TR>
	</TABLE>
		</TD></TR>
	</TABLE></CENTER>
		<BR>
<% end if %>
	<CENTER><TABLE CELLPADDING=0 CELLSPACING=0 WIDTH="95%" border="0">
	<TR><TD WIDTH="10"><IMG SRC="<%=session("skin")%>men_cap_left.gif" WIDTH="10" HEIGHT="25"></TD><TD WIDTH="100%" CLASS=ME_Menucap BACKGROUND="<%=session("skin")%>men_cap_bg.gif"><CENTER>Folders</CENTER></TD><TD WIDTH="10"><IMG SRC="<% =session("skin") %>men_cap_right.gif" WIDTH="10" HEIGHT=25></TD></TR>
	<TR><TD COLSPAN=3>
	<TABLE CELLPADDING=2 CELLSPACING=0 WIDTH="100%" class=ME_FolderPanel>
		<TR><TD class=ME_FolderPanel>
			<% Call ListFolders() %>		
		</TD></TR>
	</TABLE>
		</TD></TR>
	</TABLE></CENTER>
<% if PublicEnabled and PublicEnabledPO then %>
	<BR>
	<CENTER><TABLE CELLPADDING=0 CELLSPACING=0 WIDTH="95%" border="0">
	<TR><TD WIDTH="10"><IMG SRC="<%=session("skin")%>men_cap_left.gif" WIDTH="10" HEIGHT="25"></TD><TD WIDTH="100%" CLASS=ME_Menucap BACKGROUND="<%=session("skin")%>men_cap_bg.gif"><CENTER>Public Folders</CENTER></TD><TD WIDTH="10"><IMG SRC="<% =session("skin") %>men_cap_right.gif" WIDTH="10" HEIGHT=25></TD></TR>
	<TR><TD COLSPAN=3>
	<TABLE CELLPADDING=2 CELLSPACING=0 WIDTH="100%" class=ME_FolderPanel>
		<TR><TD class=ME_FolderPanel>
			<% Call ListPublicFolders() %>		
		</TD></TR>
	</TABLE>
		</TD></TR>
	</TABLE></CENTER>
<% end if %>
	
		
	</TD></TR>
	</TABLE>
	<BR>
		</center>
	</FORM>	
</body>
</html>




